#################################################################################
#################### RELEASE 2.1  at 15:00 GMT  24/May/2007     #################
#################################################################################
# Contributors in no order and apologies to those accidentally not here:        #
# Ilpo Nyyss”nen Thomas Heller Gael Chardon Alex Smishlajev Martin Loewis       #
# Dirk Holtwick Philippe Makowskic Dinu Gherman Ian Sparks                      #
#################################################################################
r3091 | rgbecker | 2007-05-23 17:12:00 +0100 (Wed, 23 May 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPM.py
	renderPM.py: fix bad checking for GIF
r3089 | rgbecker | 2007-05-23 12:45:58 +0100 (Wed, 23 May 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	M /reportlab/trunk/reportlab/graphics/renderPM.py
	graphics: add tiffp format to allow saving of palette mode tiffs
r3088 | rgbecker | 2007-05-23 12:20:09 +0100 (Wed, 23 May 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: fix missing image format in asString
r3086 | rgbecker | 2007-05-22 14:10:34 +0100 (Tue, 22 May 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/barcode/widgets.py
	barcode: remove unwanted attributes?
r3085 | andy | 2007-05-22 02:42:00 +0100 (Tue, 22 May 2007) | 1 line
	M /reportlab/trunk/reportlab/lib/fontfinder.py
	removed print statement and normalised paths
r3084 | andy | 2007-05-14 23:31:58 +0100 (Mon, 14 May 2007) | 1 line
	M /reportlab/trunk/reportlab/lib/fontfinder.py
	better XML, print statement removed
r3083 | rgbecker | 2007-05-14 17:05:04 +0100 (Mon, 14 May 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc.py: allow for proper external forms info
r3082 | rgbecker | 2007-05-11 16:38:07 +0100 (Fri, 11 May 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	renderPS.py: attempt to fix the winansiencoding stuff
r3081 | rgbecker | 2007-05-11 13:44:02 +0100 (Fri, 11 May 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	renderPS.py:re-add the WinAnsiEncoding stuff(my brain hurts)
r3080 | rgbecker | 2007-05-11 12:10:16 +0100 (Fri, 11 May 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	renderPS.py: remove winansi encoding stuff (we use standard now for T1)
r3079 | rgbecker | 2007-05-09 18:14:49 +0100 (Wed, 09 May 2007) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	M /reportlab/trunk/reportlab/lib/fontfinder.py
	add support for fontfinder in zip distribution
r3078 | rgbecker | 2007-05-08 13:02:33 +0100 (Tue, 08 May 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	axes.py: added TickLabeller class
r3077 | rgbecker | 2007-05-04 16:12:20 +0100 (Fri, 04 May 2007) | 1 line
	M /reportlab/trunk/reportlab/lib/fontfinder.py
	fontfinder: allow for missing families in getFontsInFamily
r3076 | andy | 2007-05-03 20:43:03 +0100 (Thu, 03 May 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	added docs on mapping
r3075 | andy | 2007-05-03 10:23:21 +0100 (Thu, 03 May 2007) | 1 line
	M /reportlab/trunk/reportlab/lib/fontfinder.py
	fontfinder working and has XML report
r3074 | rgbecker | 2007-05-02 11:10:46 +0100 (Wed, 02 May 2007) | 1 line
	M /reportlab/trunk/reportlab/test/utils.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_ttfonts.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
	reportlab: fix broken tests after change to use floats in ttfonts
r3073 | rgbecker | 2007-04-26 17:17:37 +0100 (Thu, 26 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowables: allow for keepWithNext in PTO
r3072 | rgbecker | 2007-04-23 11:09:53 +0100 (Mon, 23 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/rl_config.py
	M /reportlab/trunk/reportlab/graphics/shapes.py
	rl_config.py: add eps_preview & eps_ttf_embed
r3071 | rgbecker | 2007-04-20 18:24:54 +0100 (Fri, 20 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	renderPS.py: fix length problems in escaped strings
r3070 | rgbecker | 2007-04-18 12:47:25 +0100 (Wed, 18 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: allow for different subset name prefix
r3068 | rgbecker | 2007-04-16 17:16:01 +0100 (Mon, 16 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	graphics\renderPS.py: improve escape method
r3067 | rgbecker | 2007-04-16 17:15:15 +0100 (Mon, 16 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: pdfbase/ttfonts.py: add _assignState, fix scale, remove _bbox
r3066 | andy | 2007-04-16 16:42:38 +0100 (Mon, 16 Apr 2007) | 1 line
	A /reportlab/trunk/reportlab/lib/fontfinder.py
	initial work on fontfinder class
r3065 | rgbecker | 2007-04-16 09:56:16 +0100 (Mon, 16 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch3_pdffeatures.py
	ch3_pdffeatures.py: add I Sparks' corrections
r3064 | rgbecker | 2007-04-13 13:32:39 +0100 (Fri, 13 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/barcode/usps.py
	M /reportlab/trunk/reportlab/graphics/barcode/common.py
	barcode: minor changes designed to make these more widget friendly
r3063 | rgbecker | 2007-04-13 10:52:08 +0100 (Fri, 13 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	M /reportlab/trunk/reportlab/docs/userguide/ch3_pdffeatures.py
	M /reportlab/trunk/reportlab/docs/userguide/ch2_graphics.py
	reportlab: minor fix to linkRect and friends
r3062 | rgbecker | 2007-04-12 17:06:12 +0100 (Thu, 12 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvas.py: make linkRect have relative=1 by default and minor mod to _annFormat
r3061 | rgbecker | 2007-04-12 13:06:31 +0100 (Thu, 12 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/widgetbase.py
	widgetbase.py: add ScaleWidget
r3060 | rgbecker | 2007-04-12 12:29:55 +0100 (Thu, 12 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/lib/validators.py
	validators.py: fix bug in isListOfShapes
r3059 | rgbecker | 2007-04-10 18:13:34 +0100 (Tue, 10 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: add _bbox (bbox in orig units) and unitsPerEm to TTFontFace
r3058 | rgbecker | 2007-04-04 14:42:14 +0100 (Wed, 04 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowablse.py: allow TA_LEFT/CENTER/RIGHT as hAligns
r3057 | andy | 2007-04-02 21:43:44 +0100 (Mon, 02 Apr 2007) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch3_pdffeatures.py
	fix to docs from Ian Sparks
r3056 | jjlee | 2007-03-27 16:39:00 +0100 (Tue, 27 Mar 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_leftright.py
	M /reportlab/trunk/reportlab/pdfbase/_can_cmap_data.py
	Add missing svn:eol-style properties
r3055 | rgbecker | 2007-03-21 15:42:22 +0000 (Wed, 21 Mar 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	legends.py: minor fix to width calculation
r3054 | andy | 2007-03-21 07:54:07 +0000 (Wed, 21 Mar 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	bad JPEGs produce a better traceback, with the filename if possible
r3053 | rgbecker | 2007-03-13 12:07:31 +0000 (Tue, 13 Mar 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: small change inspired by Dinu Gherman
r3052 | rgbecker | 2007-03-07 14:04:49 +0000 (Wed, 07 Mar 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_hello.py
	M /reportlab/trunk/reportlab/rl_config.py
	M /reportlab/trunk/reportlab/pdfbase/pdfutils.py
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	M /reportlab/trunk/reportlab/pdfbase/_fontdata.py
	M /reportlab/trunk/reportlab/lib/sequencer.py
	reportlab: make a85 wrap optional, add _reset to rl_config
r3051 | rgbecker | 2007-03-06 13:34:56 +0000 (Tue, 06 Mar 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvas.py: switch to using Helvetica at start and eliminated unwanted print :(
r3050 | rgbecker | 2007-03-06 12:37:51 +0000 (Tue, 06 Mar 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvas.py: fix long standing bug involving initial font setting
r3049 | andy | 2007-02-27 17:13:32 +0000 (Tue, 27 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	added quote-once
r3048 | rgbecker | 2007-02-26 17:17:41 +0000 (Mon, 26 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	legends.py: fix unicode bug reported by Philippe Makowskic
r3047 | rgbecker | 2007-02-23 17:45:16 +0000 (Fri, 23 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	M /reportlab/trunk/reportlab/platypus/__init__.py
	platypus: added in NotAtTopPageBreak and support
r3046 | rgbecker | 2007-02-19 17:57:36 +0000 (Mon, 19 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPM.py
	renderPM.py: move drawString onto the PMCanvas
r3043 | rgbecker | 2007-02-19 11:17:23 +0000 (Mon, 19 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_breaking.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/lib/styles.py
	paragraph: add border styling and fix trailing 
 bug
r3041 | rgbecker | 2007-02-16 21:08:53 +0000 (Fri, 16 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: fix getBounds encoding for String
r3039 | rgbecker | 2007-02-12 15:09:09 +0000 (Mon, 12 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: allow more flowables to be used
r3038 | rgbecker | 2007-02-12 14:50:02 +0000 (Mon, 12 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/barcode/widgets.py
	graphics/barcode/widgets.py: add in name of BarcodeUSPS_4State
r3037 | rgbecker | 2007-02-08 10:45:07 +0000 (Thu, 08 Feb 2007) | 1 line
	M /reportlab/trunk/reportlab/license.txt
	reportlab: adjust license dates
r3035 | rgbecker | 2007-01-31 18:39:11 +0000 (Wed, 31 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	reportlab: fix special case <a> tag problem, add AnchorFlowable class
r3033 | rgbecker | 2007-01-29 18:30:51 +0000 (Mon, 29 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	paraparser.py: remove unwanted attribute
r3032 | rgbecker | 2007-01-29 17:31:31 +0000 (Mon, 29 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/docs/userguide/ch5_paragraphs.py
	paraparser: fix link/anchor attributes
r3030 | rgbecker | 2007-01-29 13:41:44 +0000 (Mon, 29 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	paraparser/paragraph.py: fix comments
r3029 | rgbecker | 2007-01-29 13:02:38 +0000 (Mon, 29 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	reportlab/platypus: add two way <a> tag
r3027 | rgbecker | 2007-01-26 12:46:22 +0000 (Fri, 26 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	paraparser: allow <a> as alias for <link>
r3025 | rgbecker | 2007-01-24 15:40:57 +0000 (Wed, 24 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc.py: fix auto decode of strings
r3022 | rgbecker | 2007-01-23 12:25:26 +0000 (Tue, 23 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc: allow for unicode in more places
r3021 | rgbecker | 2007-01-22 14:33:59 +0000 (Mon, 22 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	piecharts.py: fix Gael Chardon's patch (as applied by me)
r3020 | rgbecker | 2007-01-19 15:42:55 +0000 (Fri, 19 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/frames.py
	reportlab: fix justification space counting bug and improve tests
r3018 | rgbecker | 2007-01-19 14:32:34 +0000 (Fri, 19 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	test_platypus_paragraphs.py: add tests for justification
r3015 | rgbecker | 2007-01-17 18:25:03 +0000 (Wed, 17 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	reportlab: Dirk Holtwick's editor's fixes :)
r3008 | rgbecker | 2007-01-12 11:31:47 +0000 (Fri, 12 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/setup.py
	reportlab/setup.py: add in vera fonts
r3007 | hassan | 2007-01-09 13:58:30 +0000 (Tue, 09 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
	M /reportlab/trunk/reportlab/docs/userguide/ch5_paragraphs.py
	added doc and test for paragraph xml tags
r3006 | rgbecker | 2007-01-08 10:25:11 +0000 (Mon, 08 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: make import error check specific
r3005 | rgbecker | 2007-01-08 10:23:57 +0000 (Mon, 08 Jan 2007) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	reportlab/graphics: fix rlextra dependency
r3004 | rgbecker | 2006-12-19 14:50:51 +0000 (Tue, 19 Dec 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/abag.py
	abag.py: improve speed
r3002 | rgbecker | 2006-11-21 14:35:05 +0000 (Tue, 21 Nov 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	utils.py: attempt to fix fileName from PIL images
r3001 | jjlee | 2006-11-17 11:44:21 +0000 (Fri, 17 Nov 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/colors.py
	Add some tests for, and an extra argument to, HexColor
r3000 | rgbecker | 2006-11-04 13:32:49 +0000 (Sat, 04 Nov 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvas.py: allow for unicode filenames
r2998 | rgbecker | 2006-11-03 12:47:25 +0000 (Fri, 03 Nov 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	M /reportlab/trunk/reportlab/graphics/charts/textlabels.py
	reportlab/lib/utils.py: fix circular import
r2997 | rgbecker | 2006-11-02 12:52:32 +0000 (Thu, 02 Nov 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	reportlab/lib/utils.py: added simplSplit func
r2996 | rgbecker | 2006-10-31 13:23:02 +0000 (Tue, 31 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	M /reportlab/trunk/reportlab/graphics/charts/linecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	charts: fix axis gridding
r2995 | rgbecker | 2006-10-26 16:56:04 +0100 (Thu, 26 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: factor out the list of extensions/formats
r2993 | rgbecker | 2006-10-25 19:11:44 +0100 (Wed, 25 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	fix up to use Martin Loewis' better checksum approach
r2991 | rgbecker | 2006-10-25 17:30:03 +0100 (Wed, 25 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_pdfbase_ttfonts.py
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	reportlab: new ttfonts checksum
r2990 | rgbecker | 2006-10-20 18:57:59 +0100 (Fri, 20 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	paragraph.py: fix underlining position errors
r2989 | rgbecker | 2006-10-18 23:23:19 +0100 (Wed, 18 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvs.py: allow default stringWidth fontName & fontSize
r2988 | andy | 2006-10-17 22:30:12 +0100 (Tue, 17 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	bug fix from Alex Smishlajev
r2985 | rgbecker | 2006-10-13 14:35:35 +0100 (Fri, 13 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/PyFontify.py
	PyFontify: eliminate soon to be keyword usage(with)
r2983 | rgbecker | 2006-10-10 13:41:36 +0100 (Tue, 10 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	lineplots.py: small change to annotations
r2982 | rgbecker | 2006-10-09 18:25:46 +0100 (Mon, 09 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	M /reportlab/trunk/reportlab/graphics/charts/linecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	charts: improvements to Axes
r2981 | rgbecker | 2006-10-07 10:00:24 +0100 (Sat, 07 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/setup.py
	setup.py: fix borken reference
r2980 | rgbecker | 2006-10-06 17:45:56 +0100 (Fri, 06 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/textlabels.py
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	graphics: minor fixes and improvements to lineplots
r2979 | rgbecker | 2006-10-06 11:24:01 +0100 (Fri, 06 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/setup.py
	setup.py: fix attempted rl_accel install
r2978 | rgbecker | 2006-10-05 16:51:33 +0100 (Thu, 05 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	piecharts.py: allow wedges/wedge labels to be invisible
r2977 | rgbecker | 2006-10-04 12:58:19 +0100 (Wed, 04 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_pleaseturnover.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowables.py: fix KeepInFrame behaviour to be more rational
r2976 | andy | 2006-10-01 23:53:20 +0100 (Sun, 01 Oct 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	fixes to crashing PTO trailer when empty, and numbering
r2975 | andy | 2006-09-29 20:37:07 +0100 (Fri, 29 Sep 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	missing import statement
r2974 | andy | 2006-09-27 22:40:07 +0100 (Wed, 27 Sep 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_pleaseturnover.py
	better comments on test case
r2973 | andy | 2006-09-26 09:11:25 +0100 (Tue, 26 Sep 2006) | 1 line
	D /reportlab/trunk/reportlab/test/test_platypus_pto.py
	A /reportlab/trunk/reportlab/test/test_platypus_pleaseturnover.py (from /reportlab/trunk/reportlab/test/test_platypus_pto.py:2970)
	renamed pto test for clarity
r2972 | rgbecker | 2006-09-25 13:11:57 +0100 (Mon, 25 Sep 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/testshapes.py
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	M /reportlab/trunk/reportlab/graphics/charts/linecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	charts: minor label format fixes and minor changes inspired by Gael Chardon
r2971 | rgbecker | 2006-09-22 10:55:55 +0100 (Fri, 22 Sep 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	picharts.py: Gael Chardon's 3d radius behaviour patch
r2970 | rgbecker | 2006-09-13 10:00:17 +0100 (Wed, 13 Sep 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	doctemplate: apply T Heller's fix emacs syntax colouring patch
r2969 | rgbecker | 2006-09-07 15:57:53 +0100 (Thu, 07 Sep 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/figures.py
	figures.py: changes required for rml2pdf imageFigure tag
r2968 | rgbecker | 2006-09-06 17:42:34 +0100 (Wed, 06 Sep 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/figures.py
	figures.py: minor changes to argument passing etc
r2967 | rgbecker | 2006-09-01 14:18:01 +0100 (Fri, 01 Sep 2006) | 1 line
	A /reportlab/trunk/reportlab/fonts/bitstream-vera-license.txt
	A /reportlab/trunk/reportlab/fonts/VeraIt.ttf
	A /reportlab/trunk/reportlab/fonts/VeraBd.ttf
	A /reportlab/trunk/reportlab/fonts/VeraBI.ttf
	A /reportlab/trunk/reportlab/fonts/Vera.ttf
	reportlab/fonts: add Vera Bitstream fonts
r2966 | rgbecker | 2006-08-31 16:20:29 +0100 (Thu, 31 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_rl_accel.py
	M /reportlab/trunk/reportlab/graphics/barcode/usps4s.py
	M /reportlab/trunk/reportlab/graphics/barcode/eanbc.py
	reportlab: remove 2.4isms
r2965 | andy | 2006-08-31 07:17:43 +0100 (Thu, 31 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch5_paragraphs.py
	corrected user guide re <u> tag
r2962 | rgbecker | 2006-08-29 13:17:28 +0100 (Tue, 29 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	paragraph.py: fix splitting cases for br tag
r2961 | andy | 2006-08-23 23:27:37 +0100 (Wed, 23 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/pdfimages.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	fixed drawInlineImage
r2960 | andy | 2006-08-23 22:41:33 +0100 (Wed, 23 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	M /reportlab/trunk/reportlab/lib/boxstuff.py
	tweaks to support PDF art boxes
r2959 | rgbecker | 2006-08-18 14:09:15 +0100 (Fri, 18 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/textobject.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	M /reportlab/trunk/reportlab/pdfbase/cidfonts.py
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	M /reportlab/trunk/reportlab/graphics/renderPM.py
	M /reportlab/trunk/reportlab/graphics/renderPDF.py
	M /reportlab/trunk/reportlab/docs/genAll.py
	reportlab: Python2.5 changes + minor cosmetics and improvements
r2957 | rgbecker | 2006-08-17 12:36:24 +0100 (Thu, 17 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	barcharts.py: fix strokeDashArray setup
r2956 | rgbecker | 2006-08-17 12:05:09 +0100 (Thu, 17 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/barcode/__init__.py
	rlextra\utils\patches\2.3.txt: fix broken patch for barcode/__init__.py
r2955 | rgbecker | 2006-08-15 18:26:00 +0100 (Tue, 15 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/barcode/widgets.py
	A /reportlab/trunk/reportlab/graphics/barcode/usps4s.py
	M /reportlab/trunk/reportlab/graphics/barcode/test.py
	M /reportlab/trunk/reportlab/graphics/barcode/common.py
	M /reportlab/trunk/reportlab/graphics/barcode/__init__.py
	usps4s.py: working fourstate
r2954 | rgbecker | 2006-08-10 16:55:16 +0100 (Thu, 10 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	axes.py: allow value axes to be more standalone
r2952 | rgbecker | 2006-08-10 12:12:29 +0100 (Thu, 10 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	doctemplate.py: cosmetics
r2951 | rgbecker | 2006-08-10 12:11:58 +0100 (Thu, 10 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_breaking.py
	test_platypus_breaking.py: minor fixes
r2948 | rgbecker | 2006-08-09 16:41:35 +0100 (Wed, 09 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	minor cosmetic changes
r2943 | rgbecker | 2006-08-08 11:59:58 +0100 (Tue, 08 Aug 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/genAll.py
	genAll.py: add traceback printout
r2939 | andy | 2006-07-29 12:33:20 +0100 (Sat, 29 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	facilitating saving info dictionary
r2937 | rgbecker | 2006-07-21 13:44:40 +0100 (Fri, 21 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
	M /reportlab/trunk/reportlab/test/test_platypus_breaking.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	reportlab/platypus: 
 tags now working
r2936 | andy | 2006-07-21 09:48:41 +0100 (Fri, 21 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	
 work in progress
r2935 | rgbecker | 2006-07-19 14:36:26 +0100 (Wed, 19 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	fix narrow  space case for ImageAndFlowables
r2934 | rgbecker | 2006-07-19 12:25:24 +0100 (Wed, 19 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_leftright.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	platypus: add * as shortcircuit template cycle notation
r2933 | rgbecker | 2006-07-14 10:25:10 +0100 (Fri, 14 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_breaking.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	M /reportlab/trunk/reportlab/graphics/barcode/code128.py
	reportlab: minor fixes and add strokeDashArray
r2932 | rgbecker | 2006-07-12 08:48:21 +0100 (Wed, 12 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_breaking.py
	add Indenter vs keepWithNext breakage found by Ilpo Nyyss”nen
r2931 | rgbecker | 2006-07-10 13:57:15 +0100 (Mon, 10 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: allow upper case formats in Drawing.save
r2930 | rgbecker | 2006-07-10 13:46:59 +0100 (Mon, 10 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/graphguide/ch2_concepts.py
	graphguide/ch2_concepts.py: fix saveToFile-->drawToFile
r2928 | rgbecker | 2006-07-03 11:11:30 +0100 (Mon, 03 Jul 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/para.py
	platypus/para.py: fix up brokenness wrt utf8, unicode still waits
r2927 | rgbecker | 2006-06-30 10:15:09 +0100 (Fri, 30 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	doctemplate.py: fix up self test
r2926 | rgbecker | 2006-06-22 10:16:20 +0100 (Thu, 22 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/setup.py
	setup.py: added reportlab.graphics.barcode
r2925 | andy | 2006-06-19 23:32:10 +0100 (Mon, 19 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	added ability to set time axis dates
r2923 | rgbecker | 2006-06-09 15:55:44 +0100 (Fri, 09 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_rl_accel.py
	test_rl_accel.py: fix rc consistency checks heisenbug
r2921 | rgbecker | 2006-06-09 08:43:17 +0100 (Fri, 09 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_rl_accel.py
	test_rl_accel.py: add in _sameFrag test
r2920 | rgbecker | 2006-06-05 16:23:26 +0100 (Mon, 05 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
	reportlab/text: fix encoding busted paraparser test
r2919 | rgbecker | 2006-06-05 15:55:43 +0100 (Mon, 05 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	platypus: eliminate StringType usages and cp1252 usage
r2918 | rgbecker | 2006-06-05 15:08:23 +0100 (Mon, 05 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: asciReadable kw arg added
r2917 | rgbecker | 2006-06-05 14:55:03 +0100 (Mon, 05 Jun 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	reportlab: add support for strike through
r2913 | rgbecker | 2006-05-26 13:29:08 +0100 (Fri, 26 May 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/barcode/eanbc.py
	M /reportlab/trunk/reportlab/graphics/barcode/__init__.py
	reportlab: restore 2.4'isms
r2912 | rgbecker | 2006-05-25 14:04:56 +0100 (Thu, 25 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/pdfimages.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/lib/boxstuff.py
	reportlab: make anchor/preserveAspectRatio cooperate
r2911 | rgbecker | 2006-05-24 17:02:56 +0100 (Wed, 24 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/pdfimages.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	A /reportlab/trunk/reportlab/lib/boxstuff.py
	reportlab: added first stage boxstuff for images
r2910 | rgbecker | 2006-05-24 15:28:40 +0100 (Wed, 24 May 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/barcode/eanbc.py
	M /reportlab/trunk/reportlab/graphics/barcode/__init__.py
	rlextra: minor changes for 2.3 compatibility
r2909 | jjlee | 2006-05-24 12:55:49 +0100 (Wed, 24 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	Fix typo in docstring
r2908 | andy | 2006-05-23 22:24:57 +0100 (Tue, 23 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	make main test safe when PIL not present
#################################################################################
#################### RELEASE 2.0  at 15:00 GMT  23/May/2006     #################
#################################################################################
r2906 | rgbecker | 2006-05-23 16:14:03 +0100 (Tue, 23 May 2006) | 1 line
	M /reportlab/trunk/reportlab/changes
	changes: prepare for 2.0
r2905 | andy | 2006-05-23 15:49:28 +0100 (Tue, 23 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/cidfonts.py
	disable loading of CMAPS
r2904 | andy | 2006-05-23 15:19:54 +0100 (Tue, 23 May 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch2a_fonts.py
	removed CMap references
r2903 | andy | 2006-05-23 15:04:08 +0100 (Tue, 23 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_multibyte_kor.py
	M /reportlab/trunk/reportlab/test/test_multibyte_cht.py
	M /reportlab/trunk/reportlab/test/test_multibyte_chs.py
	proper samples added for CJK languages
r2902 | andy | 2006-05-23 14:08:04 +0100 (Tue, 23 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_multibyte_kor.py
	M /reportlab/trunk/reportlab/test/test_multibyte_cht.py
	M /reportlab/trunk/reportlab/test/test_multibyte_chs.py
	M /reportlab/trunk/reportlab/lib/codecharts.py
	partial silencing of cmap tests
r2901 | andy | 2006-05-23 00:02:22 +0100 (Tue, 23 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
	M /reportlab/trunk/reportlab/pdfbase/cidfonts.py
	M /reportlab/trunk/reportlab/pdfbase/_cidfontdata.py
	A /reportlab/trunk/reportlab/pdfbase/_can_cmap_data.py
	added canned width data for CID fonts
r2900 | andy | 2006-05-22 22:49:00 +0100 (Mon, 22 May 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/genuserguide.py
	M /reportlab/trunk/reportlab/docs/userguide/ch1_intro.py
	D /reportlab/trunk/reportlab/docs/userguide/ch0_whatsnewinrl2.py
	updated user guide
r2899 | rgbecker | 2006-05-22 13:42:07 +0100 (Mon, 22 May 2006) | 1 line
	M /reportlab/trunk/reportlab/rl_config.py
	rl_config.py: fix missing comma in CMap exemplars list
r2893 | rgbecker | 2006-05-21 10:12:50 +0100 (Sun, 21 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/runAll.py
	runAll.py: add support for external running
r2892 | rgbecker | 2006-05-19 15:16:02 +0100 (Fri, 19 May 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	A /reportlab/trunk/reportlab/lib/rltempfile.py
	reportlab.lib: break out rltempfile.py to avoid rl_accel imports
r2883 | andy | 2006-05-19 12:34:32 +0100 (Fri, 19 May 2006) | 1 line
	M /reportlab/trunk/reportlab/tools/docco/stylesheet.py
	M /reportlab/trunk/reportlab/tools/docco/rltemplate.py
	M /reportlab/trunk/reportlab/test/runAll.py
	manual style changes
r2882 | andy | 2006-05-18 22:54:38 +0100 (Thu, 18 May 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch1_intro.py
	manual introduction amendments
r2881 | andy | 2006-05-18 17:56:05 +0100 (Thu, 18 May 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch2_graphics.py
	amended John's encoding paragraph
r2880 | oualid | 2006-05-18 17:45:05 +0100 (Thu, 18 May 2006) | 1 line
	M /reportlab/trunk/reportlab/tools/docco/stylesheet.py
	added extra paragraphstyle
r2879 | oualid | 2006-05-18 17:43:07 +0100 (Thu, 18 May 2006) | 1 line
	A /reportlab/trunk/reportlab/docs/userguide/ch0_whatsnewinrl2.py
	chapter What's new in RL 2 of user guide
r2878 | andy | 2006-05-18 16:13:01 +0100 (Thu, 18 May 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/codecharts.py
	M /reportlab/trunk/reportlab/docs/userguide/ch2a_fonts.py
	updated codecharts and ch3 of user guide
r2877 | andy | 2006-05-18 16:11:23 +0100 (Thu, 18 May 2006) | 1 line
	M /reportlab/trunk/reportlab/__init__.py
	changed version and added warning for old Python users
r2875 | andy | 2006-05-18 08:00:16 +0100 (Thu, 18 May 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/validators.py
	codec validator for diagra
r2874 | jjlee | 2006-05-17 14:07:13 +0100 (Wed, 17 May 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch2_graphics.py
	Correct docs in introduction re encoding for V2
r2873 | rgbecker | 2006-05-17 11:59:59 +0100 (Wed, 17 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	pdfmetrics.py: fix rl_accel --> _rl_accel typo
r2872 | rgbecker | 2006-05-17 11:58:04 +0100 (Wed, 17 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/rl_codecs.py
	rl_codecs: slight speedup
r2871 | rgbecker | 2006-05-17 10:39:29 +0100 (Wed, 17 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_rl_accel.py
	test_rl_accel.py: fix ref count checks
r2868 | jjlee | 2006-05-16 15:58:47 +0100 (Tue, 16 May 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch1_intro.py
	Fix typos
r2867 | rgbecker | 2006-05-16 14:19:40 +0100 (Tue, 16 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_rl_accel.py
	test_rl_accel: added some testsi for new functionality
r2865 | rgbecker | 2006-05-15 17:37:44 +0100 (Mon, 15 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: allow for _rl_accel._instanceStringWidthTTF
r2861 | rgbecker | 2006-05-15 08:44:00 +0100 (Mon, 15 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	pdfmetrics.py: _rl_accel._instanceStringWidthU
r2860 | rgbecker | 2006-05-12 18:30:55 +0100 (Fri, 12 May 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	pdfmetrics.py: more version2 accelerator stuff
r2857 | rgbecker | 2006-05-11 14:06:52 +0100 (Thu, 11 May 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	paragraph: fix misuse of style before setting in cjk breaklines
r2856 | rgbecker | 2006-05-11 10:48:13 +0100 (Thu, 11 May 2006) | 1 line
	M /reportlab/trunk/reportlab/demos/odyssey/dodyssey.py
	reportlab: add hotshot analysis to dodyssey.py
r2854 | rgbecker | 2006-05-10 13:57:21 +0100 (Wed, 10 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_hello.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	reportlab: PDFString vs Unicode changes
r2853 | rgbecker | 2006-05-10 13:56:39 +0100 (Wed, 10 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	reportlab: fix up links in paragraphs
r2852 | rgbecker | 2006-05-08 16:04:15 +0100 (Mon, 08 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/utils.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	M /reportlab/trunk/reportlab/test/runAll.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/frames.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	reportlab: minor fixes to platypus, tests and fix jap splitting bug
r2851 | rgbecker | 2006-05-08 15:34:45 +0100 (Mon, 08 May 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/barcode/widgets.py
	M /reportlab/trunk/reportlab/graphics/barcode/test.py
	barcode: fix to import from reportlab
r2850 | rgbecker | 2006-05-08 14:40:06 +0100 (Mon, 08 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/pythonpowered.gif
	we shouldn't ever need to change this
r2849 | andy | 2006-05-06 09:25:23 +0100 (Sat, 06 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/utils.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	M /reportlab/trunk/reportlab/test/pythonpowered.gif
	M /reportlab/trunk/reportlab/platypus/tables.py
	friendlified way test suite runs
r2848 | andy | 2006-05-05 00:45:29 +0100 (Fri, 05 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_tables.py
	M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
	M /reportlab/trunk/reportlab/platypus/tables.py
	added japanese splitting test, and table preprocessor to convert unicode->utf8
r2847 | andy | 2006-05-05 00:07:51 +0100 (Fri, 05 May 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
	expanded Japanese para tests
r2846 | rgbecker | 2006-05-04 11:48:36 +0100 (Thu, 04 May 2006) | 1 line
	A /reportlab/trunk/reportlab/graphics/barcode/widgets.py
	A /reportlab/trunk/reportlab/graphics/barcode/usps.py
	A /reportlab/trunk/reportlab/graphics/barcode/test.py
	A /reportlab/trunk/reportlab/graphics/barcode/fourstate.py
	A /reportlab/trunk/reportlab/graphics/barcode/eanbc.py
	A /reportlab/trunk/reportlab/graphics/barcode/common.py
	A /reportlab/trunk/reportlab/graphics/barcode/code93.py
	A /reportlab/trunk/reportlab/graphics/barcode/code39.py
	A /reportlab/trunk/reportlab/graphics/barcode/code128.py
	A /reportlab/trunk/reportlab/graphics/barcode/__init__.py
	A /reportlab/trunk/reportlab/graphics/barcode/VERSION
	A /reportlab/trunk/reportlab/graphics/barcode/TODO
	A /reportlab/trunk/reportlab/graphics/barcode/README
	A /reportlab/trunk/reportlab/graphics/barcode
	reportlab: barcode moved to reportlab/graphics
r2845 | rgbecker | 2006-05-03 13:24:35 +0100 (Wed, 03 May 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: merged stable 2843:2844 minor fix to outDir handling in Drawing.save
r2843 | rgbecker | 2006-04-28 18:33:32 +0100 (Fri, 28 Apr 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	reportlab: added pound sign
r2842 | rgbecker | 2006-04-28 15:08:58 +0100 (Fri, 28 Apr 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	reportlab: fixed <greek> added <unichar [name=..|code=../> to paragraph
r2841 | rgbecker | 2006-04-27 18:42:12 +0100 (Thu, 27 Apr 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/rl_codecs.py
	rl_codecs: eliminate decorators
r2840 | rgbecker | 2006-04-20 15:37:13 +0100 (Thu, 20 Apr 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
	M /reportlab/trunk/reportlab/platypus/tables.py
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	reportlab: wastefully allow TTFont to use ttc files
r2839 | rgbecker | 2006-04-19 17:55:46 +0100 (Wed, 19 Apr 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: fix up to use struct properly
r2838 | rgbecker | 2006-04-18 18:47:54 +0100 (Tue, 18 Apr 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	reportlab: minor fix to axes.py
r2834 | rgbecker | 2006-04-05 18:42:59 +0100 (Wed, 05 Apr 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_pdfgen_links.py
	reportlab: fix bad test test_pdfgen_links.py
r2833 | rgbecker | 2006-04-05 17:01:20 +0100 (Wed, 05 Apr 2006) | 1 line
	A /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
	A /reportlab/trunk/reportlab/pdfbase/rl_codecs.py
	A /reportlab/trunk/reportlab/lib/textsplit.py
	reportlab: add files from utf8 branch
r2830 | rgbecker | 2006-04-05 16:18:32 +0100 (Wed, 05 Apr 2006) | 1 line
	M /reportlab/trunk/reportlab/tools/pythonpoint/stdparser.py
	M /reportlab/trunk/reportlab/tools/pythonpoint/pythonpoint.py
	M /reportlab/trunk/reportlab/tools/docco/rl_doc_utils.py
	M /reportlab/trunk/reportlab/tools/docco/graphdocpy.py
	M /reportlab/trunk/reportlab/test/test_tools_pythonpoint.py
	M /reportlab/trunk/reportlab/test/test_platypus_tables.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_links.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_pdfmetrics.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
	M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
	M /reportlab/trunk/reportlab/test/test_graphics_charts.py
	M /reportlab/trunk/reportlab/rl_config.py
	M /reportlab/trunk/reportlab/platypus/tables.py
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/para.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	M /reportlab/trunk/reportlab/pdfgen/textobject.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	M /reportlab/trunk/reportlab/pdfbase/cidfonts.py
	M /reportlab/trunk/reportlab/pdfbase/_cidfontdata.py
	M /reportlab/trunk/reportlab/lib/validators.py
	M /reportlab/trunk/reportlab/lib/styles.py
	M /reportlab/trunk/reportlab/lib/rparsexml.py
	M /reportlab/trunk/reportlab/graphics/testshapes.py
	M /reportlab/trunk/reportlab/graphics/shapes.py
	M /reportlab/trunk/reportlab/graphics/renderPM.py
	M /reportlab/trunk/reportlab/graphics/renderPDF.py
	M /reportlab/trunk/reportlab/docs/userguide/ch5_paragraphs.py
	M /reportlab/trunk/reportlab/docs/userguide/ch2a_fonts.py
	M /reportlab/trunk/reportlab/docs/userguide/ch1_intro.py
	M /reportlab/trunk/reportlab/demos/stdfonts/stdfonts.py
	reportlab-utf8 moved to trunk
r2808 | rgbecker | 2006-03-15 16:47:27 +0000 (Wed, 15 Mar 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	M /reportlab/trunk/reportlab/graphics/renderSVG.py
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	M /reportlab/trunk/reportlab/graphics/renderPM.py
	reportlab: changes to accomodate barcodes
r2807 | andy | 2006-03-15 12:22:10 +0000 (Wed, 15 Mar 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/validators.py
	new pattern matcher - partially done
r2806 | andy | 2006-03-13 23:33:51 +0000 (Mon, 13 Mar 2006) | 1 line
	M /reportlab/trunk/reportlab/docs/userguide/ch1_intro.py
	updated _imaging import
r2803 | rgbecker | 2006-03-09 13:29:26 +0000 (Thu, 09 Mar 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	reportlab: added FreeTextAnnotation and minor improvements to other annotations
r2802 | rgbecker | 2006-03-09 13:21:50 +0000 (Thu, 09 Mar 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	M /reportlab/trunk/reportlab/graphics/renderbase.py
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	reportlab/graphics cosmetics and adding drawImage to renderPS
r2799 | rgbecker | 2006-03-02 13:54:39 +0000 (Thu, 02 Mar 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowables.py: attempt to fix up keepInFrame for one more case
r2794 | rgbecker | 2006-03-01 10:48:40 +0000 (Wed, 01 Mar 2006) | 1 line
	A /reportlab/trunk/reportlab/tools/utils/dumpttf.py
	reportlab/tools/utils: added dumpttf.py
r2792 | rgbecker | 2006-02-28 18:37:06 +0000 (Tue, 28 Feb 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: fix index bug in name table read
r2789 | rgbecker | 2006-02-28 15:04:57 +0000 (Tue, 28 Feb 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/cidfonts.py
	M /reportlab/trunk/reportlab/lib/utils.py
	reportlab: remove cidfonts print, fix get_rl_tempdir
r2786 | rgbecker | 2006-02-27 21:26:46 +0000 (Mon, 27 Feb 2006) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	reportlab: minor changes to annotation support
r2775 | rgbecker | 2006-02-15 12:17:24 +0000 (Wed, 15 Feb 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/__init__.py
	platypus: ImagesAndFlowables in final form
r2774 | rgbecker | 2006-02-14 18:07:27 +0000 (Tue, 14 Feb 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/__init__.py
	reportlab: added FlowablesAndImage
r2765 | rgbecker | 2006-02-02 18:48:12 +0000 (Thu, 02 Feb 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	M /reportlab/trunk/reportlab/pdfbase/pdfutils.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfgen: fix badly drawn jpegs which are actually gifs
r2762 | rgbecker | 2006-01-30 16:29:07 +0000 (Mon, 30 Jan 2006) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	added _offsets handling to paragraph for flow around on left side
r2759 | rgbecker | 2006-01-25 11:25:29 +0000 (Wed, 25 Jan 2006) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	utils.py: annotate ImageReader read errors
r2755 | rgbecker | 2006-01-25 11:21:10 +0000 (Wed, 25 Jan 2006) | 1 line
	M /reportlab/trunk/reportlab/platypus/para.py
	para.py: minor layout changes to example etc
r2752 | rgbecker | 2006-01-09 13:29:53 +0000 (Mon, 09 Jan 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: fix wrap for Drawings to take account of renderScale
r2749 | rgbecker | 2006-01-09 11:22:03 +0000 (Mon, 09 Jan 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	M /reportlab/trunk/reportlab/graphics/renderSVG.py
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	M /reportlab/trunk/reportlab/graphics/renderPM.py
	M /reportlab/trunk/reportlab/graphics/renderPDF.py
	reprotlab/graphics: fix so renderScale is used properly
r2746 | rgbecker | 2006-01-05 15:17:03 +0000 (Thu, 05 Jan 2006) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: make copy use derived class if not overridden
r2745 | rgbecker | 2005-12-20 12:43:24 +0000 (Tue, 20 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: allow override for CWD
r2744 | rgbecker | 2005-12-15 12:28:18 +0000 (Thu, 15 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_graphics_charts.py
	M /reportlab/trunk/reportlab/pdfgen/pdfimages.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	reportlab: fix test_graphics_charts and eliminate 0 x 0 image bug in Acrobat 7.0
r2743 | rgbecker | 2005-12-12 15:51:29 +0000 (Mon, 12 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	piecharts: now have orderMode 'alternate' and proper vertical spreading
r2742 | oualid | 2005-12-12 11:58:08 +0000 (Mon, 12 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/normalDate.py
	normalDate: add initialize support for datetime
r2741 | andy | 2005-12-07 21:52:33 +0000 (Wed, 07 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/validators.py
	M /reportlab/trunk/reportlab/lib/attrmap.py
	M /reportlab/trunk/reportlab/graphics/testshapes.py
	M /reportlab/trunk/reportlab/graphics/shapes.py
	M /reportlab/trunk/reportlab/graphics/renderbase.py
	datacharts synchronised
r2740 | rgbecker | 2005-12-07 13:30:14 +0000 (Wed, 07 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/rl_config.py
	rl_config: fix typo
r2739 | rgbecker | 2005-12-07 13:25:25 +0000 (Wed, 07 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/rl_config.py
	M /reportlab/trunk/reportlab/graphics/shapes.py
	reportlab: add defaultGraphicsFontName, svg saving
r2738 | rgbecker | 2005-12-07 11:39:53 +0000 (Wed, 07 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	M /reportlab/trunk/reportlab/graphics/renderbase.py
	M /reportlab/trunk/reportlab/graphics/renderSVG.py
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	M /reportlab/trunk/reportlab/graphics/renderPM.py
	M /reportlab/trunk/reportlab/graphics/renderPDF.py
	graphics: added Drawing.renderScale hack for renderer terminal drawing scales
r2737 | rgbecker | 2005-12-06 18:36:58 +0000 (Tue, 06 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_graphics_charts.py
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	piecharts: initial version of pointer labels
r2736 | andy | 2005-12-01 23:03:45 +0000 (Thu, 01 Dec 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	removed a 2.4-ism
r2733 | rgbecker | 2005-11-22 11:24:22 +0000 (Tue, 22 Nov 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc.py: more optimisations
r2732 | rgbecker | 2005-11-21 19:39:42 +0000 (Mon, 21 Nov 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc.py: speed improvements
r2727 | rgbecker | 2005-10-31 11:20:18 +0000 (Mon, 31 Oct 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/textobject.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	pdfgen: abstract color setting ops to textobject._PDFColorSetter
r2724 | rgbecker | 2005-10-30 11:52:47 +0000 (Sun, 30 Oct 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	axes.py: factor out _allInt
r2723 | rgbecker | 2005-10-30 11:52:10 +0000 (Sun, 30 Oct 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	piecharts.py: fix checkLabelOverlap for 3d pie
r2719 | rgbecker | 2005-10-20 14:19:59 +0100 (Thu, 20 Oct 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_graphics_layout.py
	M /reportlab/trunk/reportlab/graphics/shapes.py
	reportlab: fix small angle addArc & Wedge.asPolygon
r2715 | rgbecker | 2005-10-10 12:56:30 +0100 (Mon, 10 Oct 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowables.py: fixes to PTOContainer
r2711 | rgbecker | 2005-10-06 11:04:37 +0100 (Thu, 06 Oct 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_pto.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	platypus: fixup KeepInFrame error handling
r2707 | rgbecker | 2005-10-04 13:59:21 +0100 (Tue, 04 Oct 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowables.py: make KeepInFrame wrapping more robust
r2699 | rgbecker | 2005-09-29 13:35:38 +0100 (Thu, 29 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/frames.py
	frames.py: logger only when _debug
r2698 | rgbecker | 2005-09-29 12:49:23 +0100 (Thu, 29 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/frames.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	platypus: changes to make identity more useful
r2697 | rgbecker | 2005-09-28 18:22:53 +0100 (Wed, 28 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_pto.py
	test_platypus_pto.py: changed FrameFlowable to KeepInFrame
r2696 | rgbecker | 2005-09-28 14:22:53 +0100 (Wed, 28 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	flowables.py: keepInFrame now truncates etc properly, doctemplate.py: fix handle_frameEnd
r2695 | andy | 2005-09-27 22:12:08 +0100 (Tue, 27 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	renamed FrameFlowable to KeepInFrame
r2694 | rgbecker | 2005-09-27 18:31:51 +0100 (Tue, 27 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowablse.py: minor fix and hack to FrameFlowable
r2693 | rgbecker | 2005-09-27 16:29:16 +0100 (Tue, 27 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowables.py: minor fixes revealed by rml2pdf use
r2692 | rgbecker | 2005-09-27 14:26:12 +0100 (Tue, 27 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_pto.py
	M /reportlab/trunk/reportlab/platypus/frames.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	platypus: initial FrameFlowable implementation
r2689 | rgbecker | 2005-09-22 17:53:18 +0100 (Thu, 22 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	merge stable 2687:2688 pdfdoc.py: attempt to robustify escape attribute access
r2680 | rgbecker | 2005-09-21 17:17:56 +0100 (Wed, 21 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	platypus: fix up None defaults for table line commands, add HRFlowable dash arg
r2679 | rgbecker | 2005-09-20 16:59:39 +0100 (Tue, 20 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	axes.py: make YCategoryAxis accept less than n labels
r2676 | rgbecker | 2005-09-06 11:25:00 +0100 (Tue, 06 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/samples/radar.py
	M /reportlab/trunk/reportlab/graphics/samples/filled_radar.py
	M /reportlab/trunk/reportlab/graphics/charts/spider.py
	merge stable 2674:2675 graphics: fix buglet in spider and non-conforming samples
r2674 | rgbecker | 2005-09-05 17:20:26 +0100 (Mon, 05 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/spider.py
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	merged utf8 2666:2671 improved spider plots
r2668 | rgbecker | 2005-09-05 11:23:51 +0100 (Mon, 05 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/widgetbase.py
	merge utf8 2666:2667 widgetbase: make line[3] back up for line[(3,x)]
r2663 | rgbecker | 2005-09-02 10:44:17 +0100 (Fri, 02 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/utils3d.py
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	reportlab/graphics/charts: better piechart labels
r2662 | rgbecker | 2005-09-01 17:18:33 +0100 (Thu, 01 Sep 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc: allow special escaping in Annotations and PDFString
r2659 | rgbecker | 2005-08-18 11:28:12 +0100 (Thu, 18 Aug 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	merge stable 2657:2658 axes/lineplots.py: fix inFill behaviour
r2655 | rgbecker | 2005-08-16 10:40:10 +0100 (Tue, 16 Aug 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_lib_utils.py
	merge stable 2653:2654 test_lib_utils.py: ensure we get an incremented count
r2652 | rgbecker | 2005-08-15 12:21:53 +0100 (Mon, 15 Aug 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_lib_utils.py
	nerge stable 2649:2650 test_lib_utils.py: fix race in temp creation
r2649 | andy | 2005-07-31 23:47:00 +0100 (Sun, 31 Jul 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/para.py
	Chad Miller's table fix
r2648 | rgbecker | 2005-07-28 16:10:18 +0100 (Thu, 28 Jul 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvas.py: fix probable bug in setdash
r2647 | rgbecker | 2005-07-26 14:47:51 +0100 (Tue, 26 Jul 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/textlabels.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	merge 2643:2644 from stable textlabels.py, barcharts.py: added boxTarget support
r2630 | rgbecker | 2005-07-08 10:18:22 +0100 (Fri, 08 Jul 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_pdfbase_ttfonts.py
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	merge 2628:2629: ttfonts: altered subset naming
r2623 | rgbecker | 2005-06-27 16:34:29 +0100 (Mon, 27 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	pdfbase.pdfmetrics: fix glob to be zip friendly
r2619 | rgbecker | 2005-06-24 15:49:15 +0100 (Fri, 24 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/test/utils.py
	M /reportlab/trunk/reportlab/test/test_widgets_grids.py
	M /reportlab/trunk/reportlab/test/test_widgetbase_tpc.py
	M /reportlab/trunk/reportlab/test/test_utils.py
	M /reportlab/trunk/reportlab/test/test_tools_pythonpoint.py
	M /reportlab/trunk/reportlab/test/test_table_layout.py
	M /reportlab/trunk/reportlab/test/test_source_chars.py
	M /reportlab/trunk/reportlab/test/test_rl_accel.py
	M /reportlab/trunk/reportlab/test/test_renderSVG.py
	M /reportlab/trunk/reportlab/test/test_pyfiles.py
	M /reportlab/trunk/reportlab/test/test_platypus_xref.py
	M /reportlab/trunk/reportlab/test/test_platypus_toc.py
	M /reportlab/trunk/reportlab/test/test_platypus_tables.py
	M /reportlab/trunk/reportlab/test/test_platypus_pto.py
	M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
	M /reportlab/trunk/reportlab/test/test_platypus_leftright.py
	M /reportlab/trunk/reportlab/test/test_platypus_indents.py
	M /reportlab/trunk/reportlab/test/test_platypus_general.py
	M /reportlab/trunk/reportlab/test/test_platypus_breaking.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_pycanvas.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_pagemodes.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_links.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_callback.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_ttfonts.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_postscript.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_pdfutils.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_pdfmetrics.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_fontembed.py
	M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
	M /reportlab/trunk/reportlab/test/test_paragraphs.py
	M /reportlab/trunk/reportlab/test/test_multibyte_kor.py
	M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
	M /reportlab/trunk/reportlab/test/test_multibyte_cht.py
	M /reportlab/trunk/reportlab/test/test_multibyte_chs.py
	M /reportlab/trunk/reportlab/test/test_lib_validators.py
	M /reportlab/trunk/reportlab/test/test_lib_utils.py
	M /reportlab/trunk/reportlab/test/test_lib_sequencer.py
	M /reportlab/trunk/reportlab/test/test_lib_colors.py
	M /reportlab/trunk/reportlab/test/test_invariant.py
	M /reportlab/trunk/reportlab/test/test_images.py
	M /reportlab/trunk/reportlab/test/test_hello.py
	M /reportlab/trunk/reportlab/test/test_graphics_speed.py
	M /reportlab/trunk/reportlab/test/test_graphics_layout.py
	M /reportlab/trunk/reportlab/test/test_graphics_images.py
	M /reportlab/trunk/reportlab/test/test_graphics_charts.py
	M /reportlab/trunk/reportlab/test/test_extra.py
	M /reportlab/trunk/reportlab/test/test_docstrings.py
	M /reportlab/trunk/reportlab/test/test_docs_build.py
	M /reportlab/trunk/reportlab/test/test_charts_textlabels.py
	M /reportlab/trunk/reportlab/test/runAll.py
	reportlab/test: fix so individual tests print output folder location
r2617 | andy | 2005-06-15 21:23:07 +0100 (Wed, 15 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	generalized a rarely-used error message handler which changed in 2.3
r2613 | rgbecker | 2005-06-15 14:46:10 +0100 (Wed, 15 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/spider.py
	spider.py: fix all zero bug (inspired by Max M)
r2611 | rgbecker | 2005-06-13 11:13:47 +0100 (Mon, 13 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	utils.py: fix argument reference
r2608 | rgbecker | 2005-06-12 12:53:56 +0100 (Sun, 12 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_pdfbase_ttfonts.py
	M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
	ttfonts.py: apply Albertas Agejevas' <alga@pov.lt> spaces patch to fix para splitting
r2606 | andy | 2005-06-09 23:07:02 +0100 (Thu, 09 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/frames.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	added a platypus logger
r2604 | rgbecker | 2005-06-08 11:12:46 +0100 (Wed, 08 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	legends.py: fix 2.1 compatibility problem
r2599 | rgbecker | 2005-06-06 17:07:54 +0100 (Mon, 06 Jun 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	utils.py: raise RuntimeError if no image handling available in ImageReader
r2595 | rgbecker | 2005-05-27 16:40:20 +0100 (Fri, 27 May 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	fundsdemo: added support for special legending
r2592 | rgbecker | 2005-05-16 13:18:46 +0100 (Mon, 16 May 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: allow for h/vAlign constructor agruments to be used
r2591 | andy | 2005-05-13 20:22:10 +0100 (Fri, 13 May 2005) | 1 line
	M /reportlab/trunk/reportlab/tools/pythonpoint/pythonpoint.py
	added a check for missing files
r2590 | rgbecker | 2005-05-10 14:09:40 +0100 (Tue, 10 May 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	renderPS.py: attempt to fix setFont error
r2589 | rgbecker | 2005-05-04 12:33:30 +0100 (Wed, 04 May 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	doctemplate.py: add rotation argument to BaseDocTemplate
r2588 | rgbecker | 2005-05-03 12:56:56 +0100 (Tue, 03 May 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	doctemplate.py: fix syntax error
r2587 | rgbecker | 2005-05-03 12:41:54 +0100 (Tue, 03 May 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/colors.py
	colors.py: add a fidred
r2586 | rgbecker | 2005-05-03 12:41:17 +0100 (Tue, 03 May 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/attrmap.py
	attrmap: fix initialization of _initial
r2585 | rgbecker | 2005-05-03 12:40:11 +0100 (Tue, 03 May 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	doctemplate.py: support for canvasmaker and rotation
r2584 | rgbecker | 2005-05-03 12:39:22 +0100 (Tue, 03 May 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	M /reportlab/trunk/reportlab/lib/utils.py
	reportlab: better support for PIL image
r2583 | rgbecker | 2005-04-30 17:31:55 +0100 (Sat, 30 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc.py: fix misspelling of DeviceGray
r2581 | rgbecker | 2005-04-27 13:09:43 +0100 (Wed, 27 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	utils.py: use normpath in _archive etc etc
r2579 | rgbecker | 2005-04-25 11:38:14 +0100 (Mon, 25 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfutils.py
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	M /reportlab/trunk/reportlab/lib/utils.py
	CMYK image improvements
r2576 | rgbecker | 2005-04-20 11:39:42 +0100 (Wed, 20 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: fix vertical height bug
r2570 | jjlee | 2005-04-19 13:44:21 +0100 (Tue, 19 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_utils.py
	Merge to trunk the fix to a FmtSelfDict test that I accidentally conmitted to a tag (svn merge -r 2568:2569 https://www.reportlab.co.uk/svn/public/reportlab/tags/fidreleases/fidelity-20050310T103800/reportlab)
r2566 | jjlee | 2005-04-18 14:25:25 +0100 (Mon, 18 Apr 2005) | 1 line
	A /reportlab/trunk/reportlab/test/test_utils.py
	M /reportlab/trunk/reportlab/lib/utils.py
	Allow overriding parameters in _fmt utility method
r2561 | rgbecker | 2005-04-15 15:04:49 +0100 (Fri, 15 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvas.py: minor changes to bring into line with TBlatter's early serializer version
r2560 | rgbecker | 2005-04-15 15:04:10 +0100 (Fri, 15 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc.py: minor changes to bring into line with TBlatter's early serializer version
r2551 | rgbecker | 2005-04-14 15:53:04 +0100 (Thu, 14 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
	pdfdoc.py: minor changes to simplify PDFInfoL/U in other apps
r2550 | rgbecker | 2005-04-12 18:23:17 +0100 (Tue, 12 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_tables.py
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: fixes to split + spans
r2549 | rgbecker | 2005-04-01 10:38:18 +0100 (Fri, 01 Apr 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: eliminate use of enumerate
r2548 | rgbecker | 2005-03-31 16:35:20 +0100 (Thu, 31 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
	pdfmetrics.py: fix minor buglet discovered by Ron Peleg
r2547 | rgbecker | 2005-03-29 14:54:51 +0100 (Tue, 29 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_table_layout.py
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: added in Gary Poster's gary@zope.com latest patch
r2546 | rgbecker | 2005-03-23 13:35:58 +0000 (Wed, 23 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: be evn more robust about width/drawWidth etc
r2545 | rgbecker | 2005-03-23 11:35:10 +0000 (Wed, 23 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: fix for case when minWidth fails du eot attribute error
r2544 | rgbecker | 2005-03-18 18:51:22 +0000 (Fri, 18 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: improve join/cap conversion
r2543 | rptlab | 2005-03-18 15:15:23 +0000 (Fri, 18 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: 2.1 compatibility changes
r2542 | rgbecker | 2005-03-18 14:37:49 +0000 (Fri, 18 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	tables.py, paragraph.py: Gary Poster's layout improvement patch
r2541 | rgbecker | 2005-03-18 14:37:01 +0000 (Fri, 18 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	doctemplate.py: fix cgitb recursion problem
r2540 | rgbecker | 2005-03-17 12:01:27 +0000 (Thu, 17 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: fix Gary's patch (broken by Robin)
r2539 | rgbecker | 2005-03-16 18:46:16 +0000 (Wed, 16 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: fixes to join/cap/dash from Gary Poster
r2538 | rgbecker | 2005-03-16 09:47:07 +0000 (Wed, 16 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: empty cellval patch from Jean-Francois Gosset
r2537 | rgbecker | 2005-03-15 14:19:29 +0000 (Tue, 15 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/pathobject.py
	pathobject: speed improvements and initial assertion
r2536 | andy | 2005-03-14 20:04:55 +0000 (Mon, 14 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_tables.py
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	enhanced decimal alignment
r2535 | rgbecker | 2005-03-11 10:34:29 +0000 (Fri, 11 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	doctemplate.py: fix buglet reported by Steve Halasz
r2530 | jjlee | 2005-03-02 14:27:57 +0000 (Wed, 02 Mar 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	Add process environment to logged traceback
r2528 | rgbecker | 2005-02-28 15:55:58 +0000 (Mon, 28 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvas.py: added in Andrew Mercer's linkURL fix
r2526 | rgbecker | 2005-02-21 15:40:08 +0000 (Mon, 21 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_paragraphs.py
	test_paragraphs.py: added font size change test for underlining test
r2525 | rgbecker | 2005-02-21 14:55:11 +0000 (Mon, 21 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_paragraphs.py
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	paragraph.py: added proper undeerline color
r2524 | rgbecker | 2005-02-17 08:43:01 +0000 (Thu, 17 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/units.py
	units.py: fix pica conversion thanks to Paul McNett
r2523 | rgbecker | 2005-02-07 17:59:09 +0000 (Mon, 07 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	utils.py: added FmtSelfDict class
r2522 | rgbecker | 2005-02-07 11:26:31 +0000 (Mon, 07 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/shapes.py
	shapes.py: added save renderer specific argument handling
r2521 | rgbecker | 2005-02-07 10:29:15 +0000 (Mon, 07 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	canvas.py: added setFontSize method
r2520 | rgbecker | 2005-02-05 10:19:05 +0000 (Sat, 05 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	flowables.py: fix 2.1 breakage
r2519 | rgbecker | 2005-02-03 17:14:58 +0000 (Thu, 03 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	platypus: make LCActionFlowable the bad ones
r2518 | rgbecker | 2005-02-03 11:30:21 +0000 (Thu, 03 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/flowables.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	platypus: attempt to make KeepTogether/keepWithNext more robust
r2517 | rgbecker | 2005-02-02 14:43:28 +0000 (Wed, 02 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	reportlab/lib/utils.py: remove bad checkin
r2516 | rgbecker | 2005-02-02 14:40:15 +0000 (Wed, 02 Feb 2005) | 1 line
	M /reportlab/trunk/reportlab/lib/utils.py
	fix reportlab_functional.txt
r2515 | andy | 2005-01-31 16:47:03 +0000 (Mon, 31 Jan 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/paraparser.py
	allow solid para background
r2514 | andy | 2005-01-27 21:44:35 +0000 (Thu, 27 Jan 2005) | 1 line
	M /reportlab/trunk/reportlab/platypus/paragraph.py
	minor fix to allow getPlaintext on more paragraphs
r2512 | rgbecker | 2005-01-14 16:06:57 +0000 (Fri, 14 Jan 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_tables.py
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: added span rows split handling & test contributed by Andre Reitz
r2511 | rgbecker | 2005-01-14 15:42:12 +0000 (Fri, 14 Jan 2005) | 1 line
	M /reportlab/trunk/reportlab/setup.py
	setup.py: fix missing comma, contributed by  Andre Reitz
r2510 | rgbecker | 2005-01-13 11:50:57 +0000 (Thu, 13 Jan 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	axes.py: finally make abf/rr work properly
r2509 | rgbecker | 2005-01-10 18:29:17 +0000 (Mon, 10 Jan 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/renderPS.py
	renderPS.py: fix buglet in color setting
r2507 | rgbecker | 2005-01-10 10:04:09 +0000 (Mon, 10 Jan 2005) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	legends.py: fix for empty legend prob
r2506 | rgbecker | 2005-01-06 12:21:25 +0000 (Thu, 06 Jan 2005) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_leftright.py
	M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
	M /reportlab/trunk/reportlab/pdfgen/canvas.py
	added canvas.textAnnotation and tests for it
r2504 | rgbecker | 2004-12-31 12:49:02 +0000 (Fri, 31 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	legends.py: fix callout bug
r2502 | rgbecker | 2004-12-31 11:20:06 +0000 (Fri, 31 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/rl_config.py
	M /reportlab/trunk/reportlab/platypus/tables.py
	added longTableOptimize config variable
r2501 | rgbecker | 2004-12-31 11:13:44 +0000 (Fri, 31 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/test/test_graphics_charts.py
	test_graphics_charts.py: added new legend testing
r2500 | rgbecker | 2004-12-30 09:51:30 +0000 (Thu, 30 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	barcharts.py: fix missing getattr
r2499 | rgbecker | 2004-12-29 17:12:34 +0000 (Wed, 29 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/doughnut.py
	Fix up missing initialization
r2498 | rgbecker | 2004-12-29 17:11:02 +0000 (Wed, 29 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/doughnut.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	barcharts.py: NoneOr was miscapitalized
r2497 | rgbecker | 2004-12-29 14:08:38 +0000 (Wed, 29 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	charts: minor adjustments to legends/swatches for pies/barcharts
r2496 | rgbecker | 2004-12-23 15:38:16 +0000 (Thu, 23 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	legends.py: added variColumn attribute
r2495 | rgbecker | 2004-12-22 18:25:37 +0000 (Wed, 22 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/test/test_graphics_charts.py
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	graphics: minor legend tweaks
r2494 | rgbecker | 2004-12-22 16:50:08 +0000 (Wed, 22 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	axes.py: added categegorAxis tickShift
r2493 | rgbecker | 2004-12-22 16:14:25 +0000 (Wed, 22 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/test/test_graphics_charts.py
	M /reportlab/trunk/reportlab/graphics/charts/spider.py
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	M /reportlab/trunk/reportlab/graphics/charts/linecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	charts: autolegending in place, legend now has boxAnchor
r2492 | rgbecker | 2004-12-21 18:02:28 +0000 (Tue, 21 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/lib/validators.py
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	M /reportlab/trunk/reportlab/graphics/charts/linecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	M /reportlab/trunk/reportlab/graphics/charts/axes.py
	Auto Legends
r2491 | andy | 2004-12-21 05:29:55 +0000 (Tue, 21 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	missing isString import
r2490 | rgbecker | 2004-12-20 19:00:02 +0000 (Mon, 20 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/lib/validators.py
	validators.py: better auto support
r2489 | rgbecker | 2004-12-20 18:59:35 +0000 (Mon, 20 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
	legends.py: more smart changes
r2488 | rgbecker | 2004-12-19 09:19:07 +0000 (Sun, 19 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	legends.py: fix missing import
r2487 | rgbecker | 2004-12-19 09:15:56 +0000 (Sun, 19 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/lib/validators.py
	validators.py: forgot to check in with AutoOr
r2486 | rgbecker | 2004-12-17 16:58:32 +0000 (Fri, 17 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/widgetbase.py
	M /reportlab/trunk/reportlab/graphics/charts/spider.py
	M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
	M /reportlab/trunk/reportlab/graphics/charts/legends.py
	M /reportlab/trunk/reportlab/graphics/charts/doughnut.py
	graphics: changes for SmartLegend
r2485 | rgbecker | 2004-12-16 16:42:12 +0000 (Thu, 16 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
	lineplots.py: allow filled/unfilled plotting
r2484 | andy | 2004-12-10 07:27:50 +0000 (Fri, 10 Dec 2004) | 1 line
	A /reportlab/trunk/reportlab/test/test_platypus_leftright.py
	M /reportlab/trunk/reportlab/platypus/doctemplate.py
	M /reportlab/trunk/reportlab/lib/corp.py
	left/right template support
r2483 | rgbecker | 2004-12-06 17:00:44 +0000 (Mon, 06 Dec 2004) | 1 line
	M /reportlab/trunk/reportlab/test/runAll.py
	reportlab.test.utils.py: fix 2.4 problem
r2480 | rgbecker | 2004-11-25 14:27:07 +0000 (Thu, 25 Nov 2004) | 1 line
	M /reportlab/trunk/reportlab/changes
	reportlab: prparing for 1.20 re-release
r2478 | rgbecker | 2004-11-25 14:18:03 +0000 (Thu, 25 Nov 2004) | 1 line
	M /reportlab/trunk/reportlab/test/test_platypus_tables.py
	M /reportlab/trunk/reportlab/platypus/tables.py
	tables.py: extend span line blocking to multi lines
#################################################################################
#################### RELEASE 1.20 at 18:00 GMT  25/Nov/2004     #################
#################################################################################
r2478 | rgbecker | 2004-11-25 14:18:03 +0000 (Thu, 25 Nov 2004)
   tables.py: extend span line blocking to multi lines
r2477 | rgbecker | 2004-11-24 18:29:57 +0000 (Wed, 24 Nov 2004)
   setup.py: add backin the missing sub-packages
r2476 | rgbecker | 2004-11-24 16:42:12 +0000 (Wed, 24 Nov 2004)
   reportlab: table improvments and better documentation
r2475 | rgbecker | 2004-11-23 17:08:33 +0000 (Tue, 23 Nov 2004)
   reportlab.setup.py: now works with and without rl_accel
r2462 | rgbecker | 2004-11-03 20:48:51 +0000 (Wed, 03 Nov 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   reportlab lib utils.py: add find_locals
r2461 | rgbecker | 2004-11-03 15:38:07 +0000 (Wed, 03 Nov 2004)
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   M /reportlab/trunk/reportlab/graphics/renderPS.py
   reportlab graphics: changes for canvasadapter
r2460 | rgbecker | 2004-11-02 10:18:55 +0000 (Tue, 02 Nov 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   flowables.py: fix no PIL jpg problem reported by Martin.Zohlhuber@tttech.com
r2459 | rgbecker | 2004-10-23 16:46:56 +0100 (Sat, 23 Oct 2004)
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/platypus/flowables.py
   canvasadapter.py fixes
r2458 | rgbecker | 2004-10-22 17:37:01 +0100 (Fri, 22 Oct 2004)
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   M /reportlab/trunk/reportlab/lib/colors.py
   minor changes for pdf canvas compatibility and tests
r2457 | rgbecker | 2004-10-20 20:27:07 +0100 (Wed, 20 Oct 2004)
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   M /reportlab/trunk/reportlab/graphics/renderbase.py
   M /reportlab/trunk/reportlab/platypus/tables.py
   CanvasAdapter related changes
r2456 | rgbecker | 2004-10-19 18:52:20 +0100 (Tue, 19 Oct 2004)
   M /reportlab/trunk/reportlab/platypus/paragraph.py
   paragraph.py: use canvas.setFillColor
r2455 | rgbecker | 2004-10-07 18:51:31 +0100 (Thu, 07 Oct 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfutils.py
   pdfutils.py: added _fusc
r2454 | rgbecker | 2004-10-07 10:36:36 +0100 (Thu, 07 Oct 2004)
   M /reportlab/trunk/reportlab/tools/pythonpoint/stdparser.py
   stdparser.py: fix 2.1 brokenness
r2453 | andy | 2004-10-05 23:34:14 +0100 (Tue, 05 Oct 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   fixed col/row shading bug where last row or col never got shaded - reported R Revill
r2452 | andy | 2004-10-04 21:52:20 +0100 (Mon, 04 Oct 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   Tim Roberts' fix to vertical table cell alignment
r2451 | andy | 2004-10-04 08:03:42 +0100 (Mon, 04 Oct 2004)
   M /reportlab/trunk/reportlab/tools/pythonpoint/stdparser.py
   Francesco Pierfederici [fpierfed@noao.edu] fix to incorrect path argument
r2450 | rgbecker | 2004-10-01 13:28:12 +0100 (Fri, 01 Oct 2004)
   M /reportlab/trunk/reportlab/rl_config.py
   rl_config.py: use import for local_rl_config
r2449 | rgbecker | 2004-10-01 11:40:15 +0100 (Fri, 01 Oct 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   tables.py: fix buglet in command adding
r2448 | andy | 2004-09-29 11:18:32 +0100 (Wed, 29 Sep 2004)
   M /reportlab/trunk/reportlab/lib/colors.py
   M /reportlab/trunk/reportlab/lib/corp.py
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/platypus/tables.py
   M /reportlab/trunk/reportlab/test/test_platypus_tables.py
   table color cycle changes
r2447 | andy | 2004-09-29 10:17:52 +0100 (Wed, 29 Sep 2004)
   M /reportlab/trunk/reportlab/license.txt
   Updated to 2004
r2446 | rgbecker | 2004-09-23 17:52:19 +0100 (Thu, 23 Sep 2004)
   D /reportlab/trunk/reportlab/lib/Makefile.pre.in
   D /reportlab/trunk/reportlab/lib/README.extensions
   D /reportlab/trunk/reportlab/lib/Setup.in
   D /reportlab/trunk/reportlab/lib/__BUILD.dsw
   D /reportlab/trunk/reportlab/lib/_rl_accel.c
   D /reportlab/trunk/reportlab/lib/_rl_accel.dsp
   D /reportlab/trunk/reportlab/lib/_rl_accel.java
   D /reportlab/trunk/reportlab/lib/hnjalloc.c
   D /reportlab/trunk/reportlab/lib/hnjalloc.h
   D /reportlab/trunk/reportlab/lib/hyphen.c
   D /reportlab/trunk/reportlab/lib/hyphen.h
   D /reportlab/trunk/reportlab/lib/hyphen.mashed
   D /reportlab/trunk/reportlab/lib/pyHnj.dsp
   D /reportlab/trunk/reportlab/lib/pyHnjmodule.c
   D /reportlab/trunk/reportlab/lib/setup.py
   D /reportlab/trunk/reportlab/lib/sgmlop.c
   D /reportlab/trunk/reportlab/lib/sgmlop.dsp
   M /reportlab/trunk/reportlab/setup.py
   A /reportlab/trunk/rl_addons/rl_accel
   A /reportlab/trunk/rl_addons/rl_accel/Makefile.pre.in (from /reportlab/trunk/reportlab/lib/Makefile.pre.in:2444)
   A /reportlab/trunk/rl_addons/rl_accel/README.extensions (from /reportlab/trunk/reportlab/lib/README.extensions:2444)
   A /reportlab/trunk/rl_addons/rl_accel/Setup.in (from /reportlab/trunk/reportlab/lib/Setup.in:2444)
   A /reportlab/trunk/rl_addons/rl_accel/__BUILD.dsw (from /reportlab/trunk/reportlab/lib/__BUILD.dsw:2444)
   A /reportlab/trunk/rl_addons/rl_accel/_rl_accel.c (from /reportlab/trunk/reportlab/lib/_rl_accel.c:2444)
   A /reportlab/trunk/rl_addons/rl_accel/_rl_accel.dsp (from /reportlab/trunk/reportlab/lib/_rl_accel.dsp:2444)
   A /reportlab/trunk/rl_addons/rl_accel/_rl_accel.java (from /reportlab/trunk/reportlab/lib/_rl_accel.java:2444)
   A /reportlab/trunk/rl_addons/rl_accel/hnjalloc.c (from /reportlab/trunk/reportlab/lib/hnjalloc.c:2444)
   A /reportlab/trunk/rl_addons/rl_accel/hnjalloc.h (from /reportlab/trunk/reportlab/lib/hnjalloc.h:2444)
   A /reportlab/trunk/rl_addons/rl_accel/hyphen.c (from /reportlab/trunk/reportlab/lib/hyphen.c:2444)
   A /reportlab/trunk/rl_addons/rl_accel/hyphen.h (from /reportlab/trunk/reportlab/lib/hyphen.h:2444)
   A /reportlab/trunk/rl_addons/rl_accel/hyphen.mashed (from /reportlab/trunk/reportlab/lib/hyphen.mashed:2444)
   A /reportlab/trunk/rl_addons/rl_accel/pyHnj.dsp (from /reportlab/trunk/reportlab/lib/pyHnj.dsp:2444)
   A /reportlab/trunk/rl_addons/rl_accel/pyHnjmodule.c (from /reportlab/trunk/reportlab/lib/pyHnjmodule.c:2444)
   A /reportlab/trunk/rl_addons/rl_accel/setup.py (from /reportlab/trunk/reportlab/lib/setup.py:2444)
   A /reportlab/trunk/rl_addons/rl_accel/sgmlop.c (from /reportlab/trunk/reportlab/lib/sgmlop.c:2444)
   A /reportlab/trunk/rl_addons/rl_accel/sgmlop.dsp (from /reportlab/trunk/reportlab/lib/sgmlop.dsp:2444)
   reportlab/lib: moved _rl_accel and friends to rl_addons/rl_accel
r2445 | rgbecker | 2004-09-23 13:36:41 +0100 (Thu, 23 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   tables.py: robustify repr
r2443 | rgbecker | 2004-09-22 09:57:45 +0100 (Wed, 22 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   flowables.py: remove 2.1 incompatibility
r2442 | rgbecker | 2004-09-20 17:31:22 +0100 (Mon, 20 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/test/test_platypus_pto.py
   platypus/test: working pto (& inner pto)
r2441 | rgbecker | 2004-09-17 11:46:56 +0100 (Fri, 17 Sep 2004)
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   renderPM.py: backward compatibility fix for _renderPM version <=0.98
r2440 | rgbecker | 2004-09-15 10:40:03 +0100 (Wed, 15 Sep 2004)
   M /reportlab/trunk/reportlab/setup.py
   setup.py: fix get_version using patch from michael@stroeder.com
r2439 | rgbecker | 2004-09-14 12:08:13 +0100 (Tue, 14 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/__init__.py
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/platypus/tables.py
   A /reportlab/trunk/reportlab/test/test_platypus_pto.py
   M /reportlab/trunk/reportlab/test/test_platypus_tables.py
   platypus: added ptocontainer, moved tables test
r2438 | rgbecker | 2004-09-13 09:41:41 +0100 (Mon, 13 Sep 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   test_platypus_general.py: remove another 2.1 scope problem
r2437 | rgbecker | 2004-09-12 11:06:45 +0100 (Sun, 12 Sep 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   test_platypus_general.py: eliminate 2.1 scope problem
r2436 | rgbecker | 2004-09-11 15:18:33 +0100 (Sat, 11 Sep 2004)
   M /reportlab/trunk/reportlab/lib/randomtext.py
   randomtext.py: robustify textwrap import
r2435 | rgbecker | 2004-09-10 10:54:15 +0100 (Fri, 10 Sep 2004)
   M /reportlab/trunk/reportlab/lib/randomtext.py
   randomtext.py: fix argument handling
r2434 | rgbecker | 2004-09-09 18:42:18 +0100 (Thu, 09 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/frames.py
   M /reportlab/trunk/reportlab/rl_config.py
   move _FUZZ to rl_config
r2433 | rgbecker | 2004-09-09 18:01:57 +0100 (Thu, 09 Sep 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
   pdfdoc.py: improve image masking given by Colors
r2432 | rgbecker | 2004-09-09 12:56:24 +0100 (Thu, 09 Sep 2004)
   M /reportlab/trunk/reportlab/lib/randomtext.py
   randomtext.py: some improvements
r2431 | rgbecker | 2004-09-08 18:41:10 +0100 (Wed, 08 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/platypus/paraparser.py
   flowables.py: minor change to PTOContainer
r2430 | rgbecker | 2004-09-08 18:37:26 +0100 (Wed, 08 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/platypus/frames.py
   platypus: almost finished PTOContainer
r2429 | rgbecker | 2004-09-08 12:02:58 +0100 (Wed, 08 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   tables.py: implement Eric Stephen's border drawing suggestion
r2428 | rgbecker | 2004-09-08 11:47:55 +0100 (Wed, 08 Sep 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   test_platypus_general.py: fix so all output seen
r2427 | rgbecker | 2004-09-03 10:53:17 +0100 (Fri, 03 Sep 2004)
   M /reportlab/trunk/rl_addons/pyRXP/pyRXP.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/xmlparser.c
   pyRXP: fix buf bug in xmlparser.c -->1.05
r2426 | rgbecker | 2004-09-02 12:52:56 +0100 (Thu, 02 Sep 2004)
   M /reportlab/trunk/reportlab/platypus/xpreformatted.py
   XPreformatted: make __init__ lead args same as for paragraph
r2425 | rgbecker | 2004-08-27 17:08:32 +0100 (Fri, 27 Aug 2004)
   M /reportlab/trunk/reportlab/graphics/charts/axes.py
   axes.py: fix format bug
r2424 | rgbecker | 2004-08-25 15:38:48 +0100 (Wed, 25 Aug 2004)
   M /reportlab/trunk/reportlab/platypus/paraparser.py
   paraparser.py: minor speedup
r2423 | rgbecker | 2004-08-24 12:36:22 +0100 (Tue, 24 Aug 2004)
   M /reportlab/trunk/reportlab/lib/sequencer.py
   M /reportlab/trunk/reportlab/platypus/paraparser.py
   M /reportlab/trunk/reportlab/test/test_paragraphs.py
   added seqchain/format tags
r2422 | rgbecker | 2004-08-23 16:54:25 +0100 (Mon, 23 Aug 2004)
   M /reportlab/trunk/reportlab/platypus/paragraph.py
   M /reportlab/trunk/reportlab/test/test_paragraphs.py
   fix backcolour bug
r2421 | rgbecker | 2004-08-20 17:12:33 +0100 (Fri, 20 Aug 2004)
   M /reportlab/trunk/reportlab/platypus/__init__.py
   M /reportlab/trunk/reportlab/platypus/doctemplate.py
   M /reportlab/trunk/reportlab/platypus/paragraph.py
   M /reportlab/trunk/reportlab/test/test_paragraphs.py
   minor twitching on Indenter
r2420 | rgbecker | 2004-08-19 23:17:05 +0100 (Thu, 19 Aug 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   reportlab/lib/utils.py: added flatten utility function
r2419 | rgbecker | 2004-08-19 10:58:05 +0100 (Thu, 19 Aug 2004)
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   _rl_accel.c: patch from Yves Bastide
r2418 | rgbecker | 2004-08-18 14:11:15 +0100 (Wed, 18 Aug 2004)
   M /reportlab/trunk/reportlab/graphics/charts/textlabels.py
   M /reportlab/trunk/reportlab/graphics/widgetbase.py
   remove 2.2 isms
r2417 | rgbecker | 2004-08-18 12:17:54 +0100 (Wed, 18 Aug 2004)
   M /reportlab/trunk/reportlab/graphics/charts/textlabels.py
   textlabels.py: added keyword arguments
r2416 | rgbecker | 2004-08-17 14:52:21 +0100 (Tue, 17 Aug 2004)
   M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
   lineplots.py: added filler handling
r2415 | rgbecker | 2004-08-07 16:00:28 +0100 (Sat, 07 Aug 2004)
   M /reportlab/trunk/reportlab/graphics/renderPDF.py
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   M /reportlab/trunk/reportlab/graphics/renderPS.py
   M /reportlab/trunk/reportlab/graphics/renderSVG.py
   M /reportlab/trunk/reportlab/graphics/renderbase.py
   M /reportlab/trunk/reportlab/rl_config.py
   rl_config add _unset_, graphics.renderxxx refactoring
r2414 | rgbecker | 2004-07-28 08:53:41 +0100 (Wed, 28 Jul 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
   pdfdoc: fix rare bug (exposed in tinyrml)
r2413 | rgbecker | 2004-07-26 09:56:04 +0100 (Mon, 26 Jul 2004)
   M /reportlab/trunk/rl_addons/pyRXP/rxp/system.h
   Attempt to fix LONG_LONG defn problem
r2412 | rgbecker | 2004-07-23 17:57:11 +0100 (Fri, 23 Jul 2004)
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   M /reportlab/trunk/rl_addons/renderPM/_renderPM.c
   M /reportlab/trunk/rl_addons/renderPM/gt1/gt1-parset1.c
   M /reportlab/trunk/rl_addons/renderPM/gt1/gt1-parset1.h
   Add reader callback arg to _renderPM.makeT1Font
r2411 | rgbecker | 2004-07-23 14:48:21 +0100 (Fri, 23 Jul 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Minor fixes to lib.utils.rl_get_module
r2410 | rgbecker | 2004-07-23 10:43:00 +0100 (Fri, 23 Jul 2004)
   M /reportlab/trunk/reportlab/test/test_pdfbase_ttfonts.py
   test_pdfbase_ttfonts.py add multipage check
r2409 | rgbecker | 2004-07-22 11:59:29 +0100 (Thu, 22 Jul 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   reportlab.lib.utils fix rl_isdir
r2408 | rgbecker | 2004-07-17 20:43:44 +0100 (Sat, 17 Jul 2004)
   M /reportlab/trunk/rl_addons/pyRXP/patches/differ.bat
   D /reportlab/trunk/rl_addons/pyRXP/patches/rl-1.2.5.patch
   A /reportlab/trunk/rl_addons/pyRXP/patches/rl-1.4.0-patch
   M /reportlab/trunk/rl_addons/pyRXP/pyRXP.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/COPYRIGHT
   M /reportlab/trunk/rl_addons/pyRXP/rxp/Makefile
   M /reportlab/trunk/rl_addons/pyRXP/rxp/Manual
   A /reportlab/trunk/rl_addons/pyRXP/rxp/catalog.c
   A /reportlab/trunk/rl_addons/pyRXP/rxp/catalog.h
   A /reportlab/trunk/rl_addons/pyRXP/rxp/catalog_dtd.c
   A /reportlab/trunk/rl_addons/pyRXP/rxp/catutil.c
   A /reportlab/trunk/rl_addons/pyRXP/rxp/catutil.h
   M /reportlab/trunk/rl_addons/pyRXP/rxp/ctype16.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/ctype16.h
   M /reportlab/trunk/rl_addons/pyRXP/rxp/dtd.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/dtd.h
   A /reportlab/trunk/rl_addons/pyRXP/rxp/entityopener.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/infoset-print.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/input.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/input.h
   M /reportlab/trunk/rl_addons/pyRXP/rxp/namespaces.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/namespaces.h
   A /reportlab/trunk/rl_addons/pyRXP/rxp/nf16check.c
   A /reportlab/trunk/rl_addons/pyRXP/rxp/nf16check.h
   A /reportlab/trunk/rl_addons/pyRXP/rxp/nf16data.c
   A /reportlab/trunk/rl_addons/pyRXP/rxp/nf16data.h
   A /reportlab/trunk/rl_addons/pyRXP/rxp/resolve.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/rxp.1
   M /reportlab/trunk/rl_addons/pyRXP/rxp/rxp.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/rxputil.h
   M /reportlab/trunk/rl_addons/pyRXP/rxp/stdio16.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/system.h
   M /reportlab/trunk/rl_addons/pyRXP/rxp/url.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/version.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/xmlparser.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/xmlparser.h
   M /reportlab/trunk/rl_addons/pyRXP/setup.py
   Synchronize with rxp-1.4.0 --> version 1.04
r2407 | rgbecker | 2004-07-15 11:22:38 +0100 (Thu, 15 Jul 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Another know location
r2406 | rgbecker | 2004-07-09 17:29:34 +0100 (Fri, 09 Jul 2004)
   M /reportlab/trunk/reportlab/rl_config.py
   Add user home to search paths
r2405 | kirpal | 2004-07-09 15:34:52 +0100 (Fri, 09 Jul 2004)
   M /reportlab/trunk/reportlab/docs/userguide/ch1_intro.py
   changes to refrences of CVS
r2404 | rgbecker | 2004-07-02 14:37:32 +0100 (Fri, 02 Jul 2004)
   A /reportlab/trunk/reportlab/tools/utils
   A /reportlab/trunk/reportlab/tools/utils/add_bleed.py
   Initial checkin
r2402 | kirpal | 2004-06-29 14:28:59 +0100 (Tue, 29 Jun 2004)
   D /reportlab/trunk/reportlab/tools/pythonpoint/demos/confKit.xml
   moved to users/kirpals
r2401 | kirpal | 2004-06-29 13:04:15 +0100 (Tue, 29 Jun 2004)
   M /reportlab/trunk/reportlab/tools/pythonpoint/demos/confKit.xml
   changes to presentation
r2400 | kirpal | 2004-06-29 10:52:08 +0100 (Tue, 29 Jun 2004)
   M /reportlab/trunk/reportlab/tools/pythonpoint/demos/confKit.xml
r2399 | kirpal | 2004-06-29 10:37:59 +0100 (Tue, 29 Jun 2004)
   M /reportlab/trunk/reportlab/tools/pythonpoint/demos/confKit.xml
   modified presentation
r2398 | kirpal | 2004-06-29 10:19:21 +0100 (Tue, 29 Jun 2004)
   M /reportlab/trunk/reportlab/tools/pythonpoint/demos/confKit.xml
   modified presentation
r2397 | kirpal | 2004-06-28 17:09:41 +0100 (Mon, 28 Jun 2004)
   M /reportlab/trunk/reportlab/tools/pythonpoint/demos/confKit.xml
   changes to presentation
r2396 | kirpal | 2004-06-28 15:40:16 +0100 (Mon, 28 Jun 2004)
   A /reportlab/trunk/reportlab/tools/pythonpoint/demos/confKit.xml
   python point presentation for Confkit
r2395 | rgbecker | 2004-06-25 19:10:50 +0100 (Fri, 25 Jun 2004)
   M /reportlab/trunk/reportlab/demos/stdfonts/stdfonts.py
   M /reportlab/trunk/reportlab/graphics/renderPDF.py
   M /reportlab/trunk/reportlab/graphics/shapes.py
   M /reportlab/trunk/reportlab/lib/validators.py
   M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
   D /reportlab/trunk/reportlab/pdfbase/rl_codecs.py
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/platypus/paragraph.py
   M /reportlab/trunk/reportlab/platypus/paraparser.py
   M /reportlab/trunk/reportlab/rl_config.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
   D /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
   Removed unicode changes
r2393 | rgbecker | 2004-06-23 15:56:24 +0100 (Wed, 23 Jun 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Fix 2.2 mktemp argument mismatch
r2392 | rgbecker | 2004-06-23 14:56:44 +0100 (Wed, 23 Jun 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   M /reportlab/trunk/reportlab/pdfbase/_fontdata.py
   M /reportlab/trunk/reportlab/rl_config.py
   More changes related to compact distro path recognition
r2391 | rgbecker | 2004-06-23 09:52:43 +0100 (Wed, 23 Jun 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
   Changes to bruteforce search, non-invasive changes to rl_accel stuff
r2390 | rgbecker | 2004-06-23 09:49:10 +0100 (Wed, 23 Jun 2004)
   M /reportlab/trunk/reportlab/lib/codecharts.py
   Fix for unicode difficulties
r2389 | rgbecker | 2004-06-22 18:00:41 +0100 (Tue, 22 Jun 2004)
   A /reportlab/trunk/reportlab/pdfbase/rl_codecs.py
   First try at Adobe T1 encodings
r2388 | rgbecker | 2004-06-21 15:07:46 +0100 (Mon, 21 Jun 2004)
   M /reportlab/trunk/reportlab/demos/stdfonts/stdfonts.py
   Attempt to fix up for unicode
r2387 | jjlee | 2004-06-18 11:39:08 +0100 (Fri, 18 Jun 2004)
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   Fixed zero-length string case in stringWidth
r2386 | rgbecker | 2004-06-17 16:26:26 +0100 (Thu, 17 Jun 2004)
   M /reportlab/trunk/rl_addons/pyRXP/pyRXP.c
   M /reportlab/trunk/rl_addons/pyRXP/rxp/url.h
   M /reportlab/trunk/rl_addons/pyRXP/setup.py
   Remove $Header:, fix CopyRight & history
r2385 | rgbecker | 2004-06-17 16:26:05 +0100 (Thu, 17 Jun 2004)
   M /reportlab/trunk/reportlab/__init__.py
   M /reportlab/trunk/reportlab/demos/colors/colortest.py
   M /reportlab/trunk/reportlab/demos/gadflypaper/gfe.py
   M /reportlab/trunk/reportlab/demos/odyssey/dodyssey.py
   M /reportlab/trunk/reportlab/demos/odyssey/fodyssey.py
   M /reportlab/trunk/reportlab/demos/odyssey/odyssey.py
   M /reportlab/trunk/reportlab/demos/rlzope/rlzope.py
   M /reportlab/trunk/reportlab/demos/stdfonts/stdfonts.py
   M /reportlab/trunk/reportlab/demos/tests/testdemos.py
   M /reportlab/trunk/reportlab/docs/graphguide/ch1_intro.py
   M /reportlab/trunk/reportlab/docs/graphguide/ch2_concepts.py
   M /reportlab/trunk/reportlab/docs/graphguide/ch3_shapes.py
   M /reportlab/trunk/reportlab/docs/graphguide/ch4_widgets.py
   M /reportlab/trunk/reportlab/docs/graphguide/ch5_charts.py
   M /reportlab/trunk/reportlab/docs/graphguide/gengraphguide.py
   M /reportlab/trunk/reportlab/docs/reference/genreference.py
   M /reportlab/trunk/reportlab/docs/userguide/app_demos.py
   M /reportlab/trunk/reportlab/docs/userguide/ch1_intro.py
   M /reportlab/trunk/reportlab/docs/userguide/ch2_graphics.py
   M /reportlab/trunk/reportlab/docs/userguide/ch2a_fonts.py
   M /reportlab/trunk/reportlab/docs/userguide/ch3_pdffeatures.py
   M /reportlab/trunk/reportlab/docs/userguide/ch4_platypus_concepts.py
   M /reportlab/trunk/reportlab/docs/userguide/ch5_paragraphs.py
   M /reportlab/trunk/reportlab/docs/userguide/ch6_tables.py
   M /reportlab/trunk/reportlab/docs/userguide/ch7_custom.py
   M /reportlab/trunk/reportlab/docs/userguide/ch9_future.py
   M /reportlab/trunk/reportlab/docs/userguide/genuserguide.py
   M /reportlab/trunk/reportlab/extensions/__init__.py
   M /reportlab/trunk/reportlab/graphics/__init__.py
   M /reportlab/trunk/reportlab/graphics/charts/__init__.py
   M /reportlab/trunk/reportlab/graphics/charts/areas.py
   M /reportlab/trunk/reportlab/graphics/charts/axes.py
   M /reportlab/trunk/reportlab/graphics/charts/barcharts.py
   M /reportlab/trunk/reportlab/graphics/charts/doughnut.py
   M /reportlab/trunk/reportlab/graphics/charts/legends.py
   M /reportlab/trunk/reportlab/graphics/charts/linecharts.py
   M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
   M /reportlab/trunk/reportlab/graphics/charts/markers.py
   M /reportlab/trunk/reportlab/graphics/charts/piecharts.py
   M /reportlab/trunk/reportlab/graphics/charts/spider.py
   M /reportlab/trunk/reportlab/graphics/charts/textlabels.py
   M /reportlab/trunk/reportlab/graphics/charts/utils.py
   M /reportlab/trunk/reportlab/graphics/renderPDF.py
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   M /reportlab/trunk/reportlab/graphics/renderPS.py
   M /reportlab/trunk/reportlab/graphics/renderbase.py
   M /reportlab/trunk/reportlab/graphics/samples/__init__.py
   M /reportlab/trunk/reportlab/graphics/shapes.py
   M /reportlab/trunk/reportlab/graphics/testdrawings.py
   M /reportlab/trunk/reportlab/graphics/testshapes.py
   M /reportlab/trunk/reportlab/graphics/widgetbase.py
   M /reportlab/trunk/reportlab/graphics/widgets/__init__.py
   M /reportlab/trunk/reportlab/graphics/widgets/eventcal.py
   M /reportlab/trunk/reportlab/graphics/widgets/flags.py
   M /reportlab/trunk/reportlab/graphics/widgets/grids.py
   M /reportlab/trunk/reportlab/graphics/widgets/markers.py
   M /reportlab/trunk/reportlab/graphics/widgets/signsandsymbols.py
   M /reportlab/trunk/reportlab/lib/__init__.py
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   M /reportlab/trunk/reportlab/lib/abag.py
   M /reportlab/trunk/reportlab/lib/attrmap.py
   M /reportlab/trunk/reportlab/lib/codecharts.py
   M /reportlab/trunk/reportlab/lib/colors.py
   M /reportlab/trunk/reportlab/lib/corp.py
   M /reportlab/trunk/reportlab/lib/enums.py
   M /reportlab/trunk/reportlab/lib/extformat.py
   M /reportlab/trunk/reportlab/lib/fonts.py
   M /reportlab/trunk/reportlab/lib/formatters.py
   M /reportlab/trunk/reportlab/lib/logger.py
   M /reportlab/trunk/reportlab/lib/pagesizes.py
   M /reportlab/trunk/reportlab/lib/randomtext.py
   M /reportlab/trunk/reportlab/lib/sequencer.py
   M /reportlab/trunk/reportlab/lib/set_ops.py
   M /reportlab/trunk/reportlab/lib/setup.py
   M /reportlab/trunk/reportlab/lib/styles.py
   M /reportlab/trunk/reportlab/lib/tocindex.py
   M /reportlab/trunk/reportlab/lib/units.py
   M /reportlab/trunk/reportlab/lib/utils.py
   M /reportlab/trunk/reportlab/lib/validators.py
   M /reportlab/trunk/reportlab/lib/yaml.py
   M /reportlab/trunk/reportlab/pdfbase/__init__.py
   M /reportlab/trunk/reportlab/pdfbase/_cidfontdata.py
   M /reportlab/trunk/reportlab/pdfbase/_fontdata.py
   M /reportlab/trunk/reportlab/pdfbase/cidfonts.py
   M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
   M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
   M /reportlab/trunk/reportlab/pdfbase/pdfutils.py
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   M /reportlab/trunk/reportlab/pdfgen/__init__.py
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/pdfgen/pathobject.py
   M /reportlab/trunk/reportlab/pdfgen/pdfgeom.py
   M /reportlab/trunk/reportlab/pdfgen/pdfimages.py
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   M /reportlab/trunk/reportlab/platypus/__init__.py
   M /reportlab/trunk/reportlab/platypus/doctemplate.py
   M /reportlab/trunk/reportlab/platypus/figures.py
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/platypus/frames.py
   M /reportlab/trunk/reportlab/platypus/paragraph.py
   M /reportlab/trunk/reportlab/platypus/paraparser.py
   M /reportlab/trunk/reportlab/platypus/tableofcontents.py
   M /reportlab/trunk/reportlab/platypus/tables.py
   M /reportlab/trunk/reportlab/platypus/xpreformatted.py
   M /reportlab/trunk/reportlab/rl_config.py
   M /reportlab/trunk/reportlab/setup.py
   M /reportlab/trunk/reportlab/test/__init__.py
   M /reportlab/trunk/reportlab/test/runAll.py
   M /reportlab/trunk/reportlab/test/test_charts_textlabels.py
   M /reportlab/trunk/reportlab/test/test_docstrings.py
   M /reportlab/trunk/reportlab/test/test_graphics_charts.py
   M /reportlab/trunk/reportlab/test/test_graphics_images.py
   M /reportlab/trunk/reportlab/test/test_graphics_layout.py
   M /reportlab/trunk/reportlab/test/test_graphics_speed.py
   M /reportlab/trunk/reportlab/test/test_hello.py
   M /reportlab/trunk/reportlab/test/test_images.py
   M /reportlab/trunk/reportlab/test/test_invariant.py
   M /reportlab/trunk/reportlab/test/test_lib_colors.py
   M /reportlab/trunk/reportlab/test/test_lib_sequencer.py
   M /reportlab/trunk/reportlab/test/test_multibyte_chs.py
   M /reportlab/trunk/reportlab/test/test_multibyte_cht.py
   M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
   M /reportlab/trunk/reportlab/test/test_paragraphs.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_pdfmetrics.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_pdfutils.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_postscript.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_callback.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_links.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_pagemodes.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_pycanvas.py
   M /reportlab/trunk/reportlab/test/test_platypus_breaking.py
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   M /reportlab/trunk/reportlab/test/test_platypus_indents.py
   M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
   M /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
   M /reportlab/trunk/reportlab/test/test_platypus_tables.py
   M /reportlab/trunk/reportlab/test/test_platypus_toc.py
   M /reportlab/trunk/reportlab/test/test_platypus_xref.py
   M /reportlab/trunk/reportlab/test/test_pyfiles.py
   M /reportlab/trunk/reportlab/test/test_source_chars.py
   M /reportlab/trunk/reportlab/test/test_widgetbase_tpc.py
   M /reportlab/trunk/reportlab/tools/__init__.py
   M /reportlab/trunk/reportlab/tools/docco/__init__.py
   M /reportlab/trunk/reportlab/tools/docco/codegrab.py
   M /reportlab/trunk/reportlab/tools/docco/docpy.py
   M /reportlab/trunk/reportlab/tools/docco/examples.py
   M /reportlab/trunk/reportlab/tools/docco/graphdocpy.py
   M /reportlab/trunk/reportlab/tools/docco/rl_doc_utils.py
   M /reportlab/trunk/reportlab/tools/docco/rltemplate.py
   M /reportlab/trunk/reportlab/tools/docco/stylesheet.py
   M /reportlab/trunk/reportlab/tools/docco/t_parse.py
   M /reportlab/trunk/reportlab/tools/docco/yaml.py
   M /reportlab/trunk/reportlab/tools/docco/yaml2pdf.py
   M /reportlab/trunk/reportlab/tools/py2pdf/__init__.py
   M /reportlab/trunk/reportlab/tools/py2pdf/idle_print.py
   M /reportlab/trunk/reportlab/tools/pythonpoint/__init__.py
   M /reportlab/trunk/reportlab/tools/pythonpoint/customshapes.py
   M /reportlab/trunk/reportlab/tools/pythonpoint/styles/__init__.py
   M /reportlab/trunk/reportlab/tools/pythonpoint/styles/horrible.py
   M /reportlab/trunk/reportlab/tools/pythonpoint/styles/modern.py
   Remove $Header:, fix CopyRight & history
r2384 | mike | 2004-06-17 15:50:51 +0100 (Thu, 17 Jun 2004)
   M /reportlab/trunk/reportlab/test/test_pdfgen_links.py
   Change back to native eol to fix line endings
r2383 | mike | 2004-06-17 15:44:11 +0100 (Thu, 17 Jun 2004)
   M /reportlab/trunk/reportlab/test/test_pdfgen_links.py
   Temporary change to binary to fix line endings
r2382 | rgbecker | 2004-06-17 15:23:21 +0100 (Thu, 17 Jun 2004)
   M /reportlab/trunk/reportlab/test/test_pdfgen_links.py
   Attempt to fix lineendings
r2381 | rgbecker | 2004-06-17 13:01:26 +0100 (Thu, 17 Jun 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   Fix encoding for zap & symbol
r2380 | rgbecker | 2004-06-16 12:45:56 +0100 (Wed, 16 Jun 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Forgot to check the exactly equal case for _startswith_rl
r2379 | rgbecker | 2004-06-15 14:10:37 +0100 (Tue, 15 Jun 2004)
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   Moved encoding checks into splitString
r2378 | rgbecker | 2004-06-15 12:34:47 +0100 (Tue, 15 Jun 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
   Fix properties and possibly line-endings
r2377 | rgbecker | 2004-06-15 11:33:32 +0100 (Tue, 15 Jun 2004)
   M /reportlab/trunk/reportlab/graphics/charts/axes.py
   remove use of False (invalid in 2.2)
r2376 | andy | 2004-06-14 23:13:04 +0100 (Mon, 14 Jun 2004)
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   fixed widths bug for tt fonts
r2375 | rgbecker | 2004-06-14 18:51:15 +0100 (Mon, 14 Jun 2004)
   M /reportlab/trunk/reportlab/graphics/charts/axes.py
r2374 | andy | 2004-06-14 17:41:25 +0100 (Mon, 14 Jun 2004)
   M /reportlab/trunk/reportlab/graphics/renderPDF.py
   M /reportlab/trunk/reportlab/graphics/shapes.py
   M /reportlab/trunk/reportlab/lib/validators.py
   M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/platypus/paragraph.py
   M /reportlab/trunk/reportlab/platypus/paraparser.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
   A /reportlab/trunk/reportlab/test/test_platypus_paraparser.py
   Unicode and UTF8 support changes
r2373 | rgbecker | 2004-06-14 17:29:04 +0100 (Mon, 14 Jun 2004)
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   Fix import of logger
r2372 | mike | 2004-06-11 18:11:22 +0100 (Fri, 11 Jun 2004)
   M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
   Added more accurate checking of UTF8 output
r2371 | mike | 2004-06-11 17:15:45 +0100 (Fri, 11 Jun 2004)
   M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
   Made some corrections and got all TextEncodingTestCase tests working
r2370 | mike | 2004-06-11 16:25:50 +0100 (Fri, 11 Jun 2004)
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   Added support for mac_roman encoding and changed to always convert unicode strings to font encoding
r2369 | robin | 2004-06-11 11:17:18 +0100 (Fri, 11 Jun 2004)
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
   Early 2.x has no UnicodeDecodeError and no ''.decode
r2368 | andy_robinson | 2004-06-10 01:43:21 +0100 (Thu, 10 Jun 2004)
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
   Now has runnable encoding-conversion
r2367 | rgbecker | 2004-06-07 17:30:37 +0100 (Mon, 07 Jun 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   Add xpre example
r2366 | rgbecker | 2004-06-03 12:26:44 +0100 (Thu, 03 Jun 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Another rework of the open for read code
r2365 | rgbecker | 2004-06-03 11:38:25 +0100 (Thu, 03 Jun 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   Attempt to fix the file: form
r2364 | andy_robinson | 2004-05-29 00:41:18 +0100 (Sat, 29 May 2004)
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   M /reportlab/trunk/reportlab/platypus/figures.py
   M /reportlab/trunk/reportlab/rl_config.py
   M /reportlab/trunk/reportlab/tools/pythonpoint/pythonpoint.dtd
   M /reportlab/trunk/reportlab/tools/pythonpoint/pythonpoint.py
   M /reportlab/trunk/reportlab/tools/pythonpoint/stdparser.py
   Prelim support for unicode conversion (disabled by
   rl_config.autoConvertEncodings at first);
   borders to drawings in pythonpoint and for figure
   objects;
r2363 | rgbecker | 2004-05-28 15:39:42 +0100 (Fri, 28 May 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   Attempt to test http urls for images
r2362 | rgbecker | 2004-05-28 15:04:25 +0100 (Fri, 28 May 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Attempt to fix open_for_read again
r2361 | rgbecker | 2004-05-28 15:02:14 +0100 (Fri, 28 May 2004)
   M /reportlab/trunk/reportlab/test/test_lib_utils.py
   Added open_and_read tests
r2360 | rgbecker | 2004-05-26 19:44:55 +0100 (Wed, 26 May 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   More compact distro changes
r2359 | jjlee | 2004-05-26 10:37:07 +0100 (Wed, 26 May 2004)
   M /reportlab/trunk/reportlab/graphics/charts/lineplots.py
   M /reportlab/trunk/reportlab/graphics/shapes.py
   Make a couple of files emacs font-lock friendly
r2358 | rgbecker | 2004-05-25 22:12:31 +0100 (Tue, 25 May 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Use more advanced __loader__ friendly code
r2357 | rgbecker | 2004-05-25 17:33:56 +0100 (Tue, 25 May 2004)
   M /reportlab/trunk/reportlab/docs/reference/genreference.py
   Fix missing module
r2356 | rgbecker | 2004-05-24 13:19:53 +0100 (Mon, 24 May 2004)
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   Attempt to fix 1.5 problems
r2355 | rgbecker | 2004-05-23 11:39:30 +0100 (Sun, 23 May 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   rl_get_module now seems to work as intended
r2354 | rgbecker | 2004-05-23 10:27:52 +0100 (Sun, 23 May 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   rl_get_module added
r2353 | rgbecker | 2004-05-20 11:10:27 +0100 (Thu, 20 May 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Attempt to robustify the memo
r2352 | rgbecker | 2004-05-18 18:16:55 +0100 (Tue, 18 May 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   Fix proposed by Derik Barclay <dbarclay@givex.com>
r2351 | rgbecker | 2004-05-08 18:19:54 +0100 (Sat, 08 May 2004)
   M /reportlab/trunk/reportlab/tools/docco/docpy.py
   M /reportlab/trunk/reportlab/tools/docco/graphdocpy.py
   D /reportlab/trunk/reportlab/tools/docco/inspect.py
   Removed private version of inspect
r2350 | rgbecker | 2004-05-07 17:56:29 +0100 (Fri, 07 May 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Added some more stuff and script name to DebugMemo output
r2349 | rgbecker | 2004-05-07 16:28:33 +0100 (Fri, 07 May 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Added capture_traceback=1 to DebugMemo init
r2348 | rgbecker | 2004-05-03 09:13:37 +0100 (Mon, 03 May 2004)
   M /reportlab/trunk/reportlab/graphics/widgets/grids.py
   Make stripe strokeColor same as fill
r2347 | rgbecker | 2004-05-03 09:11:48 +0100 (Mon, 03 May 2004)
   M /reportlab/trunk/reportlab/test/test_docstrings.py
   Minor changes
r2346 | rgbecker | 2004-05-03 09:09:52 +0100 (Mon, 03 May 2004)
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   Fix flagged and penalty values
r2345 | rgbecker | 2004-04-28 16:27:31 +0100 (Wed, 28 Apr 2004)
   M /reportlab/trunk/reportlab/tools/docco/graphdocpy.py
   Move to using inspect for getsource (actually works)
r2344 | rgbecker | 2004-04-28 15:41:56 +0100 (Wed, 28 Apr 2004)
   M /reportlab/trunk/reportlab/tools/docco/rl_doc_utils.py
   Added setStory
r2343 | rgbecker | 2004-04-28 15:40:21 +0100 (Wed, 28 Apr 2004)
   M /reportlab/trunk/reportlab/docs/graphguide/gengraphguide.py
   M /reportlab/trunk/reportlab/docs/reference/genreference.py
   M /reportlab/trunk/reportlab/docs/userguide/ch1_intro.py
   M /reportlab/trunk/reportlab/docs/userguide/ch2a_fonts.py
   M /reportlab/trunk/reportlab/docs/userguide/ch6_tables.py
   M /reportlab/trunk/reportlab/docs/userguide/genuserguide.py
   Fixing up to not use folder relative import
r2342 | rgbecker | 2004-04-22 18:36:41 +0100 (Thu, 22 Apr 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   Attempt to fix the Mike Spanning example
r2341 | rgbecker | 2004-04-21 17:39:36 +0100 (Wed, 21 Apr 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   Added Mike's counter span example
r2340 | rgbecker | 2004-04-14 14:10:51 +0100 (Wed, 14 Apr 2004)
   M /reportlab/trunk/reportlab/graphics/shapes.py
   Fix problem with empty charts
r2339 | rgbecker | 2004-04-08 17:02:52 +0100 (Thu, 08 Apr 2004)
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   remove Box stuff prior to 2.3
r2338 | rgbecker | 2004-04-08 15:17:42 +0100 (Thu, 08 Apr 2004)
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   removed PyDoc_STR for now; changed to do hex version checks
r2337 | rgbecker | 2004-04-05 19:07:42 +0100 (Mon, 05 Apr 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   M /reportlab/trunk/reportlab/platypus/tables.py
   Minor changes
r2336 | rgbecker | 2004-04-05 15:17:29 +0100 (Mon, 05 Apr 2004)
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   Another attempt to fix up wanrings
r2335 | rgbecker | 2004-04-05 13:59:56 +0100 (Mon, 05 Apr 2004)
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   Forgot to bump the version
r2334 | rgbecker | 2004-04-05 08:47:18 +0100 (Mon, 05 Apr 2004)
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   Added in BoxList, removed AttrDict
r2333 | rgbecker | 2004-04-01 18:00:33 +0100 (Thu, 01 Apr 2004)
   M /reportlab/trunk/reportlab/lib/extformat.py
   Added header lines
r2332 | rgbecker | 2004-04-01 17:59:22 +0100 (Thu, 01 Apr 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Added get_rl_tempfile
r2331 | rgbecker | 2004-04-01 17:58:02 +0100 (Thu, 01 Apr 2004)
   A /reportlab/trunk/reportlab/lib/extformat.py
   Added for better formatting
r2330 | rgbecker | 2004-04-01 12:17:02 +0100 (Thu, 01 Apr 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   Ensure _colWidths is defined
r2329 | rgbecker | 2004-03-30 15:58:35 +0100 (Tue, 30 Mar 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   Added HRFlowable
r2328 | rgbecker | 2004-03-27 09:42:24 +0000 (Sat, 27 Mar 2004)
   M /reportlab/trunk/reportlab/test/runAll.py
   Indicate output folder
r2327 | rgbecker | 2004-03-27 09:41:37 +0000 (Sat, 27 Mar 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
   Ensure external mask gets through in a85 cases
r2326 | rgbecker | 2004-03-26 21:34:03 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
   M /reportlab/trunk/reportlab/pdfbase/pdfutils.py
   Fix bug introduced during transparency/ImageReader changes
r2325 | rgbecker | 2004-03-26 16:54:37 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_tools_pythonpoint.py
   Fix buglet in compact testing
r2324 | rgbecker | 2004-03-26 15:44:24 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   Added percentages
r2323 | rgbecker | 2004-03-26 14:27:24 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_pyfiles.py
   Move to having all test output in a temp folder
r2322 | rgbecker | 2004-03-26 14:26:50 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/reportlab/test/runAll.py
   Add test_*.txt cleanup
r2321 | rgbecker | 2004-03-26 14:20:44 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/reportlab/test/runAll.py
   M /reportlab/trunk/reportlab/test/test_charts_textlabels.py
   M /reportlab/trunk/reportlab/test/test_docstrings.py
   M /reportlab/trunk/reportlab/test/test_graphics_charts.py
   M /reportlab/trunk/reportlab/test/test_graphics_images.py
   M /reportlab/trunk/reportlab/test/test_graphics_speed.py
   M /reportlab/trunk/reportlab/test/test_hello.py
   M /reportlab/trunk/reportlab/test/test_invariant.py
   M /reportlab/trunk/reportlab/test/test_lib_colors.py
   M /reportlab/trunk/reportlab/test/test_multibyte_chs.py
   M /reportlab/trunk/reportlab/test/test_multibyte_cht.py
   M /reportlab/trunk/reportlab/test/test_multibyte_jpn.py
   M /reportlab/trunk/reportlab/test/test_multibyte_kor.py
   M /reportlab/trunk/reportlab/test/test_paragraphs.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_encodings.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_fontembed.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_pdfmetrics.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_postscript.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_ttfonts.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_callback.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_links.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_pagemodes.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_pycanvas.py
   M /reportlab/trunk/reportlab/test/test_platypus_breaking.py
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   M /reportlab/trunk/reportlab/test/test_platypus_indents.py
   M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
   M /reportlab/trunk/reportlab/test/test_platypus_tables.py
   M /reportlab/trunk/reportlab/test/test_platypus_toc.py
   M /reportlab/trunk/reportlab/test/test_platypus_xref.py
   M /reportlab/trunk/reportlab/test/test_renderSVG.py
   M /reportlab/trunk/reportlab/test/test_source_chars.py
   M /reportlab/trunk/reportlab/test/test_table_layout.py
   M /reportlab/trunk/reportlab/test/test_tools_pythonpoint.py
   M /reportlab/trunk/reportlab/test/test_widgets_grids.py
   M /reportlab/trunk/reportlab/test/utils.py
   Move to having all test output in a temp folder
r2320 | rgbecker | 2004-03-26 11:37:09 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_indents.py
   M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
   M /reportlab/trunk/reportlab/test/test_widgetbase_tpc.py
   Remove unwanted import
r2319 | rgbecker | 2004-03-26 11:34:11 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_charts_textlabels.py
   M /reportlab/trunk/reportlab/test/test_graphics_charts.py
   M /reportlab/trunk/reportlab/test/test_lib_utils.py
   M /reportlab/trunk/reportlab/test/test_platypus_toc.py
   Eliminate bad tempdir setting
r2318 | rgbecker | 2004-03-26 10:48:43 +0000 (Fri, 26 Mar 2004)
   M /reportlab/trunk/rl_addons/pyRXP/pyRXP.c
   Fix up bug introduced with new CB API
r2317 | rgbecker | 2004-03-24 17:17:05 +0000 (Wed, 24 Mar 2004)
   M /reportlab/trunk/reportlab/tools/pythonpoint/pythonpoint.py
   Add eoCB for compactdistro
r2316 | rgbecker | 2004-03-24 17:16:22 +0000 (Wed, 24 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_tools_pythonpoint.py
   Fix test_tools_pythonpoint for compact distro
r2315 | rgbecker | 2004-03-24 17:14:53 +0000 (Wed, 24 Mar 2004)
   M /reportlab/trunk/rl_addons/pyRXP/pyRXP.c
   Allow eoCB to return (URI,contents) for compact distro
r2314 | rgbecker | 2004-03-24 14:04:51 +0000 (Wed, 24 Mar 2004)
   M /reportlab/trunk/reportlab/pdfbase/cidfonts.py
   Switch to using get_rl_tempdir
r2313 | rgbecker | 2004-03-24 14:03:31 +0000 (Wed, 24 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Added get_rl_tempdir
r2312 | rgbecker | 2004-03-24 09:42:22 +0000 (Wed, 24 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   True/False aren't defined for Python < 2.3
r2311 | rgbecker | 2004-03-23 18:57:33 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   M /reportlab/trunk/reportlab/test/utils.py
   Remove things that python 2.1 fails on
r2310 | rgbecker | 2004-03-23 17:35:42 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
   Compact distro friendly
r2309 | rgbecker | 2004-03-23 17:34:11 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Added rl_glob
r2308 | rgbecker | 2004-03-23 17:32:20 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/rl_config.py
   Use rl_isdir
r2307 | rgbecker | 2004-03-23 16:18:29 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   Now works in compact distro
r2306 | rgbecker | 2004-03-23 15:43:13 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_invariant.py
   Now works in compact distro
r2305 | rgbecker | 2004-03-23 15:37:53 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
   Fix for compact distro
r2304 | rgbecker | 2004-03-23 15:20:50 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   We prefer absolute RL DIR
r2303 | rgbecker | 2004-03-23 15:19:21 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_paragraphs.py
   Now works in compact distro
r2302 | rgbecker | 2004-03-23 15:18:34 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/utils.py
   Switch to using rl_isdir
r2301 | rgbecker | 2004-03-23 14:46:35 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/runAll.py
   Allow specifying the pattern
r2300 | rgbecker | 2004-03-23 14:30:01 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Added open_and_readlines
r2299 | rgbecker | 2004-03-23 14:28:47 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_lib_utils.py
   M /reportlab/trunk/reportlab/test/test_pyfiles.py
   Fix up for compact distro
r2298 | rgbecker | 2004-03-23 14:15:47 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_source_chars.py
   Fix up for compact distro (leave Zapping alone)
r2297 | rgbecker | 2004-03-23 13:54:42 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Improvements for compact running
r2296 | rgbecker | 2004-03-23 13:50:40 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   Ensure runnable in compact distro
r2295 | rgbecker | 2004-03-23 12:55:44 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_lib_utils.py
   Allow to run in a compact distro
r2294 | rgbecker | 2004-03-23 12:20:08 +0000 (Tue, 23 Mar 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   Make Image to use open_for_read
r2293 | rgbecker | 2004-03-22 18:09:51 +0000 (Mon, 22 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Added rl_isfile
r2292 | rgbecker | 2004-03-22 18:08:50 +0000 (Mon, 22 Mar 2004)
   M /reportlab/trunk/reportlab/test/runAll.py
   M /reportlab/trunk/reportlab/test/test_images.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_pycanvas.py
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   Small changes to make tests work compactly
r2291 | rgbecker | 2004-03-22 15:59:22 +0000 (Mon, 22 Mar 2004)
   M /reportlab/trunk/reportlab/test/utils.py
   Remove spurious print
r2290 | rgbecker | 2004-03-22 14:06:12 +0000 (Mon, 22 Mar 2004)
   M /reportlab/trunk/reportlab/platypus/flowables.py
   Fix up more Image cases
r2289 | rgbecker | 2004-03-22 14:01:09 +0000 (Mon, 22 Mar 2004)
   M /reportlab/trunk/reportlab/test/test_platypus_general.py
   Add new Image flowable exemplars
r2288 | rgbecker | 2004-03-22 13:21:06 +0000 (Mon, 22 Mar 2004)
   M /reportlab/trunk/reportlab/test/runAll.py
   M /reportlab/trunk/reportlab/test/test_pyfiles.py
   M /reportlab/trunk/reportlab/test/utils.py
   Minor changes preparing for zip comapct distros
r2287 | rgbecker | 2004-03-22 13:02:43 +0000 (Mon, 22 Mar 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
   Get the right fp
r2286 | rgbecker | 2004-03-22 12:54:30 +0000 (Mon, 22 Mar 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
   Attempt to fix the epc bug
r2285 | andy_robinson | 2004-03-19 22:18:37 +0000 (Fri, 19 Mar 2004)
   M /reportlab/trunk/reportlab/docs/userguide/ch4_platypus_concepts.py
   Documentation about hAlign
r2284 | rgbecker | 2004-03-19 18:00:56 +0000 (Fri, 19 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   First attempt at reading from the zip archive
r2283 | rgbecker | 2004-03-19 10:55:55 +0000 (Fri, 19 Mar 2004)
   M /reportlab/trunk/reportlab/rl_config.py
   Sys_version was being used in older python
r2282 | rgbecker | 2004-03-18 15:55:50 +0000 (Thu, 18 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   M /reportlab/trunk/reportlab/pdfbase/pdfdoc.py
   M /reportlab/trunk/reportlab/pdfbase/pdfutils.py
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/pdfgen/pdfimages.py
   Fix transparency & jpeg behaviour
r2281 | rgbecker | 2004-03-18 12:05:22 +0000 (Thu, 18 Mar 2004)
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   TextObject fixes from Ian Millington
r2280 | rgbecker | 2004-03-17 18:54:06 +0000 (Wed, 17 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Move ImageReader open wrapper to where it should be
r2279 | rgbecker | 2004-03-17 16:29:30 +0000 (Wed, 17 Mar 2004)
   M /reportlab/trunk/reportlab/demos/rlzope/rlzope.py
   Attempt to fix to match ImageReader
r2278 | rgbecker | 2004-03-17 14:35:51 +0000 (Wed, 17 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Improve the fs distro check
r2277 | rgbecker | 2004-03-17 14:34:41 +0000 (Wed, 17 Mar 2004)
   M /reportlab/trunk/reportlab/rl_config.py
   Added rlhome/../fonts
r2276 | rgbecker | 2004-03-17 00:21:39 +0000 (Wed, 17 Mar 2004)
   M /reportlab/trunk/reportlab/pdfgen/pdfimages.py
   Remove spurious print reported by Joel Pearson
r2275 | rgbecker | 2004-03-16 15:28:26 +0000 (Tue, 16 Mar 2004)
   M /reportlab/trunk/rl_addons/pyRXP/pyRXP.c
   Fix BOM removal buglet & valid/ext-sa/014
r2274 | andy_robinson | 2004-03-15 23:49:48 +0000 (Mon, 15 Mar 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   corrected erroneous comment
r2273 | rgbecker | 2004-03-14 09:47:14 +0000 (Sun, 14 Mar 2004)
   M /reportlab/trunk/reportlab/platypus/tables.py
   Slightly more efficient linedrawing
r2272 | andy_robinson | 2004-03-12 23:54:11 +0000 (Fri, 12 Mar 2004)
   M /reportlab/trunk/reportlab/lib/corp.py
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/platypus/tables.py
   M /reportlab/trunk/reportlab/test/test_pdfgen_general.py
   Multiple lines and decimal alignments now supported
r2271 | rgbecker | 2004-03-11 10:57:59 +0000 (Thu, 11 Mar 2004)
   M /reportlab/trunk/utils/README
   Fix missing command instruction
r2270 | andy_robinson | 2004-03-09 23:24:34 +0000 (Tue, 09 Mar 2004)
   M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   M /reportlab/trunk/reportlab/pdfgen/textobject.py
   Truetype fonts now convert latin-1 to utf8 if fed non-utf8
r2269 | andy_robinson | 2004-03-09 22:22:26 +0000 (Tue, 09 Mar 2004)
   M /reportlab/trunk/reportlab/__init__.py
   M /reportlab/trunk/reportlab/lib/fonts.py
   M /reportlab/trunk/reportlab/pdfbase/_fontdata.py
   M /reportlab/trunk/reportlab/pdfbase/pdfmetrics.py
   M /reportlab/trunk/reportlab/pdfbase/ttfonts.py
   M /reportlab/trunk/reportlab/platypus/doctemplate.py
   Font reregistration cleanup
r2268 | rgbecker | 2004-03-08 18:36:05 +0000 (Mon, 08 Mar 2004)
   M /reportlab/trunk/reportlab/lib/utils.py
   Added _findFiles & CIDict
r2267 | rgbecker | 2004-02-22 17:35:43 +0000 (Sun, 22 Feb 2004)
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   URL change from Aleksander Piotrowski
r2266 | rgbecker | 2004-02-17 16:10:18 +0000 (Tue, 17 Feb 2004)
   M /reportlab/trunk/reportlab/platypus/frames.py
   M /reportlab/trunk/reportlab/rl_config.py
   Added overlapAttachedSpace
r2265 | andy_robinson | 2004-02-10 00:12:21 +0000 (Tue, 10 Feb 2004)
   M /reportlab/trunk/reportlab/pdfgen/canvas.py
   M /reportlab/trunk/reportlab/test/test_pdfbase_postscript.py
   Added finegrained control of where postscript commands appear
r2264 | rgbecker | 2004-02-05 18:31:35 +0000 (Thu, 05 Feb 2004)
   M /reportlab/trunk/reportlab/platypus/paragraph.py
   Fix to <u> from Ulrich Screiner
r2263 | rgbecker | 2004-02-05 18:21:50 +0000 (Thu, 05 Feb 2004)
   M /reportlab/trunk/reportlab/pdfgen/pdfimages.py
   Fix missing import found by Ulrich Schreiner
r2262 | rgbecker | 2004-02-02 08:43:51 +0000 (Mon, 02 Feb 2004)
   M /reportlab/trunk/reportlab/lib/_rl_accel.c
   Start on tex lib in C
r2261 | rgbecker | 2004-01-29 17:06:24 +0000 (Thu, 29 Jan 2004)
   M /reportlab/trunk/reportlab/graphics/renderPS.py
   Attempt to get delayed font setting and proper psNames
r2260 | rgbecker | 2004-01-28 13:03:47 +0000 (Wed, 28 Jan 2004)
   M /reportlab/trunk/reportlab/graphics/testshapes.py
   Allow for bad fonts in getDrawing13
r2259 | rgbecker | 2004-01-28 13:03:19 +0000 (Wed, 28 Jan 2004)
   M /reportlab/trunk/reportlab/graphics/renderPM.py
   Allow for no eps preview in tests
r2258 | rgbecker | 2004-01-23 00:04:40 +0000 (Fri, 23 Jan 2004)
   M /reportlab/trunk/rl_addons/pyRXP/rxp/url.c
   Attempt to fix UNC opening
r2257 | rgbecker | 2004-01-21 18:04:05 +0000 (Wed, 21 Jan 2004)
   M /reportlab/trunk/utils/README
#################################################################################
#################### RELEASE 1.19 at 18:00 GMT  21/Jan/2004     #################
#################################################################################
##### 2004/01/21 #####
	pdfbase/ttfonts.py 1.18 rgbecker  Improve error handling & naming
##### 2004/01/14 #####
	rl_addons/renderPM/pfm.py 1.3 rgbecker  Changes for 2.3 compatibility
##### 2004/01/13 #####
	pdfgen/canvas.py 1.118 rgbecker  Allow for possible restarts
	platypus/doctemplate.py 1.71 rgbecker  Allow for simple loop detection
##### 2004/01/10 #####
	platypus/figures.py 1.16 rgbecker  Added optional memory caching
##### 2004/01/09 #####
	platypus/tables.py 1.71 rgbecker  Modified version of Henning von Bargen's LongTables optimisation
##### 2004/01/08 #####
	platypus/doctemplate.py 1.70 andy_robinson  Upped empty page limit to 10
##### 2004/01/07 #####
	platypus/flowables.py 1.44 andy_robinson  Candidate fix for infinite looping
	platypus/doctemplate.py 1.69 andy_robinson  Candidate fix for infinite looping
	lib/codecharts.py 1.8 andy_robinson  Candidate fix for infinite looping
	platypus/figures.py 1.15 rgbecker  Fix up caption and split methods etc
	platypus/tables.py 1.70 dragan1  merging Jython-branch
	platypus/tables.py 1.69 rgbecker  Make _listCellGeom more specific
	platypus/__init__.py 1.16.2.2 dragan1  added conditional import linee for jython compatilibity
	platypus/figures.py 1.14 rgbecker  Improved FlexFigure scaling, in memory PageCatcherFigures
##### 2004/01/05 #####
	rl_addons/renderPM/_renderPM.c 1.31 rgbecker  Fix bad long field value
##### 2003/12/23 #####
	lib/_rl_accel.c 1.37 rgbecker  Added hex32
##### 2003/12/19 #####
	platypus/tables.py 1.68 rgbecker  Added splitfirst/last handling
##### 2003/12/18 #####
	tools/pythonpoint/styles/standard.py 1.3.4.1 dragan1  Platypus import structure changes
	tools/pythonpoint/styles/htu.py 1.1.4.1 dragan1  Platypus import structure changes
	tools/pythonpoint/pythonpoint.py 1.27.2.1 dragan1  Platypus import structure changes
	tools/pythonpoint/demos/examples.py 1.3.4.1 dragan1  Platypus import structure changes
	tools/docco/yaml2pdf.py 1.2.4.1 dragan1  Platypus import structure changes
	tools/docco/rltemplate.py 1.3.4.1 dragan1  Platypus import structure changes
	tools/docco/rl_doc_utils.py 1.6.4.1 dragan1  Platypus import structure changes
	tools/docco/examples.py 1.4.4.1 dragan1  Platypus import structure changes
	test/test_table_layout.py 1.1.4.1 dragan1  Platypus import structure changes
	test/test_rl_accel.py 1.3.2.1 dragan1  Platypus import structure changes
	test/test_platypus_xref.py 1.3.4.1 dragan1  Platypus import structure changes
	test/test_platypus_tables.py 1.3.4.1 dragan1  Platypus import structure changes
	test/test_platypus_paragraphs.py 1.11.4.1 dragan1  Platypus import structure changes
	test/test_platypus_indents.py 1.1.4.1 dragan1  Platypus import structure changes
	test/test_platypus_general.py 1.13.2.1 dragan1  Platypus import structure changes
	test/test_platypus_breaking.py 1.6.4.1 dragan1  Platypus import structure changes
	test/test_paragraphs.py 1.17.2.1 dragan1  Platypus import structure changes
	test/test_graphics_speed.py 1.12.4.1 dragan1  Platypus import structure changes
	test/test_graphics_charts.py 1.14.4.1 dragan1  Platypus import structure changes
	platypus/tables.py 1.67.2.1 dragan1  Platypus import structure changes
	platypus/paraparser.py 1.53.2.1 dragan1  Platypus import structure changes
	platypus/figures.py 1.13.2.1 dragan1  Platypus import structure changes
	platypus/__init__.py 1.16.2.1 dragan1  Platypus import structure changes
	lib/tocindex.py 1.10.2.1 dragan1  Platypus import structure changes
	lib/codecharts.py 1.7.4.1 dragan1  Platypus import structure changes
	graphics/shapes.py 1.100.2.1 dragan1  Platypus import structure changes
	graphics/renderPDF.py 1.24.2.1 dragan1  Platypus import structure changes
	docs/userguide/ch7_custom.py 1.4.4.1 dragan1  Platypus import structure changes
	docs/userguide/ch6_tables.py 1.6.4.1 dragan1  Platypus import structure changes
	docs/userguide/ch4_platypus_concepts.py 1.4.4.1 dragan1  Platypus import structure changes
	docs/userguide/ch2a_fonts.py 1.10.2.1 dragan1  Platypus import structure changes
	demos/rlzope/rlzope.py 1.5.4.1 dragan1  Platypus import structure changes
	demos/odyssey/fodyssey.py 1.17.4.1 dragan1  Platypus import structure changes
	demos/gadflypaper/gfe.py 1.15.4.1 dragan1  Platypus import structure changes
##### 2003/12/17 #####
	graphics/testshapes.py 1.20 rgbecker  Attempt to control ttf usage
	graphics/renderPM.py 1.44 rgbecker  Attempt to control ttf usage
	platypus/paragraph.py 1.71 rgbecker  Fix missing return
##### 2003/12/16 #####
	platypus/paragraph.py 1.70 rgbecker  Underline alignment fix from Marc Stober
##### 2003/12/15 #####
	test/test_lib_sequencer.py 1.7 dragan1  changed method call from this to _this - java keyword
	lib/sequencer.py 1.14 dragan1  renamed methid this to _this - java keyword
##### 2003/12/14 #####
	tools/pythonpoint/styles/modern.py 1.4 andy_robinson  Permits style file to live in local directory
	tools/pythonpoint/stdparser.py 1.20 andy_robinson  Permits style file to live in local directory
##### 2003/12/12 #####
	lib/rparsexml.py 1.6 rgbecker  Allow for both to have the fake entityReplacer thing
	rl_addons/pyRXP/examples/benchmarks.py 1.2 rgbecker  -->reportlab.lib.rparsexml
##### 2003/12/11 #####
	lib/rparsexml.py 1.5 rgbecker  Add some support for <!-- in the prolog stuff
##### 2003/12/10 #####
	platypus/figures.py 1.13 rgbecker  I can only get gensampler to work with these changes
	lib/validators.py 1.30 rgbecker  Allow autox/y boxanchor
	graphics/charts/textlabels.py 1.31 rgbecker  Allow autox/autoy boxanchor
	platypus/paragraph.py 1.69 rgbecker  Fixes to cope with rml2pdf weirds
	platypus/flowables.py 1.43 rgbecker  Fixes to cope with rml2pdf weirds
	graphics/renderPM.py 1.43 rgbecker  remove spurious import
##### 2003/12/09 #####
	tools/pythonpoint/stdparser.py 1.19 andy_robinson  Pythonpoint fixups
	tools/pythonpoint/pythonpoint.py 1.27 andy_robinson  Pythonpoint fixups
	platypus/figures.py 1.12 andy_robinson  Pythonpoint fixups
##### 2003/12/08 #####
	tools/pythonpoint/stdparser.py 1.18 andy_robinson  Enabled changing the page sizes
	tools/pythonpoint/pythonpoint.dtd 1.6 andy_robinson  Enabled changing the page sizes
	tools/pythonpoint/demos/slidebox.py 1.1 william_ng  Andy forgot to check in drawing
	tools/pythonpoint/demos/pythonpoint.xml 1.9 william_ng  Andy forgot to check in drawing
	tools/pythonpoint/stdparser.py 1.17 andy_robinson  New pagecatcher and drawing tags (experimental)
	tools/pythonpoint/pythonpoint.py 1.26 andy_robinson  New pagecatcher and drawing tags (experimental)
	tools/pythonpoint/pythonpoint.dtd 1.5 andy_robinson  New pagecatcher and drawing tags (experimental)
	tools/pythonpoint/demos/figures.xml 1.1 andy_robinson  New pagecatcher and drawing tags (experimental)
	platypus/figures.py 1.11 andy_robinson  New pagecatcher and drawing tags (experimental)
##### 2003/12/05 #####
	lib/_rl_accel.java 1.1 rgbecker  Moved from Dragan's home space
	lib/corp.py 1.12 rgbecker  Allow X/Y reversal in logo
##### 2003/12/03 #####
	platypus/figures.py 1.10 johnprecedo  Previous change caused unforseen problems with borders, so we're reversing it.
	platypus/figures.py 1.9 johnprecedo  Minor change - borders now appear over pagefigures, not under them.
	platypus/figures.py 1.8 johnprecedo  Added a background attribute (default None) to most figures - if it's a colour, it creates a coloured rectangle under the figure before drawing it on the page. Useful for when putting figures onto a coloured background.
##### 2003/12/02 #####
	test/test_lib_utils.py 1.3 rgbecker  Fix already imprted test module
	lib/utils.py 1.57 rgbecker  Minor changes to recursiveimport
	platypus/figures.py 1.7 andy_robinson  Bug in one figure
	tools/pythonpoint/demos/pythonpoint.xml 1.8 andy_robinson  Whoops, platform specific slashes.
	tools/pythonpoint/demos/monterey.xml 1.5 andy_robinson  Whoops, platform specific slashes.
	tools/pythonpoint/demos/htu.xml 1.5 andy_robinson  Whoops, platform specific slashes.
	test/test_tools_pythonpoint.py 1.11 andy_robinson  Whoops, platform specific slashes.
	platypus/flowables.py 1.42 andy_robinson  Whoops, platform specific slashes.
	platypus/figures.py 1.6 andy_robinson  Whoops, platform specific slashes.
	tools/pythonpoint/demos/pythonpoint.xml 1.7 andy_robinson  Added figure classes, made XML editable in XML-SPY
	tools/pythonpoint/demos/monterey.xml 1.4 andy_robinson  Added figure classes, made XML editable in XML-SPY
	tools/pythonpoint/demos/htu.xml 1.4 andy_robinson  Added figure classes, made XML editable in XML-SPY
	tools/pythonpoint/pythonpoint.py 1.25 andy_robinson  Added figure classes, made XML editable in XML-SPY
	tools/pythonpoint/pythonpoint.dtd 1.4 andy_robinson  Added figure classes, made XML editable in XML-SPY
	test/test_invariant.py 1.4 andy_robinson  Added figure classes, made XML editable in XML-SPY
	platypus/figures.py 1.5 andy_robinson  Added figure classes, made XML editable in XML-SPY
	lib/tocindex.py 1.10 andy_robinson  Added figure classes, made XML editable in XML-SPY
	lib/corp.py 1.11 andy_robinson  Added figure classes, made XML editable in XML-SPY
	lib/utils.py 1.56 rgbecker  First attempt at using import rather than imp
##### 2003/12/01 #####
	graphics/renderPM.py 1.42 rgbecker  Fix up dpi stuff
	lib/colors.py 1.45 rgbecker  Fix to use latest blue
##### 2003/11/30 #####
	graphics/charts/utils3d.py 1.14 rgbecker  Fix overlong integer
##### 2003/11/29 #####
	graphics/charts/utils3d.py 1.13 rgbecker  Fixes to 3D lines
	graphics/charts/lineplots.py 1.56 rgbecker  Fixes to 3D lines
	graphics/charts/linecharts.py 1.44 rgbecker  Fixes to 3D lines
##### 2003/11/28 #####
	graphics/charts/utils3d.py 1.12 rgbecker  Allow for non-tiling!
	graphics/charts/lineplots.py 1.55 rgbecker  Allow for non-tiling!
	graphics/charts/linecharts.py 1.43 rgbecker  Allow for non-tiling!
##### 2003/11/27 #####
	rl_addons/pyRXP/docs/PyRXP_Documentation.rml 1.5 dragan1  changed the address
##### 2003/11/26 #####
	rl_addons/pyRXP/MANIFEST.in 1.1 rgbecker  Added at Dirk Datzert's request as needed by RPM
##### 2003/11/25 #####
	test/test_multibyte_jpn.py 1.5 rptlab  Correct case errtor with UniJIS encoding
##### 2003/11/24 #####
	graphics/charts/lineplots.py 1.54 rgbecker  Add annotations
	graphics/charts/linecharts.py 1.42 rgbecker  Add annotations
	graphics/charts/barcharts.py 1.83 rgbecker  Add annotations
##### 2003/11/22 #####
	graphics/shapes.py 1.100 rgbecker  Improve bmp handling
	graphics/renderPM.py 1.41 rgbecker  Improve bmp handling
##### 2003/11/21 #####
	graphics/charts/linecharts.py 1.41 rgbecker  Missing import
	graphics/charts/lineplots.py 1.53 rgbecker  Add dasharray to allowed attributes for linechart lines
	graphics/charts/linecharts.py 1.40 rgbecker  Add dasharray to allowed attributes for linechart lines
##### 2003/11/20 #####
	graphics/testshapes.py 1.19 rgbecker  move drawing 13 to testshapes
	graphics/renderPM.py 1.40 rgbecker  move drawing 13 to testshapes
	graphics/renderPDF.py 1.24 rgbecker  Convert to using textobjects
##### 2003/11/19 #####
	graphics/renderPM.py 1.39 rgbecker  Fix typo
	graphics/renderPM.py 1.38 rgbecker  We can do drawing 12 even on the Mac
	lib/utils.py 1.55 rgbecker  Make fp_str more like _rl_accel(C/java) versions
	test/test_pdfbase_ttfonts.py 1.11 rgbecker  Allow for standard compression setting
	demos/odyssey/odyssey.txt 1.10 rgbecker  Minor textual changes
	demos/odyssey/dodyssey.py 1.16 rgbecker  Minor textual changes
	lib/colors.py 1.44 rgbecker  Fix doc comment
	pdfbase/pdfdoc.py 1.88 rgbecker  I think this should be virtual
	utils/daily.py 1.54 rgbecker  Force up to date
	utils/cvslh.py 1.7 rgbecker  Force up to date
	lib/utils.py 1.54 rgbecker  Fix tabs reported by Steve Holden
##### 2003/11/18 #####
	docs/userguide/ch2a_fonts.py 1.10 johnprecedo  Updated contact details for Viktorija Zaksiene.
##### 2003/11/17 #####
	docs/userguide/ch2a_fonts.py 1.9 johnprecedo  Updated contact details.
	docs/userguide/ch2a_fonts.py 1.8 johnprecedo  Added section on renderPM.py tests.
##### 2003/11/14 #####
	pdfbase/ttfonts.py 1.17 rgbecker  Remove 2.1 problem constants
	test/test_pdfbase_ttfonts.py 1.10 rgbecker  Remove 2.1 problem constants
	rl_addons/renderPM/setup.py 1.17 rgbecker  Disallow ft with <Python-2.0
##### 2003/11/13 #####
	platypus/doctemplate.py 1.68 william_ng  Allowing for strange flowables with no _traceIfo object
##### 2003/11/12 #####
	graphics/renderPM.py 1.37 rgbecker  Added better test example
	pdfbase/pdfmetrics.py 1.65 rgbecker  Fix isEqual as suggested by Peter Borocz (Fisher Investments)
##### 2003/11/10 #####
	graphics/renderPM.py 1.36 rgbecker  Attempt ttfonts in testing
	pdfbase/ttfonts.py 1.16 rgbecker  Change to _ttf_data
	test/test_pdfbase_ttfonts.py 1.9 rgbecker  Change to _ttf_data
	rl_addons/renderPM/_renderPM.c 1.30 rgbecker  Fix unset field change to _ttf_data
	rl_addons/pyRXP/setup.py 1.10 rgbecker  Fix for no move to DLLs
	lib/validators.py 1.29 rgbecker  Allow for True/False
##### 2003/11/09 #####
	rl_addons/pyRXP/pyRXP.c 1.24 rgbecker  Fix early free (thanks to Max Neunhöffer)
	rl_addons/renderPM/setup.py 1.16 rgbecker  Fix setup.py VERSION and destination
	lib/setup.py 1.16 rgbecker  Fix setup.py VERSIOn and destination
	graphics/charts/axes.py 1.88 rgbecker  Add visibleLabels to value Axes
	lib/validators.py 1.28 rgbecker  Attempt at allowing isBoolean(True)
	rl_addons/renderPM/_renderPM.c 1.29 rgbecker  TTFONTS Render
	platypus/flowables.py 1.41 andy_robinson  Preliminary support for tracing through doc builds
	platypus/doctemplate.py 1.67 andy_robinson  Preliminary support for tracing through doc builds
	platypus/__init__.py 1.16 andy_robinson  Preliminary support for tracing through doc builds
##### 2003/11/08 #####
	graphics/testshapes.py 1.18 rgbecker  Added _FONTS
##### 2003/11/07 #####
	rl_addons/renderPM/_renderPM.c 1.28 rgbecker  Now compiles and runs, fails to draw TTF though
##### 2003/11/05 #####
	rl_addons/renderPM/_renderPM.c 1.27 rgbecker  Fixed memory family problems
	rl_addons/pyRXP/test/testRXPbasic.py 1.4 rgbecker  Add location + attributes test
##### 2003/11/04 #####
	rl_addons/renderPM/_renderPM.c 1.26 rgbecker  Now compiles&links cleanly
##### 2003/11/02 #####
	test/test_pdfbase_ttfonts.py 1.8 rgbecker  Back to int checksum & add32
	pdfbase/ttfonts.py 1.15 rgbecker  Back to int checksum & add32
	lib/_rl_accel.c 1.36 rgbecker  Back to int checksum & add32
##### 2003/11/01 #####
	rl_addons/pyRXP/test/testRXPbasic.py 1.3 rgbecker  Remove assignment to None
	graphics/charts/legends.py 1.26 rgbecker  Remove assignment to None
##### 2003/10/28 #####
	platypus/doctemplate.py 1.66 rgbecker  Allow for different first page template index
##### 2003/10/27 #####
	graphics/charts/legends.py 1.25 johnprecedo  LineLegend now works correctly when passed either a widget or a color as part of ColourNamePairs. Corrected minor problem with line positioning. Also added a couple of samples of LineLegends (vanilla and using a dash array).
	lib/sequencer.py 1.13 rgbecker  Add missing global statement
##### 2003/10/26 #####
	setup.py 1.10 rgbecker  Fix to use version from __init__
##### 2003/10/24 #####
	graphics/charts/legends.py 1.24 johnprecedo  Added a LineLegend class - similar to the standard Legend class, but uses lines for the swatches rather than rectangles. Useful for adding to LinePlots and LineCharts.
	graphics/charts/lineplots.py 1.52 johnprecedo  JoinAxis fix - similar to one in lineCharts
##### 2003/10/22 #####
	platypus/doctemplate.py 1.65 rgbecker  Eliminate 2.3 problem assignement to None
##### 2003/10/21 #####
	rl_addons/renderPM/_renderPM.c 1.25 rgbecker  Added in preliminary FT support
##### 2003/10/14 #####
	pdfbase/ttfonts.py 1.14 rgbecker  Added lambda speedup
	test/test_rl_accel.py 1.3 rgbecker  Fix missing test problem
	test/unittest.py 1.7 rgbecker  Update to 2.2 version
	pdfbase/pdfmetrics.py 1.64 dragan1  fixed weirdness for jython compatibility
	graphics/charts/barcharts.py 1.82 rgbecker  Make BarChart3D abstract
##### 2003/10/13 #####
	graphics/charts/linecharts.py 1.39 rgbecker  Fix up for joinAxis modes
##### 2003/10/10 #####
	lib/_rl_accel.c 1.35 rgbecker  Add getFonts method
##### 2003/10/09 #####
	graphics/charts/barcharts.py 1.81 rgbecker  Inheritance/Factorization improved, HorizontalBarChart3D added
	pdfbase/pdfmetrics.py 1.63 rgbecker  Remove excess import
##### 2003/10/06 #####
	lib/utils.py 1.53 dragan1  fixed java file read bug
	lib/utils.py 1.52 rgbecker  Revert towards Andy's code
	lib/utils.py 1.51 rgbecker  fix mispelling
	lib/randomtext.py 1.10 rgbecker  Allow for rl_config.invariant
	platypus/doctemplate.py 1.64 rgbecker  Use randomText from lib
##### 2003/10/02 #####
	graphics/charts/axes.py 1.87 rgbecker  Attempt to fix 2.2ism
##### 2003/09/22 #####
	graphics/charts/barcharts.py 1.80 rgbecker  Correct way that reversePlotOrder works
##### 2003/09/18 #####
	platypus/flowables.py 1.40 rgbecker  Added in lazy Image stuff
##### 2003/09/17 #####
	graphics/charts/lineplots.py 1.51 rgbecker  Set reasonable zSpace
	graphics/charts/linecharts.py 1.38 rgbecker  Set reasonable zSpace
	graphics/charts/utils3d.py 1.11 rgbecker  Fix up John's special scalings
	graphics/charts/barcharts.py 1.79 rgbecker  Fix up John's special scalings
##### 2003/09/16 #####
	graphics/charts/utils3d.py 1.10 johnprecedo  changes to make 3d vertical barchart more 'Excel-like'
	graphics/charts/barcharts.py 1.78 johnprecedo  changes to make 3d vertical barchart more 'Excel-like'
	graphics/charts/areas.py 1.6 johnprecedo  changes to make 3d vertical barchart more 'Excel-like'
	graphics/charts/utils3d.py 1.9 johnprecedo  Changed to make 3D barcharts look more 'Excel-like' - there is now a different level of shading on the bar tops than on their sides.
	graphics/charts/barcharts.py 1.77 johnprecedo  Changed to make 3D barcharts look more 'Excel-like' - there is now a different level of shading on the bar tops than on their sides.
	graphics/charts/piecharts.py 1.38 rgbecker  Fix the stupid x offset radius dependency
##### 2003/09/15 #####
	graphics/charts/piecharts.py 1.37 rgbecker  Add restriction to remove zero pies from 3D
	graphics/charts/areas.py 1.5 johnprecedo  Added dark floor in Plot Areas for use in 3D column charts (as per Ilan's request).
	graphics/charts/lineplots.py 1.50 rgbecker  Furniture should be at low z
	graphics/charts/linecharts.py 1.37 rgbecker  Furniture should be at low z
	graphics/charts/lineplots.py 1.49 rgbecker  Added in lineplot3d and got data labels working
	graphics/charts/linecharts.py 1.36 rgbecker  Added in lineplot3d and got data labels working
	graphics/charts/utils3d.py 1.8 rgbecker  Minor adjustmenst and added LinePlot3D
	graphics/charts/lineplots.py 1.48 rgbecker  Minor adjustmenst and added LinePlot3D
	graphics/charts/linecharts.py 1.35 rgbecker  Minor adjustmenst and added LinePlot3D
	graphics/charts/linecharts.py 1.34 rgbecker  Fix up parallel_3d style
##### 2003/09/12 #####
	graphics/charts/utils3d.py 1.7 rgbecker  Working HorizontalLineCharts3D
	graphics/charts/linecharts.py 1.33 rgbecker  Working HorizontalLineCharts3D
	graphics/charts/axes.py 1.86 rgbecker  Working HorizontalLineCharts3D
##### 2003/09/11 #####
	test/test_invariant.py 1.3 andy_robinson  Now deterministically formats all numbers
	pdfbase/pdfdoc.py 1.87 andy_robinson  Now deterministically formats all numbers
	test/test_rl_accel.py 1.2 andy_robinson  Prove that jython fp_str is wrong
	demos/odyssey/dodyssey.py 1.15 andy_robinson  Tried again to get invariant
	demos/odyssey/dodyssey.py 1.14 andy_robinson  Added an invariant testing digest
	demos/odyssey/odyssey.py 1.13 andy_robinson  Added an invariant digest printer
	test/test_invariant.py 1.2 andy_robinson  added an image
	test/test_invariant.py 1.1 andy_robinson  New test to help check invariance
	test/test_images.py 1.3 andy_robinson  New test to help check invariance
	demos/odyssey/odyssey.py 1.12 andy_robinson  Better readme and more helpful printouts
	demos/odyssey/00readme.txt 1.2 andy_robinson  Better readme and more helpful printouts
	lib/utils.py 1.50 dragan1  ImageReader can now take File objects as well as Strings
	test/test_rl_accel.py 1.1 dragan1  initial
	lib/utils.py 1.49 rptlab  Fixed so that file creator and types are now correctly set on the Mac again (had a missing import).
	graphics/charts/piecharts.py 1.36 rgbecker  remove spurious print
##### 2003/09/10 #####
	graphics/charts/utils3d.py 1.6 rgbecker  Fix up line join for 3d bars and remove print
	graphics/charts/piecharts.py 1.35 rgbecker  Factorise axes a bit and make them more 3d aware
	graphics/charts/lineplots.py 1.47 rgbecker  Factorise axes a bit and make them more 3d aware
	graphics/charts/linecharts.py 1.32 rgbecker  Factorise axes a bit and make them more 3d aware
	graphics/charts/barcharts.py 1.76 rgbecker  Factorise axes a bit and make them more 3d aware
	graphics/charts/axes.py 1.85 rgbecker  Factorise axes a bit and make them more 3d aware
	graphics/charts/areas.py 1.4 rgbecker  Factorise axes a bit and make them more 3d aware
##### 2003/09/09 #####
	platypus/paraparser.py 1.53 rgbecker  Removed checkImportError
	pdfbase/pdfutils.py 1.39 rgbecker  Removed checkImportError
	pdfbase/pdfmetrics.py 1.62 rgbecker  Removed checkImportError
	lib/xmllib.py 1.10 rgbecker  Removed checkImportError
	lib/utils.py 1.48 rgbecker  Removed checkImportError
	graphics/renderPM.py 1.35 johnprecedo  Now uses markfilename from lib.utils for setting the filetype for the index.html file (if on a Mac).
	lib/utils.py 1.47 johnprecedo  Added HTML to the Mac markfilename routine - HTML files should now 'know' that they are HTML and created by MSIE.
	graphics/charts/doughnut.py 1.6 johnprecedo  Fix to labels allowing it to work with quickchart (now doesn't attempt to add a list to a tuple).
##### 2003/09/08 #####
	graphics/charts/barcharts.py 1.75 rgbecker  Fix up to allow for a spce vefore and aft in 3d vertical bar charts
	graphics/charts/doughnut.py 1.5 johnprecedo  Some fixes to doughnut - labels in a multi-series doughnut act slighly more sanely. They at least appear now! May still need more fixes at a later date.
	lib/colors.py 1.43 dragan1  jython compatibility hack
	pdfgen/pdfimages.py 1.18 rgbecker  hack to ImageReader
	test/test_platypus_general.py 1.13 rgbecker  hack to ImageReader
	test/test_pdfgen_pycanvas.py 1.4 rgbecker  hack to ImageReader
	test/test_pdfgen_general.py 1.19 rgbecker  hack to ImageReader
	test/test_paragraphs.py 1.17 rgbecker  hack to ImageReader
	test/test_images.py 1.2 rgbecker  hack to ImageReader
	test/test_docstrings.py 1.11 rgbecker  hack to ImageReader
	platypus/flowables.py 1.39 rgbecker  hack to ImageReader
	pdfgen/canvas.py 1.117 rgbecker  hack to ImageReader
	pdfbase/pdfutils.py 1.38 rgbecker  hack to ImageReader
	pdfbase/pdfdoc.py 1.86 rgbecker  hack to ImageReader
	lib/utils.py 1.46 rgbecker  hack to ImageReader
	tools/pythonpoint/stdparser.py 1.16 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	tools/pythonpoint/pythonpoint.dtd 1.3 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	tools/pythonpoint/demos/htu.xml 1.3 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	test/test_pdfgen_pycanvas.py 1.3 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	test/test_pdfgen_general.py 1.18 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	test/test_images.py 1.1 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	pdfgen/pdfimages.py 1.17 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	rl_config.py 1.39 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	pdfbase/pdfutils.py 1.37 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	lib/utils.py 1.45 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	docs/userguide/ch1_intro.py 1.14 andy_robinson  Various work on abstracting out images, plus outstanding patches on Pythonpoint for Drawings and Turgut Uyar's changes
	tools/pythonpoint/pythonpoint.py 1.24 andy_robinson  Added PPDrawing class to make Diagra drawings easy to show
	rl_addons/renderPM/_renderPM.c 1.24 rgbecker  Attempt to eliminate small area fills
##### 2003/09/05 #####
	graphics/widgets/markers.py 1.14 rgbecker  Fix mispelling
	graphics/shapes.py 1.99 rgbecker  Attempt to be slightly cleverer about small segments
	graphics/charts/piecharts.py 1.34 rgbecker  Attempt to fix bit leakage
##### 2003/09/04 #####
	graphics/charts/linecharts.py 1.31 rgbecker  Fix type of symbol for linechart properties
	graphics/charts/piecharts.py 1.33 rgbecker  Use strokeLineJoin=1 for 3d wedges
##### 2003/09/03 #####
	graphics/charts/utils3d.py 1.5 rgbecker  First changes needed for 3d bars
	graphics/charts/barcharts.py 1.74 rgbecker  First changes needed for 3d bars
	graphics/charts/axes.py 1.84 rgbecker  First changes needed for 3d bars
	graphics/charts/barcharts.py 1.73 rgbecker  Fixed up data labels for stacked bars
##### 2003/09/01 #####
	graphics/charts/areas.py 1.3 rgbecker  Added _3d options for use with 3d charts
##### 2003/08/28 #####
	rl_addons/renderPM/_renderPM.c 1.23 rgbecker  Make pict transparent color optional
	lib/colors.py 1.42 johnprecedo  Fixed a typo in function Blacker.
##### 2003/08/27 #####
	graphics/shapes.py 1.98 johnprecedo  Andy's fix for turning on or off previews in EPS output.
	graphics/charts/utils3d.py 1.4 rgbecker  Fix up 2.2ism
	graphics/charts/piecharts.py 1.32 rgbecker  Fix up 2.2ism
	graphics/charts/axes.py 1.83 rgbecker  Fix up 2.2ism
	graphics/charts/piecharts.py 1.31 rgbecker  Added dynamic Wedgelabel3d class
##### 2003/08/26 #####
	lib/attrmap.py 1.9 rgbecker  Add check for shapeChecking to validateSetattr
##### 2003/08/22 #####
	graphics/charts/utils3d.py 1.3 rgbecker  Fix up depth sign for 3d line segments
##### 2003/08/21 #####
	lib/attrmap.py 1.8 rgbecker  Change name of hook func
	rl_addons/renderPM/_renderPM.c 1.22 rgbecker  Fix up error case
##### 2003/08/20 #####
	platypus/flowables.py 1.38 rgbecker  Fix typo found by Christoph Devenoges
	graphics/charts/utils3d.py 1.2 rgbecker  Some progress on ribbons
##### 2003/08/19 #####
	pdfgen/canvas.py 1.116 rgbecker  Fix missing = :( stupid robin
	pdfgen/canvas.py 1.115 rgbecker  Fix up Canvas argument processing so defaults are dynamically taken
##### 2003/08/15 #####
	graphics/charts/piecharts.py 1.30 rgbecker  Pie3d now shares code with Pie
##### 2003/08/14 #####
	graphics/charts/lineplots.py 1.46 rgbecker  Fixes to lineLabelArray detection
	graphics/charts/linecharts.py 1.30 rgbecker  Fixes to lineLabelArray detection
##### 2003/08/13 #####
	graphics/charts/utils3d.py 1.1 rgbecker  Working 3D Pie chart
	graphics/charts/piecharts.py 1.29 rgbecker  Working 3D Pie chart
##### 2003/08/12 #####
	graphics/widgets/grids.py 1.32 rgbecker  Comment problematic PICT code
	graphics/shapes.py 1.97 rgbecker  Comment problematic PICT code
	graphics/renderPM.py 1.34 rgbecker  Comment problematic PICT code
##### 2003/08/11 #####
	rl_addons/renderPM/_renderPM.c 1.21 rgbecker  Quark PICT testing
	graphics/shapes.py 1.96 rgbecker  Added getArcPoints & ArcPath
	platypus/frames.py 1.21 rgbecker  I think we actually need a width check
	platypus/tables.py 1.67 rgbecker  Allow for special case width overflows
##### 2003/08/05 #####
	rl_addons/renderPM/_renderPM.c 1.20 rgbecker  Attempt at transparancy by rendering
	pdfbase/pdfdoc.py 1.85 rgbecker  Added import of os
	pdfbase/pdfdoc.py 1.84 rgbecker  Slight change to markfilename usage
	graphics/renderPM.py 1.33 rgbecker  Test PICT transparency & move to better markfilename
	lib/utils.py 1.44 rgbecker  Added John's mac type dict to markfilename
##### 2003/08/04 #####
	graphics/charts/lineplots.py 1.45 rgbecker  Add proper data for AreaLinePlot
##### 2003/08/03 #####
	graphics/shapes.py 1.95 rgbecker  Slight efficiency saving & code reuse
	test/test_graphics_layout.py 1.1 andy_robinson  Added getBounds() logic throughout graphics hierarchy
	graphics/widgetbase.py 1.34 andy_robinson  Added getBounds() logic throughout graphics hierarchy
	graphics/shapes.py 1.94 andy_robinson  Added getBounds() logic throughout graphics hierarchy
##### 2003/08/01 #####
	rl_config.py 1.38 rgbecker  Added eps_preview_transparent
	lib/colors.py 1.41 rgbecker  Fix type problem
##### 2003/07/31 #####
	lib/colors.py 1.40 rgbecker  Added bitmap_rgb function
	graphics/renderPM.py 1.32 rgbecker  Allow for tiff transparency
	lib/utils.py 1.43 rptlab  Added more debugs and allowed for multiple removes
##### 2003/07/30 #####
	graphics/charts/lineplots.py 1.44 rgbecker  Fixup for bubble charts
	graphics/charts/axes.py 1.82 rgbecker  Fixup for bubble charts
	rl_addons/pyRXP/pyRXP.c 1.23 rgbecker  Fix bugs in fourth argument found by Max Neunhöffer
##### 2003/07/29 #####
	graphics/charts/lineplots.py 1.43 rgbecker  dded in stuff for area plots, fixes to axis formatting etc
	graphics/charts/linecharts.py 1.29 rgbecker  dded in stuff for area plots, fixes to axis formatting etc
	graphics/charts/axes.py 1.81 rgbecker  dded in stuff for area plots, fixes to axis formatting etc
	graphics/charts/linecharts.py 1.28 rgbecker  Added inFill stuff/reversePlotOrder for LineChart
	platypus/flowables.py 1.37 rgbecker  Attempt to allow for overlong KeepTogethers
##### 2003/07/26 #####
	graphics/renderPM.py 1.31 rgbecker  Fix up resolution for TIFF
##### 2003/07/25 #####
	platypus/paragraph.py 1.68 rgbecker  Attempt to fix lines access
##### 2003/07/22 #####
	lib/colors.py 1.39 fuzzypuffin  added ReportLabGreen
#################################################################################
#################### RELEASE 1.18 at 12:00 GMT  9/Jul/2003      #################
#################################################################################
##### 2003/07/09 #####
	changes 1.20 rgbecker  Release 1.18
	__init__.py 1.26 rgbecker  Release 1.18
##### 2003/07/09 #####
	platypus/tables.py 1.66 rgbecker  Attempt to fix up identity for early errors
##### 2003/07/08 #####
	lib/rparsexml.py 1.4 rgbecker  Attempt at fixing the silly return wrong tuple size problem
	pdfbase/pdfdoc.py 1.83 rgbecker  Finally commit changes to allow invariant pdfencryption to work properly
	platypus/para.py 1.9 rgbecker  Fixes to remove 'import as'
	pdfbase/pdfdoc.py 1.82 rgbecker  Fix up for 1.1.4 PIL palette access
	lib/rparsexml.py 1.3 rgbecker  Allow for no entuty replacement
	platypus/para.py 1.8 rgbecker  Added Dirk Holtwick's patch and better entities/charrefs
	tools/pythonpoint/pythonpoint.py 1.23 rgbecker  Karl Putland's speaker notes patch
##### 2003/07/07 #####
	pdfbase/_fontdata.py 1.13 rgbecker  Fixed up fake font searching again
	graphics/charts/piecharts.py 1.28 rgbecker  Remove 2.1 ism
	rl_config.py 1.37 rgbecker  Attempt to fix up for linux 2
	test/runAll.py 1.12 rgbecker  Fix 2.1 ism
##### 2003/07/03 #####
	pdfbase/pdfdoc.py 1.81 rgbecker  Fix up invariance
	pdfgen/canvas.py 1.114 rgbecker  Remove excess import of time
##### 2003/07/02 #####
	rl_config.py 1.36 rgbecker  Fix up setting of invariant
	graphics/charts/lineplots.py 1.42 rgbecker  Fixes to makeGrids etc
	graphics/charts/linecharts.py 1.27 rgbecker  Fixes to makeGrids etc
	graphics/charts/barcharts.py 1.72 rgbecker  Fixes to makeGrids etc
	graphics/charts/axes.py 1.80 rgbecker  Fixes to makeGrids etc
	graphics/shapes.py 1.93 johnprecedo  If a PDF is made on a mac (ie OS 9 rather than OX X), now adds the correct creater type.
	graphics/charts/axes.py 1.79 rgbecker  Fix up no avoidBoundFrac case
	graphics/charts/axes.py 1.78 rgbecker  Fix up excel type avoidBoundFrac
##### 2003/07/01 #####
	lib/setup.py 1.15 rgbecker  Added linux2 flag
	graphics/renderPDF.py 1.23 johnprecedo  Now sets the file association correctly when producing PDFs on Apple Macs running MacOS < X.
##### 2003/06/25 #####
	graphics/charts/axes.py 1.77 rgbecker  Fixed grid thickness error
	graphics/charts/axes.py 1.76 rgbecker  Added zrangePref
##### 2003/06/24 #####
	test/test_pdfgen_general.py 1.17 rgbecker  Use new getpdfdata method
	pdfgen/canvas.py 1.113 rgbecker  David Fraser's GetPDFData patch (to avoid unwanted StringIOs
	pdfbase/pdfdoc.py 1.80 rgbecker  David Fraser's GetPDFData patch (to avoid unwanted StringIOs
##### 2003/06/20 #####
	graphics/charts/axes.py 1.75 rgbecker  Fix my stupid logic error using labelTextFormat
##### 2003/06/19 #####
	lib/validators.py 1.27 rgbecker  Added isStringOrNone
	graphics/charts/spider.py 1.9 rgbecker  Attempt to be more generic with markers
	graphics/charts/spider.py 1.8 rgbecker  Allow for proper labels in piechart and some clean ups
	graphics/charts/piecharts.py 1.27 rgbecker  Allow for proper labels in piechart and some clean ups
	graphics/charts/doughnut.py 1.4 rgbecker  Allow for proper labels in piechart and some clean ups
	graphics/charts/axes.py 1.74 andy_robinson  Added visibleLabels
##### 2003/06/17 #####
	graphics/charts/axes.py 1.73 rgbecker  Fix up to use excel rule for equal valueMin/Max
	graphics/charts/axes.py 1.72 rgbecker  Added atempt at auto ticking ints
##### 2003/06/13 #####
	graphics/charts/axes.py 1.71 rgbecker  Move avoidBoundFrac etc into base class
	graphics/charts/axes.py 1.70 rgbecker  Change unset labelTextFormat handling
	graphics/charts/doughnut.py 1.3 johnprecedo  Fixed a type which was causing problems with single series doughnut charts.
	graphics/charts/doughnut.py 1.2 johnprecedo  Fixed a typo, expanded docstring. No other changes.
	graphics/charts/doughnut.py 1.1 johnprecedo  Initial commit of a new 'doughnut' chart type - does doughnut charts like those which Excel produces. Can handle multiple series, but not popouts or inter-series gaps (yet).
##### 2003/06/12 #####
	graphics/renderPS.py 1.23 rgbecker  Attempt at adding in a generalised wedge
	graphics/renderPDF.py 1.22 rgbecker  Attempt at adding in a generalised wedge
	graphics/shapes.py 1.92 rgbecker  Attempt at adding in a generalised wedge
	graphics/charts/textlabels.py 1.30 rgbecker  Added padding to Label
##### 2003/06/10 #####
	graphics/charts/axes.py 1.69 rgbecker  Use union of date sequences
	lib/set_ops.py 1.1 rgbecker  Initial check in
##### 2003/06/09 #####
	graphics/charts/spider.py 1.7 johnprecedo  Added capacity for markers.
	graphics/charts/axes.py 1.68 rgbecker  Fix typo
##### 2003/06/05 #####
	graphics/charts/axes.py 1.67 rgbecker  Allow avoidBoundFrac to be a tuple
##### 2003/06/04 #####
	platypus/paragraph.py 1.67 rgbecker  added testcase
	platypus/paraparser.py 1.52 rgbecker  laissez faire case
##### 2003/06/03 #####
	rl_addons/renderPM/libart_lgpl/configure.in 1.4 rgbecker  Sync to 2.3.12
	rl_addons/renderPM/libart_lgpl/art_uta_vpath.c 1.3 rgbecker  Sync to 2.3.12
	rl_addons/renderPM/libart_lgpl/art_svp_wind.c 1.5 rgbecker  Sync to 2.3.12
	rl_addons/renderPM/libart_lgpl/art_svp_vpath_stroke.c 1.3 rgbecker  Sync to 2.3.12
	rl_addons/renderPM/libart_lgpl/art_svp_ops.c 1.3 rgbecker  Sync to 2.3.12
	rl_addons/renderPM/libart_lgpl/art_render_svp.c 1.3 rgbecker  Sync to 2.3.12
	rl_addons/renderPM/libart_lgpl/ChangeLog 1.4 rgbecker  Sync to 2.3.12
	graphics/charts/axes.py 1.66 rgbecker  factorize labelling for NaormalDate axis
	lib/validators.py 1.26 rgbecker  Added Non==false for isBoolean
##### 2003/06/01 #####
	platypus/xpreformatted.py 1.17 rgbecker  Henning von Bargen's caseSensitive flag
	platypus/paraparser.py 1.51 rgbecker  Henning von Bargen's caseSensitive flag
	platypus/paragraph.py 1.66 rgbecker  Henning von Bargen's caseSensitive flag
	test/test_paragraphs.py 1.16 rgbecker  Henning von Bargen's caseSensitive flag
##### 2003/05/30 #####
	platypus/para.py 1.7 rgbecker  Added Sidnei da Silva's patches
	pdfgen/canvas.py 1.112 rgbecker  White space fixes
##### 2003/05/29 #####
	graphics/charts/piecharts.py 1.26 fuzzypuffin  This seems the right way to do this
	graphics/charts/lineplots.py 1.41 andy_robinson  Adaptations for quickchart
	graphics/charts/barcharts.py 1.71 andy_robinson  Adaptations for quickchart
##### 2003/05/27 #####
	graphics/charts/lineplots.py 1.40 rgbecker  Cosmetics
	graphics/charts/lineplots.py 1.39 rgbecker  Attempt at getting SplitLinePlot & allow for inFill
	graphics/charts/axes.py 1.65 rgbecker  Attempt at getting SplitLinePlot & allow for inFill
	graphics/charts/axes.py 1.64 rgbecker  Ensure _labelTextFormat exists
##### 2003/05/26 #####
	platypus/paraparser.py 1.50 rgbecker  Final fixes to special charrefs
	platypus/paraparser.py 1.49 rgbecker  Added in more special entities as suggested by Christoph Zwerschke
	graphics/charts/axes.py 1.63 andy_robinson  Fixed unitialized parameter in axes (broken in last checkin?)
##### 2003/05/24 #####
	rl_addons/pyRXP/test/testRXPbasic.py 1.2 rgbecker  Added in Max Neunhöffer's patch for ReturnCDATASectionsAsTuples flag
	rl_addons/pyRXP/pyRXP.c 1.22 rgbecker  Added in Max Neunhöffer's patch for ReturnCDATASectionsAsTuples flag
##### 2003/05/22 #####
	graphics/charts/axes.py 1.62 rgbecker  Non-intrusive changes (I hope)
##### 2003/05/16 #####
	lib/_rl_accel.c 1.34 johnprecedo  Fix Code Warrior strict error messages (on Mac).
##### 2003/05/11 #####
	platypus/doctemplate.py 1.63 rgbecker  Make PageTemplate default size None
##### 2003/05/08 #####
	graphics/charts/linecharts.py 1.26 rgbecker  Dirk Datzert's None Patch
##### 2003/05/07 #####
	graphics/renderPM.py 1.30 rgbecker  Fix up for import of test
##### 2003/05/01 #####
	test/test_platypus_indents.py 1.1 andy_robinson  Added relative indentation
	platypus/frames.py 1.20 andy_robinson  Added relative indentation
	platypus/doctemplate.py 1.62 andy_robinson  Added relative indentation
##### 2003/04/29 #####
	graphics/shapes.py 1.91 rgbecker  Fix up asString format lists
	graphics/renderPM.py 1.29 rgbecker  Fix example output index.html title
##### 2003/04/24 #####
	fonts/LeERC___.AFM 1.2 rgbecker  Attempt to fix -kb problem
	test/test_platypus_general.py 1.12 rgbecker  Make os & cwd agnostic
	rl_addons/renderPM/_renderPM.c 1.19 jvr  fixed compile error with CodeWarrior Pro 6 on the Mac
##### 2003/04/22 #####
	platypus/tables.py 1.65 rgbecker  Prepare for a more general idea of cell size
	platypus/flowables.py 1.36 rgbecker  Prepare for a more general idea of cell size
	test/test_charts_textlabels.py 1.5 rgbecker  Make runAll.py more robust
	test/runAll.py 1.11 rgbecker  Make runAll.py more robust
	platypus/paragraph.py 1.65 rgbecker  Added in Ury Marshak's underlining stuff hacked for <2.2
	lib/_rl_accel.c 1.33 rgbecker  Added underline to same frag routine
	test/test_paragraphs.py 1.15 rgbecker  Added an underline sample
##### 2003/04/21 #####
	test/test_table_layout.py 1.1 andy_robinson  Finished off sizing logic to go with row and column spanning; added a substantial set of examples.
	platypus/tables.py 1.64 andy_robinson  Finished off sizing logic to go with row and column spanning; added a substantial set of examples.
##### 2003/04/17 #####
	tools/docco/graphdocpy.py 1.21 andy_robinson  Added conveniences to control where docs are created
	tools/docco/docpy.py 1.5 andy_robinson  Added conveniences to control where docs are created
	test/test_pdfgen_general.py 1.16 andy_robinson  Added conveniences to control where docs are created
	docs/graphguide/gengraphguide.py 1.8 andy_robinson  Added conveniences to control where docs are created
	docs/graphguide/gengraphguide.py 1.7 andy_robinson  Added a default page size
	tools/docco/rl_doc_utils.py 1.6 andy_robinson  Now runs from other scripts
	tools/docco/graphdocpy.py 1.20 andy_robinson  Now runs from other scripts
	docs/reference/genreference.py 1.5 andy_robinson  Temoved references to sys.argv[0], allowed some flexibility in which directory they run in
	docs/graphguide/gengraphguide.py 1.6 andy_robinson  Temoved references to sys.argv[0], allowed some flexibility in which directory they run in
	graphics/samples/runall.py 1.4 johnprecedo  Fix a typo.
	graphics/shapes.py 1.90 rgbecker  added pict/pct capability
	graphics/samples/runall.py 1.3 johnprecedo  Now allows multiple formats and if you don't specify any will assume you want PDF, PICT and PNG.
	graphics/renderPS.py 1.22 rgbecker  Added markfilename call
	graphics/renderPM.py 1.28 rgbecker  Added markfilename call
	pdfbase/pdfdoc.py 1.79 rgbecker  Moved markfilename to lib/utils.py
	lib/utils.py 1.42 rgbecker  Moved markfilename from pdfdoc
	graphics/renderPM.py 1.27 andy_robinson  Use pct instead of pict as extension in tests
##### 2003/04/16 #####
	rl_addons/pyRXP/setup.py 1.9 rgbecker  Fix my silliness
	graphics/renderPM.py 1.26 rgbecker  Added support for pict
	rl_addons/renderPM/_renderPM.c 1.18 rgbecker  Added PICT conversion utility
##### 2003/04/15 #####
	rl_addons/pyRXP/setup.py 1.8 dragan1  add linux-i386
	rl_addons/renderPM/setup.py 1.15 dragan1  add linux-i386
	setup.py 1.9 jvr  whitespace change to test my commit rights
##### 2003/04/14 #####
	graphics/renderPM.py 1.25 rgbecker  Added some entry points for PIL workers
	test/runAll.py 1.10 johnprecedo  Andy's latest changes on test machine (snowdon).
	rl_addons/renderPM/libart_lgpl/art_affine.c 1.4 rgbecker  Fix buglet reported on list
##### 2003/04/13 #####
	rl_addons/pyRXP/test/test_xmltestsuite.py 1.2 rgbecker  Fix & changes for memory checks
##### 2003/04/11 #####
	rl_addons/pyRXP/docs/PyRXP_Documentation.rml 1.4 johnprecedo  Interim checkin. More work needs to be done on this.
	rl_addons/pyRXP/test/test_xmltestsuite.py 1.1 rgbecker  S Bishop's unittests
	rl_addons/pyRXP/test/testRXPbasic.py 1.1 johnprecedo  Test program t.py moved to testRXPbasic.py - namechange to make it more consistent with other Reportlab test programs.
	rl_addons/pyRXP/test/t.py 1.12 johnprecedo  Test program t.py moved to testRXPbasic.py - namechange to make it more consistent with other Reportlab test programs.
##### 2003/04/10 #####
	rl_addons/pyRXP/docs/PyRXP_Documentation.rml 1.3 johnprecedo  Tutorial sections updated with info on new changes from 0.97. (Pages need renumbering).
	pdfgen/canvas.py 1.111 andy_robinson  Added setPageRotation
##### 2003/04/09 #####
	platypus/para.py 1.6 andy_robinson  Added tt tag as suggested by Stephen Diehl
	rl_addons/pyRXP/test/t.py 1.11 rgbecker  Make easier to comprehend
##### 2003/04/07 #####
	graphics/widgets/grids.py 1.31 rgbecker  Allow for outer rect to be special
##### 2003/04/05 #####
	platypus/tables.py 1.63 andy_robinson  Initial try at column spanning
	platypus/flowables.py 1.35 andy_robinson  Fixed mask bug (lexical/dynamic scoping?)
	docs/userguide/ch3_pdffeatures.py 1.5 andy_robinson  Removed some fancy quote characters
##### 2003/04/04 #####
	platypus/flowables.py 1.34 rgbecker  Allow for image transparancy mask
	platypus/flowables.py 1.33 rgbecker  Fix trivial spelling burble
##### 2003/04/03 #####
	rl_addons/pyRXP/test/t.py 1.10 rgbecker  Added in 16 bit mode patch inspired by Stuart Bishop
	rl_addons/pyRXP/pyRXP.c 1.21 rgbecker  Added in 16 bit mode patch inspired by Stuart Bishop
	rl_addons/pyRXP/setup.py 1.7 rgbecker  Attempt at the 16 bit patch
	rl_addons/pyRXP/pyRXP.c 1.20 rgbecker  Attempt at the 16 bit patch
##### 2003/04/01 #####
	rl_addons/pyRXP/pyRXP.c 1.19 rgbecker  Sync with rxp 1.3.0
	rl_addons/pyRXP/test/t.py 1.9 rgbecker  Fix test
	rl_addons/pyRXP/rxp/xmlparser.h 1.3 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/xmlparser.c 1.3 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/version.c 1.2 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/url.h 1.2 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/stdio16.h 1.2 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/stdio16.c 1.3 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/rxp.c 1.2 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/rxp.1 1.2 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/input.h 1.2 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/input.c 1.4 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/RELNOTES 1.2 rgbecker  Synchronize with 1.3.0
	rl_addons/pyRXP/rxp/Makefile 1.2 rgbecker  Synchronize with 1.3.0
	graphics/widgets/eventcal.py 1.4 fuzzypuffin  added talk details for 4 days as a tuple
	graphics/widgets/eventcal.py 1.3 andy_robinson  Now crudely displays talk details
	rl_addons/pyRXP/patches/differ.bat 1.2 rgbecker  Improved discrimination
	graphics/widgets/eventcal.py 1.2 andy_robinson  Now beginning to look like a calendar :-)
##### 2003/03/28 #####
	graphics/widgets/eventcal.py 1.1 andy_robinson  Initial; checkin of calendar widget
##### 2003/03/27 #####
	rl_addons/renderPM/libart_lgpl/config.h 1.3 rgbecker  Attempt to make this semi-automatic
	rl_addons/renderPM/libart_lgpl/art_render_gradient.c 1.3 jvr  Fixing compile errors with CodeWarrior Pro 6 on MacOS.
##### 2003/03/20 #####
	graphics/samples/bubble.py 1.1 johnprecedo  Forgot to check in last night... oops.
##### 2003/03/19 #####
	graphics/samples/scatter_lines_markers.py 1.1 johnprecedo  Added scatter plots, line charts and bubble plots (and some varients).
	graphics/samples/scatter_lines.py 1.1 johnprecedo  Added scatter plots, line charts and bubble plots (and some varients).
	graphics/samples/scatter.py 1.1 johnprecedo  Added scatter plots, line charts and bubble plots (and some varients).
	graphics/samples/linechart_with_markers.py 1.1 johnprecedo  Added scatter plots, line charts and bubble plots (and some varients).
	graphics/samples/line_chart.py 1.1 johnprecedo  Added scatter plots, line charts and bubble plots (and some varients).
	graphics/shapes.py 1.89 rgbecker  Fixed up TIF vs TIFF
	graphics/renderPM.py 1.24 rgbecker  Fixed up TIF vs TIFF
	graphics/shapes.py 1.88 rgbecker  Space saving optimisation
##### 2003/03/18 #####
	graphics/samples/runall.py 1.2 andy_robinson  Drawings can now do asString(format)
	graphics/shapes.py 1.87 andy_robinson  Drawings can now do asString(format)
##### 2003/03/17 #####
	graphics/samples/stacked_column.py 1.3 johnprecedo  Added in preview attribute required for EPS output.
	graphics/samples/stacked_bar.py 1.3 johnprecedo  Added in preview attribute required for EPS output.
	graphics/samples/simple_pie.py 1.3 johnprecedo  Added in preview attribute required for EPS output.
	graphics/samples/radar.py 1.3 johnprecedo  Added in preview attribute required for EPS output.
	graphics/samples/filled_radar.py 1.3 johnprecedo  Added in preview attribute required for EPS output.
	graphics/samples/exploded_pie.py 1.3 johnprecedo  Added in preview attribute required for EPS output.
	graphics/samples/clustered_column.py 1.3 johnprecedo  Added in preview attribute required for EPS output.
	graphics/samples/clustered_bar.py 1.3 johnprecedo  Added in preview attribute required for EPS output.
	graphics/samples/stacked_column.py 1.2 johnprecedo  Changed outdir from '.' to None - should no longer create a folder called '.' on a Mac.
	graphics/samples/stacked_bar.py 1.2 johnprecedo  Changed outdir from '.' to None - should no longer create a folder called '.' on a Mac.
	graphics/samples/simple_pie.py 1.2 johnprecedo  Changed outdir from '.' to None - should no longer create a folder called '.' on a Mac.
	graphics/samples/radar.py 1.2 johnprecedo  Changed outdir from '.' to None - should no longer create a folder called '.' on a Mac.
	graphics/samples/filled_radar.py 1.2 johnprecedo  Changed outdir from '.' to None - should no longer create a folder called '.' on a Mac.
	graphics/samples/exploded_pie.py 1.2 johnprecedo  Changed outdir from '.' to None - should no longer create a folder called '.' on a Mac.
	graphics/samples/clustered_column.py 1.2 johnprecedo  Changed outdir from '.' to None - should no longer create a folder called '.' on a Mac.
	graphics/samples/clustered_bar.py 1.2 johnprecedo  Changed outdir from '.' to None - should no longer create a folder called '.' on a Mac.
	graphics/samples/stacked_column.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/stacked_bar.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/simple_pie.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/runall.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/radar.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/filled_radar.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/exploded_pie.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/excelcolors.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/clustered_column.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/clustered_bar.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
	graphics/samples/__init__.py 1.1 johnprecedo  Directory of samples which mimic the standard Excel chart classes. iInitial checkin - copied across from users/john/excel_samples.
##### 2003/03/14 #####
	tools/pythonpoint/pythonpoint.py 1.22 andy_robinson  Whoops, stray print statement removed
	tools/pythonpoint/pythonpoint.py 1.21 andy_robinson  Ian Sparks' expanded bookmarkPage function
	test/test_pdfgen_links.py 1.1 andy_robinson  Ian Sparks' expanded bookmarkPage function
	pdfgen/canvas.py 1.110 andy_robinson  Ian Sparks' expanded bookmarkPage function
	docs/userguide/ch3_pdffeatures.py 1.4 andy_robinson  Ian Sparks' expanded bookmarkPage function
##### 2003/03/13 #####
	rl_addons/pyRXP/pyRXP.c 1.18 rgbecker  Fix braindead MS VC++ string length overflow
	rl_addons/pyRXP/test/t.py 1.8 rgbecker  This was stupidly wrong
	rl_addons/pyRXP/pyRXP.c 1.17 rgbecker  Added slight commentation
	rl_addons/pyRXP/pyRXP.c 1.16 rgbecker  0.96 added pyRXP.recordLocation
	rl_addons/pyRXP/docs/PyRXP_Documentation.rml 1.2 rgbecker  Upgraded to 0.96
	rl_addons/pyRXP/test/t.py 1.7 rgbecker  Added recordLocation handling
	rl_addons/pyRXP/pyRXP.c 1.15 rgbecker  Added recordLocation handling
##### 2003/03/08 #####
	rl_addons/pyRXP/test/t.py 1.6 rgbecker  Changed to comply with new nodes for comment/pi
	rl_addons/pyRXP/pyRXP.c 1.14 rgbecker  Fixed finding first proper node in ReturnList==0 case
	rl_addons/pyRXP/pyRXP.c 1.13 rgbecker  Added new comment & pi stuff
##### 2003/03/04 #####
	graphics/charts/spider.py 1.6 rgbecker  Fix for labels=None case
##### 2003/03/03 #####
	rl_addons/pyRXP/test/t.py 1.5 rgbecker  Added processing instructions
	rl_addons/pyRXP/pyRXP.c 1.12 rgbecker  Added processing instructions
##### 2003/03/02 #####
	graphics/renderPM.py 1.23 rgbecker  Added argument to get at PIL save
##### 2003/02/27 #####
	lib/colors.py 1.38 rgbecker  Added special reportLabFid colours
##### 2003/02/24 #####
	graphics/shapes.py 1.86 rgbecker  Use title instead of fnroot
##### 2003/02/19 #####
	rl_addons/pyRXP/pyRXP.c 1.11 rgbecker  Fix wrong call, suggested by Stuart Bishop's patch
##### 2003/02/06 #####
	pdfbase/pdfdoc.py 1.78 andy_robinson  Bug fix from Ian Sparks - missing keyword argument on pdf zoom
##### 2003/02/03 #####
	pdfbase/pdfdoc.py 1.77 andy_robinson  Fixed how object comments are formatted - could not always __class___.__name__
##### 2003/02/02 #####
	platypus/doctemplate.py 1.61 andy_robinson  Passing invariant argument through to canvas
	rl_config.py 1.35 andy_robinson  Changes to allow invariant documents when needed
	platypus/frames.py 1.19 andy_robinson  Changes to allow invariant documents when needed
	platypus/doctemplate.py 1.60 andy_robinson  Changes to allow invariant documents when needed
	pdfgen/canvas.py 1.109 andy_robinson  Changes to allow invariant documents when needed
	pdfbase/pdfdoc.py 1.76 andy_robinson  Changes to allow invariant documents when needed
##### 2003/01/20 #####
	lib/utils.py 1.41 andy_robinson  Back in synch, diagnostic function for distro type added
##### 2003/01/15 #####
	graphics/shapes.py 1.85 rgbecker  Attempted fix for problems with expandUserNodes
	lib/utils.py 1.40 rgbecker  Fix major idiocy
	lib/utils.py 1.39 rgbecker  Fix typo
	lib/utils.py 1.38 rgbecker  Fix recursivImport for case when baseDir is a sequence
##### 2003/01/14 #####
	graphics/shapes.py 1.84 rgbecker  Small change to fix _copyNamedContents
	graphics/charts/piecharts.py 1.25 rgbecker  Allow for special case empty data
##### 2003/01/12 #####
	lib/_rl_accel.c 1.32 rgbecker  Another leak fix thanks to Alessandro Praduroux
##### 2003/01/06 #####
	platypus/doctemplate.py 1.59 rgbecker  Fix up multiBuild to be cleverer about initial saves
	setup.py 1.8 rgbecker  Remove spurious print
##### 2003/01/05 #####
	lib/_rl_accel.c 1.31 rgbecker  Fixed gaping hole in _fp_str reported by Alessandro Praduroux
#################################################################################
#################### RELEASE 1.17 at 16:00 GMT  3/Jan/2003      #################
#################################################################################
##### 2003/01/03 #####
	test/test_lib_utils.py 1.2 rgbecker  Fix test2 for the pyz case
##### 2003/01/02 #####
	platypus/doctemplate.py 1.58 rgbecker  Attempted fix for non string filenamevs multibuild
##### 2002/12/28 #####
	pdfbase/pdfmetrics.py 1.61 andy_robinson  Permits use of CID fonts within paragraphs
	pdfbase/pdfmetrics.py 1.60 andy_robinson  Allows Asian fonts to have correct TT mapping and thus work in paragraphs
##### 2002/12/23 #####
	tools/pythonpoint/demos/htu.xml 1.2 andy_robinson  Fixed recursive import, setting and gettign attributes
	test/test_lib_utils.py 1.1 andy_robinson  Fixed recursive import, setting and gettign attributes
	lib/utils.py 1.37 andy_robinson  Fixed recursive import, setting and gettign attributes
	graphics/charts/barcharts.py 1.70 andy_robinson  Fixed recursive import, setting and gettign attributes
##### 2002/12/22 #####
	setup.py 1.7 andy_robinson  Now includes all data files, and installs with sdist/install on Windows
	setup.py 1.6 andy_robinson  Tidied up whitespace and header
	setup.py 1.5 andy_robinson  Dirk's latest changes
	MANIFEST.in 1.3 andy_robinson  Dirk's latest changes
	setup.py 1.4 andy_robinson  Changed how it refers to extenions so it works on Windows
	MANIFEST.in 1.2 andy_robinson  Dirk's latest
	MANIFEST.in 1.1 rgbecker  Forgot to add this
	setup_reportlab.py 1.3 rgbecker  No longer needed
	setup.py 1.3 rgbecker  After Dirk's patch
##### 2002/12/21 #####
	license.txt 1.4 rgbecker  Fixed dates
##### 2002/12/20 #####
	docs/userguide/ch2_graphics.py 1.9 rgbecker  Fix example 2.1
##### 2002/12/13 #####
	graphics/renderPS.py 1.21 rgbecker  Added Dirk Datzert's drawToString func
##### 2002/12/04 #####
	graphics/charts/spider.py 1.5 rgbecker  Fix calcs for values correct direction
##### 2002/12/03 #####
	graphics/charts/spider.py 1.4 rgbecker  remove spurious print
	graphics/charts/textlabels.py 1.29 rgbecker  remove spurious print
	lib/validators.py 1.25 rgbecker  Minor enhancements to SpiderChart/Label
	graphics/charts/textlabels.py 1.28 rgbecker  Minor enhancements to SpiderChart/Label
	graphics/charts/spider.py 1.3 rgbecker  Minor enhancements to SpiderChart/Label
	graphics/charts/spider.py 1.2 rgbecker  Fix up for labels etc
##### 2002/12/02 #####
	graphics/charts/spider.py 1.1 andy_robinson  Initial checkin, several more features needed
	graphics/widgets/grids.py 1.30 rgbecker  Fix backgrounds
	graphics/charts/lineplots.py 1.38 rgbecker  Fix up bugs in joinAxisMode handling
	graphics/charts/axes.py 1.61 rgbecker  Fix up bugs in joinAxisMode handling
	graphics/charts/lineplots.py 1.37 rgbecker  Use _tickValues instead of valueSteps
	graphics/charts/axes.py 1.60 rgbecker  Attempts at controlling number of ticks & fix for empty labels
	graphics/charts/lineplots.py 1.36 rgbecker  added makeSwatchSample
##### 2002/11/28 #####
	pdfbase/pdfdoc.py 1.75 rgbecker  Fix off by 1 in loadA85Image
##### 2002/11/27 #####
	graphics/widgets/flags.py 1.24 rgbecker  Minor efficiency saving
	graphics/charts/textlabels.py 1.27 rgbecker  Minor efficiency saving
	graphics/charts/lineplots.py 1.35 rgbecker  Started adding Shader
	graphics/charts/areas.py 1.2 rgbecker  Minor saving
	graphics/shapes.py 1.83 rgbecker  Added class _SetKeyWordArgs
	pdfbase/pdfutils.py 1.36 rgbecker  A85 files are binary :(
	test/test_graphics_images.py 1.6 rgbecker  Allow for easy change of images
	graphics/charts/axes.py 1.59 rgbecker  Allow LL0 to be a list
	graphics/shapes.py 1.82 rgbecker  Added String.getEast method
##### 2002/11/22 #####
	graphics/charts/barcharts.py 1.69 rgbecker  Fixed attributes
##### 2002/11/21 #####
	pdfbase/pdfutils.py 1.35 rgbecker  Bad checks commented
##### 2002/11/20 #####
	pdfbase/pdfutils.py 1.34 rgbecker  Added _rl_accel._Ascii85Decode
	lib/_rl_accel.c 1.30 rgbecker  Added _Ascii85Decode
	graphics/charts/piecharts.py 1.24 rgbecker  Slight fix for all zero case
##### 2002/11/18 #####
	platypus/para.py 1.5 aaron_watters  eliminated divide by zero but just introduced
	platypus/para.py 1.4 rgbecker  Slight improvement on Doug's fix
	platypus/para.py 1.3 andy_robinson  Path for word spacing in justified text
##### 2002/11/16 #####
	tools/pythonpoint/styles/htu.py 1.1 andy_robinson  Pythonpoint patches from Turgut Uyar
	tools/pythonpoint/stdparser.py 1.15 andy_robinson  Pythonpoint patches from Turgut Uyar
	tools/pythonpoint/pythonpoint.py 1.20 andy_robinson  Pythonpoint patches from Turgut Uyar
	tools/pythonpoint/demos/htu.xml 1.1 andy_robinson  Pythonpoint patches from Turgut Uyar
	lib/fonts.py 1.15 andy_robinson  Pythonpoint patches from Turgut Uyar
##### 2002/11/09 #####
	tools/pythonpoint/stdparser.py 1.14 andy_robinson  Fix for dead bullets pointed out by Tim Roberts...
#################################################################################
#################### RELEASE 1.16 at 16:00 GMT  7/Nov/2002      #################
#################################################################################
##### 2002/11/07 #####
	pdfbase/pdfdoc.py 1.74 rgbecker  Remove string method usage
	test/test_docs_build.py 1.6 rgbecker  Fix for non-standard python testing
##### 2002/11/06 #####
	pdfbase/pdfmetrics.py 1.59 rgbecker  Jerome's New improved hasher
	pdfgen/pycanvas.py 1.8 rgbecker  Jerome's New improved hasher
	pdfgen/canvas.py 1.108 rgbecker  Jerome's fix for strange filenames
	pdfbase/pdfdoc.py 1.73 rgbecker  Jerome's fix for strange filenames
	pdfbase/pdfmetrics.py 1.58 rgbecker  Fix for Jerome's magic breakages in 1.5.2
##### 2002/11/04 #####
	tools/pythonpoint/stdparser.py 1.13 andy_robinson  Fixed extra space due to incorrect bullet text
	test/test_source_chars.py 1.4 rgbecker  Fix missing Baseclass method invocation
	pdfbase/pdfutils.py 1.33 rgbecker  Added A85 caching possibility to Image XObjects
	pdfbase/pdfdoc.py 1.72 rgbecker  Added A85 caching possibility to Image XObjects
	tools/pythonpoint/stdparser.py 1.12 andy_robinson  Whitespace and tab character cleanup
	tools/pythonpoint/pythonpoint.py 1.19 andy_robinson  Whitespace and tab character cleanup
	test/test_source_chars.py 1.3 andy_robinson  Whitespace and tab character cleanup
	test/test_renderSVG.py 1.7 andy_robinson  Whitespace and tab character cleanup
	test/test_platypus_paragraphs.py 1.11 andy_robinson  Whitespace and tab character cleanup
	setup_reportlab.py 1.2 andy_robinson  Whitespace and tab character cleanup
	setup.py 1.2 andy_robinson  Whitespace and tab character cleanup
	platypus/para.py 1.2 andy_robinson  Whitespace and tab character cleanup
	pdfgen/pycanvas.py 1.7 andy_robinson  Whitespace and tab character cleanup
	pdfgen/canvas.py 1.107 andy_robinson  Whitespace and tab character cleanup
	pdfbase/pdfdoc.py 1.71 andy_robinson  Whitespace and tab character cleanup
	lib/rparsexml.py 1.2 andy_robinson  Whitespace and tab character cleanup
	graphics/charts/slidebox.py 1.6 andy_robinson  Whitespace and tab character cleanup
	graphics/charts/dotbox.py 1.2 andy_robinson  Whitespace and tab character cleanup
	docs/userguide/ch1_intro.py 1.13 andy_robinson  Whitespace and tab character cleanup
##### 2002/11/03 #####
	tools/pythonpoint/stdparser.py 1.11 andy_robinson  Added pageDuration feature for automatic slide transitions
	tools/pythonpoint/pythonpoint.py 1.18 andy_robinson  Added pageDuration feature for automatic slide transitions
	tools/pythonpoint/demos/pythonpoint.xml 1.6 andy_robinson  Added pageDuration feature for automatic slide transitions
	pdfgen/canvas.py 1.106 andy_robinson  Added pageDuration feature for automatic slide transitions
	tools/pythonpoint/pythonpoint.dtd 1.2 andy_robinson  Updated copyright year while testing write access
	platypus/flowables.py 1.32 rgbecker  Added ParagraphAndImage
	test/test_platypus_paragraphs.py 1.10 rgbecker  Added test of ParagraphAndImage
##### 2002/10/30 #####
	tools/pythonpoint/stdparser.py 1.10 dinu_gherman  Added ./ to styles search folder list.
##### 2002/10/28 #####
	rl_addons/renderPM/setup.py 1.14 rgbecker  Fix up byteorder for 1.5.2
	rl_addons/renderPM/filelist.txt 1.1 rgbecker  Release of 0.9
	rl_addons/renderPM/do_tags.bat 1.2 rgbecker  Release of 0.9
	rl_addons/renderPM/bingo.py 1.2 rgbecker  Release of 0.9
	rl_addons/renderPM/_renderPM.c 1.17 rgbecker  Release of 0.9
	rl_addons/renderPM/PROJECT_CVS_TAG 1.1 rgbecker  Release of 0.9
##### 2002/10/25 #####
	rl_addons/pyRXP/test/t.py 1.4 rgbecker  Copy back errbuf for various detected errors
	rl_addons/pyRXP/pyRXP.c 1.10 rgbecker  Copy back errbuf for various detected errors
##### 2002/10/22 #####
	pdfbase/pdfdoc.py 1.70 rgbecker  Added JPEG special case for PDFImageXOBject
##### 2002/10/20 #####
	rl_addons/pyRXP/pyRXP.c 1.9 rgbecker  Fix pyRXP.version number
##### 2002/10/19 #####
	lib/_rl_accel.c 1.29 rgbecker  Forgot the VERSION
	lib/_rl_accel.c 1.28 rgbecker  Added Ury Marshak's checksum speedup
	pdfbase/ttfonts.py 1.13 rgbecker  Added Ury Marshak's checksum speedup
	graphics/shapes.py 1.81 rgbecker  Fix for tuple case in definePath
##### 2002/10/18 #####
	pdfgen/pycanvas.py 1.6 johnprecedo  Applied Jerome Alet's patch (submitted on Mon 07/10/2002).
	rl_addons/pyRXP/test/t.py 1.3 rgbecker  Inspired by Alex Martelli add MakeMutableTree & ExpandEmpty flags fourth item callback!
	rl_addons/pyRXP/pyRXP.c 1.8 rgbecker  Inspired by Alex Martelli add MakeMutableTree & ExpandEmpty flags fourth item callback!
##### 2002/10/16 #####
	setup.py 1.1 andy_robinson  Added a highly dodgy, experimental setup.py
##### 2002/10/15 #####
	setup_reportlab.py 1.1 johnprecedo  First stab at a distutils setup script.
	platypus/paragraph.py 1.64 rgbecker  Attempt at fixing getActualLineWidths0
##### 2002/10/14 #####
	graphics/charts/d_verticalbarchart.py 1.2 johnprecedo  Moved to rlextra/examples/graphics.
	graphics/charts/d_horizontalbarchart.py 1.2 johnprecedo  Moved to rlextra/examples/graphics.
##### 2002/10/10 #####
	test/test_pdfbase_ttfonts.py 1.7 mgedmin  Turn off checksum validation by default
	pdfbase/ttfonts.py 1.12 mgedmin  Turn off checksum validation by default
	pdfbase/ttfonts.py 1.11 mgedmin  Added a workaround for some broken TTFs (like Thyromanes)
	pdfbase/ttfonts.py 1.10 mgedmin  Let TTFont users disable checksum validation.  Also, don't parse the same TTF info twice (in TTFontFace and TTFontFile constructors).
	pdfbase/pdfmetrics.py 1.57 mgedmin  Let TTFont users disable checksum validation.  Also, don't parse the same TTF info twice (in TTFontFace and TTFontFile constructors).
##### 2002/10/07 #####
	tools/pythonpoint/styles/standard.py 1.3 rgbecker  jerome Alet spotted this typo
	pdfgen/pycanvas.py 1.5 rgbecker  Fixed 1.5 compat (+=)
	test/test_pdfbase_ttfonts.py 1.6 mgedmin  Align glyphs at dword boundaries as recommended by the TTF spec. (also fixes a bug)
	pdfbase/ttfonts.py 1.9 mgedmin  Align glyphs at dword boundaries as recommended by the TTF spec. (also fixes a bug)
##### 2002/10/06 #####
	graphics/renderSVG.py 1.13 andy_robinson  Whoops, wrong stringIO
##### 2002/10/04 #####
	graphics/renderSVG.py 1.12 andy_robinson  Dirk Datzert's drawToString function
##### 2002/10/03 #####
	pdfgen/pycanvas.py 1.4 rgbecker  Jerome's Patch added by Robin
	graphics/charts/slidebox.py 1.5 johnprecedo  Examples for Diagra documentation.
	graphics/charts/dotbox.py 1.1 johnprecedo  Examples for Diagra documentation.
	graphics/charts/d_verticalbarchart.py 1.1 johnprecedo  Examples for Diagra documentation.
	graphics/charts/d_horizontalbarchart.py 1.1 johnprecedo  Examples for Diagra documentation.
##### 2002/10/02 #####
	test/test_pdfgen_pycanvas.py 1.2 andy_robinson  Latest, well commented source
	pdfgen/pycanvas.py 1.3 andy_robinson  Latest, well commented source
	pdfgen/pycanvas.py 1.2 andy_robinson  Jerome's latest version, refactored he says
##### 2002/10/01 #####
	test/test_pdfgen_pycanvas.py 1.1 andy_robinson  Jerome Alet's Macro-recording canvas
	pdfgen/pycanvas.py 1.1 andy_robinson  Jerome Alet's Macro-recording canvas
##### 2002/09/30 #####
	platypus/paragraph.py 1.63 rgbecker  Fixed splitting bug
	platypus/paraparser.py 1.48 rgbecker  Attempt to use sup as well as super
##### 2002/09/29 #####
	demos/rlzope/readme.txt 1.2 rgbecker  Update to refelect Jerome's .pth recommendation
##### 2002/09/27 #####
	graphics/charts/slidebox.py 1.4 rgbecker  Fix parentheses again
	graphics/charts/slidebox.py 1.3 rgbecker  Fix parentheses
##### 2002/09/26 #####
	test/test_platypus_general.py 1.11 andy_robinson  Fixed makeSuite non-function-call in script handler and added a token ampersand to check xml parsing.
	graphics/charts/slidebox.py 1.2 rgbecker  Fix ascent scaling problem
	graphics/charts/slidebox.py 1.1 rgbecker  Added slidebox in charts now
	docs/userguide/ch6_tables.py 1.6 andy_robinson  Fixed bad docco thanks to Derek Basch
##### 2002/09/17 #####
	graphics/renderPDF.py 1.21 andy_robinson  Added drawToString method as suggested by Dirk Datzert
##### 2002/09/13 #####
	lib/colors.py 1.37 rgbecker  Add cornflowerblue = cornflower
##### 2002/09/12 #####
	docs/userguide/ch6_tables.py 1.5 andy_robinson  Expanded the docs a little
##### 2002/09/09 #####
	platypus/para.py 1.1 aaron_watters  new experimental paragraph implementation which supports hyperlinking, underlining, embedded lists etc
	lib/rparsexml.py 1.1 aaron_watters  added to support new paragraph
	lib/colors.py 1.36 rgbecker  Fixed toColors to be even more accepting
##### 2002/09/07 #####
	docs/userguide/ch1_intro.py 1.12 dragan1  minor grammar corrections
##### 2002/09/06 #####
	pdfbase/ttfonts.py 1.8 mgedmin  Support POST table version 4 as found in some Apple TTFs. Fixed a typo in struct.pack format that could prevent huge fonts from working.
	docs/userguide/ch1_intro.py 1.11 rgbecker  Dragan: added jython installation instructions
##### 2002/09/02 #####
	pdfbase/ttfonts.py 1.7 mgedmin  Typos in error reporting (s/ver.min/ver_min/)
	pdfbase/ttfonts.py 1.6 mgedmin  Support Apple TTFs: different signature and optional OS/2 table
##### 2002/08/25 #####
	graphics/widgets/grids.py 1.29 rgbecker  Allow stroke to appear
	rl_addons/renderPM/setup.py 1.13 rgbecker  Added byteorder test
##### 2002/08/23 #####
	demos/rlzope/rlzope.py 1.5 johnprecedo  Patch from Juergen Plasser/Jeriome Alet. Corrects a problem which happens when images are >64Kb.
##### 2002/08/19 #####
	test/utils.py 1.8 rgbecker  Fix for spaces in commands
	rl_addons/renderPM/libart_lgpl/testart.c 1.3 rgbecker  Added intersect2 test
	rl_addons/renderPM/libart_lgpl/art_svp_wind.c 1.4 rgbecker  Allow for NOSTDERR
	rl_addons/renderPM/libart_lgpl/art_misc.c 1.4 rgbecker  Allow for NOSTDERR
##### 2002/08/13 #####
	graphics/widgets/flags.py 1.23 johnprecedo  Fixed Star() so that it behaves in the same way as StarFive in markers. Added the Brazilian flag while I was here (contributed by Publio da Costa Melo [publio@planetarium.com.br]).
	graphics/widgets/markers.py 1.13 rgbecker  Added StarFive, FilledStarFive and fixed rotations
##### 2002/08/12 #####
	graphics/widgets/grids.py 1.28 rgbecker  Fix up 2.2'ism lambda
##### 2002/08/11 #####
	graphics/widgets/grids.py 1.27 rgbecker  Experimental ShadedPolygon added
	graphics/shapes.py 1.80 rgbecker  Experimental ShadedPolygon added
##### 2002/08/10 #####
	docs/graphguide/ch1_intro.py 1.7 dragan1  Changed email address to reportlab-users@reportlab.com
	docs/userguide/ch1_intro.py 1.10 dragan1  Changed email address to reportlab-users@reportlab.com
	docs/userguide/ch1_intro.py 1.9 dragan1  changed info about mailing list and corrected a couple of dead links to PIL
#################################################################################
#################### RELEASE 1.15 at 14:00 GMT  9/Aug/2002      #################
#################################################################################
##### 2002/08/09 #####
	platypus/tables.py 1.62 rgbecker  Improved line styles, allow for cap etc
##### 2002/08/08 #####
	rl_addons/renderPM/test_renderPM.py 1.5 rgbecker  Experimental stuff
	rl_addons/renderPM/setup.py 1.12 rgbecker  Experimental stuff
	rl_addons/renderPM/_renderPM.c 1.15 rgbecker  Experimental stuff
	graphics/shapes.py 1.79 rgbecker  Added EmptyClipPath and handling
	graphics/renderPM.py 1.22 rgbecker  Added EmptyClipPath and handling
##### 2002/08/01 #####
	rl_addons/renderPM/_renderPM.c 1.14 rgbecker  Minor cosmetic changes for gcc
	test/test_renderSVG.py 1.6 dinu_gherman  Hopefully replaced errors with warnings in case of non-existant XML parser.
##### 2002/07/31 #####
	lib/validators.py 1.24 rgbecker  Added isShape & isNoneOrShape
	lib/attrmap.py 1.7 rgbecker  Allow for multiple BASEs
	graphics/charts/lineplots.py 1.34 rgbecker  Added areas.PlotArea for chart plot areas
	graphics/charts/linecharts.py 1.25 rgbecker  Added areas.PlotArea for chart plot areas
	graphics/charts/barcharts.py 1.68 rgbecker  Added areas.PlotArea for chart plot areas
	graphics/charts/areas.py 1.1 rgbecker  Added areas.PlotArea for chart plot areas
##### 2002/07/30 #####
	graphics/charts/barcharts.py 1.67 rgbecker  added in Dirk Datzert's bg contrib
	test/test_pdfbase_ttfonts.py 1.5 mgedmin  Allow use of a TTFont on different documents at the same time
	pdfgen/textobject.py 1.26 mgedmin  Allow use of a TTFont on different documents at the same time
	pdfbase/ttfonts.py 1.5 mgedmin  Allow use of a TTFont on different documents at the same time
##### 2002/07/29 #####
	pdfgen/canvas.py 1.105 mgedmin  _dynamicFont should be saved/restored together with _fontname
	rl_addons/renderPM/setup.py 1.11 rgbecker  Attempt to fix string macro problem
##### 2002/07/27 #####
	graphics/widgetbase.py 1.33 rgbecker  Allow for multicolour single data barcharts
	graphics/charts/barcharts.py 1.66 rgbecker  Allow for multicolour single data barcharts
##### 2002/07/26 #####
	graphics/charts/barcharts.py 1.65 rgbecker  Make format allow callable not just function
##### 2002/07/25 #####
	docs/userguide/ch2a_fonts.py 1.7 dinu_gherman  Fixed '<', '>' buglets...
	docs/userguide/ch1_intro.py 1.8 dinu_gherman  Fixed '&' buglet.
##### 2002/07/24 #####
	__init__.py 1.22 andy_robinson  Removed all trailing whitespace
	pdfbase/ttfonts.py 1.3 andy_robinson  Marius' path for non-standard TrueType files
	rl_addons/renderPM/_renderPM.c 1.13 rgbecker  Rendering fixes & changes for Dinu's image shape
	graphics/shapes.py 1.77 rgbecker  Changes for Dinu's image shape
	graphics/renderPM.py 1.20 rgbecker  Changes for Dinu's image shape
##### 2002/07/21 #####
	pdfbase/pdfdoc.py 1.68 andy_robinson  Fixed page stream filter order (Thanks Bernhard) Fixed encoding of renderPS export
	lib/codecharts.py 1.6 andy_robinson  Fixed page stream filter order (Thanks Bernhard) Fixed encoding of renderPS export
	graphics/renderPS.py 1.19 andy_robinson  Fixed page stream filter order (Thanks Bernhard) Fixed encoding of renderPS export
##### 2002/07/17 #####
	tools/docco/graphdocpy.py 1.18 andy_robinson  Graphdocpy now works on unix and Windows (for me anyway...)
	demos/odyssey/dodyssey.py 1.12 andy_robinson  Exterminated all tab characters and added a test to make sure they never come back.
	rl_addons/renderPM/_renderPM.c 1.12 rgbecker  Preliminary work on _aapixbuf
	lib/codecharts.py 1.5 andy_robinson  Fixed standard fonts demo, added a basic code page graphic
	demos/stdfonts/stdfonts.py 1.11 andy_robinson  Fixed standard fonts demo, added a basic code page graphic
##### 2002/07/16 #####
	rl_addons/renderPM/setup.py 1.10 rgbecker  Sync with Gnome libart_lgpl 2.3.10
	rl_addons/renderPM/_renderPM.c 1.11 rgbecker  Sync with Gnome libart_lgpl 2.3.10
##### 2002/07/15 #####
	graphics/charts/barcharts.py 1.62 rgbecker  Attempt to eliminate silly libart bug appearing
##### 2002/07/12 #####
	platypus/doctemplate.py 1.55 andy_robinson  Fixed missing fact in progressCallBack
##### 2002/07/10 #####
	rl_addons/renderPM/setup.py 1.9 dinu_gherman  Added 'darwin' to list of known platforms.
	graphics/renderSVG.py 1.10 dinu_gherman  Added comment on svglib.
##### 2002/07/09 #####
	platypus/doctemplate.py 1.54 rgbecker  Andy's progress stuff
##### 2002/07/07 #####
	platypus/doctemplate.py 1.53 andy_robinson  Provision for callback progress monitoring in basic doctemplate class
##### 2002/07/04 #####
	test/utils.py 1.6 dinu_gherman  Slightly refactored test suite to do the same thing with less code.
##### 2002/07/03 #####
	graphics/charts/legends.py 1.21 rgbecker  Minor efficiency saving
	graphics/shapes.py 1.75 rgbecker  Changes to allow flaky _drawTimeResize
	graphics/renderbase.py 1.12 rgbecker  Changes to allow flaky _drawTimeResize
	graphics/renderSVG.py 1.9 rgbecker  Changes to allow flaky _drawTimeResize
	graphics/renderPS.py 1.17 rgbecker  Changes to allow flaky _drawTimeResize
	graphics/renderPM.py 1.18 rgbecker  Changes to allow flaky _drawTimeResize
	graphics/renderPDF.py 1.19 rgbecker  Changes to allow flaky _drawTimeResize
##### 2002/07/02 #####
	pdfbase/ttfonts.py 1.2 dinu_gherman  Applied Marius' patch for TrueType fonts converted from OS X .dfont files.
##### 2002/07/01 #####
	lib/colors.py 1.33 rgbecker  Added Color.hexval
	graphics/charts/piecharts.py 1.21 rgbecker  Keep proper sequece for zero wedges
##### 2002/06/21 #####
	graphics/renderSVG.py 1.8 dinu_gherman  Added outer rectangular clipping path.
##### 2002/06/20 #####
	pdfbase/pdfpattern.py 1.1 aaron_watters  simple support for acrobat forms in reportlab documents.  Minor optimizations to metrics
	pdfbase/pdfmetrics.py 1.54 aaron_watters  simple support for acrobat forms in reportlab documents.  Minor optimizations to metrics
	pdfbase/pdfform.py 1.1 aaron_watters  simple support for acrobat forms in reportlab documents.  Minor optimizations to metrics
	lib/colors.py 1.32 rgbecker  Added Whiter, Blacker and improved toColor
	platypus/tables.py 1.59 rgbecker  Use of _SeqTypes here was wrong use callability instead
	test/test_platypus_general.py 1.8 rgbecker  Added -debug option
##### 2002/06/18 #####
	graphics/widgets/grids.py 1.24 rgbecker  Avoid changing definition in _flipRectCorners
	platypus/tables.py 1.58 rgbecker  added vcallable backgrounds
##### 2002/06/16 #####
	lib/colors.py 1.31 rgbecker  Added setColors fixed toColor
##### 2002/06/14 #####
	test/test_renderSVG.py 1.3 andy_robinson  Fixed 1.5-breakage (we imported sys.version_info which did not exist then) and also a nad directory in test_renderSVG
	pdfbase/pdfdoc.py 1.66 andy_robinson  Fixed 1.5-breakage (we imported sys.version_info which did not exist then) and also a nad directory in test_renderSVG
	platypus/frames.py 1.16 rgbecker  Allow showBoundary to be a color/tuple etc
##### 2002/06/12 #####
	graphics/charts/legends.py 1.20 rgbecker  Added callout and _calcHeight
	lib/utils.py 1.34 rgbecker  Fix erroneous __path__ attribute reference
	graphics/charts/axes.py 1.56 rgbecker  Allow per/label visibility
##### 2002/06/04 #####
	graphics/renderSVG.py 1.7 rgbecker  Apparent fix for transform problem
##### 2002/06/03 #####
	test/test_widgets_grids.py 1.1 dinu_gherman  Initial checkin. Transferred test code from widgets/grids.py.
	graphics/widgets/grids.py 1.23 dinu_gherman  Removed test and sample code (soon in test suite).
	test/test_renderSVG.py 1.2 dinu_gherman  Removed stray reference to renderSVG3.
	graphics/renderSVG.py 1.6 dinu_gherman  Added newline before svg document element.
	test/test_renderSVG.py 1.1 dinu_gherman  Initial checkin.
##### 2002/05/31 #####
	graphics/renderSVG.py 1.5 dinu_gherman  Load minidom specifically (pleasing Jython).
##### 2002/05/29 #####
	test/test_tools_pythonpoint.py 1.7 rgbecker  Improved for Demo
#################################################################################
#################### RELEASE 1.14 at 18:00 GMT 28/May/2002      #################
#################################################################################
##### 2002/05/28 #####
	fonts/rina.ttf 1.2 rgbecker  Readded with -kb
	fonts/luxiserif.ttf 1.2 rgbecker  Readded with -kb
	pdfbase/ttfonts.py 1.1 rgbecker  Added Marius Gedminas' TTF support
	graphics/renderPS.py 1.16 rgbecker  Stray StringIO change to getvalue()
	tools/docco/stylesheet.py 1.2 rgbecker  Added Marius Gedminas' TTF support
	tools/docco/examples.py 1.2 rgbecker  Added Marius Gedminas' TTF support
	test/test_pdfbase_ttfonts.py 1.1 rgbecker  Added Marius Gedminas' TTF support
	rl_config.py 1.32 rgbecker  Added Marius Gedminas' TTF support
	pdfgen/textobject.py 1.23 rgbecker  Added Marius Gedminas' TTF support
	pdfgen/canvas.py 1.103 rgbecker  Added Marius Gedminas' TTF support
	pdfbase/pdfdoc.py 1.65 rgbecker  Added Marius Gedminas' TTF support
	fonts/rina_license.txt 1.1 rgbecker  Added Marius Gedminas' TTF support
	fonts/rina.ttf 1.1 rgbecker  Added Marius Gedminas' TTF support
	fonts/luxiserif_license.txt 1.1 rgbecker  Added Marius Gedminas' TTF support
	fonts/luxiserif.ttf 1.1 rgbecker  Added Marius Gedminas' TTF support
	docs/userguide/ch2a_fonts.py 1.4 rgbecker  Added Marius Gedminas' TTF support
	docs/userguide/ch1_intro.py 1.6 rgbecker  Added Marius Gedminas' TTF support
##### 2002/05/27 #####
	pdfbase/pdfdoc.py 1.64 dinu_gherman  Added skipped comment to Jython workaround.
	docs/graphguide/ch2_concepts.py 1.4 dinu_gherman  Added SVG blurb.
##### 2002/05/26 #####
	lib/setup.py 1.12 dinu_gherman  Added 'darwin' to list of known platforms.
##### 2002/05/24 #####
	test/test_platypus_general.py 1.7 dinu_gherman  Filtered Image flowable if no PIL available.
	pdfbase/pdfmetrics.py 1.53 dinu_gherman  Fixed font filename extension case buglets on OS X.
	graphics/widgets/markers.py 1.10 rgbecker  Added kw args to Flag and MArker classes
	graphics/widgets/flags.py 1.20 rgbecker  Added kw args to Flag and MArker classes
	graphics/charts/lineplots.py 1.31 rgbecker  Added ScatterPlot
	test/test_pyfiles.py 1.8 dinu_gherman  Disabled some tests using os.chdir when running on Jython.
	test/test_extra.py 1.4 dinu_gherman  Disabled some tests using os.chdir when running on Jython.
	test/test_docstrings.py 1.8 dinu_gherman  Disabled some tests using os.chdir when running on Jython.
	test/test_docs_build.py 1.3 dinu_gherman  Disabled some tests using os.chdir when running on Jython.
	test/test_tools_pythonpoint.py 1.6 dinu_gherman  Simplified and removed os.system() calls.
	test/test_graphics_images.py 1.3 dinu_gherman  Simplified code.
	test/test_pdfgen_general.py 1.13 dinu_gherman  Test case now handles absence of PIL more gracefully.
	test/test_lib_validators.py 1.6 dinu_gherman  'Typed' arguments to % operator, removes Jython complaints.
	pdfbase/pdfdoc.py 1.63 rgbecker  Added Dinu's Jython 2.1 workaround
##### 2002/05/23 #####
	pdfbase/pdfutils.py 1.31 rgbecker  Remove stringio reset
	graphics/charts/piecharts.py 1.20 rgbecker  Added LegendedPie
##### 2002/05/22 #####
	demos/odyssey/odyssey.txt 1.9 rgbecker  Fixed bad tag
	demos/odyssey/dodyssey.py 1.11 rgbecker  Test framework
	graphics/renderSVG.py 1.4 dinu_gherman  Removed dependency on PyXML. Now should use only std. lib. XML modules.
##### 2002/05/21 #####
	graphics/charts/lineplots.py 1.30 rgbecker  Added GridLinePlot
	graphics/charts/axes.py 1.55 rgbecker  Added AdjYValueAxis
	graphics/renderSVG.py 1.3 dinu_gherman  Removed tests depending on additional local files.
##### 2002/05/17 #####
	graphics/renderPDF.py 1.18 dinu_gherman  Made 'msg' in drawToFile() a keyword parameter with default "".
##### 2002/05/16 #####
	test/test_graphics_images.py 1.2 dinu_gherman  Added more tests, changed output file name.
##### 2002/05/15 #####
	graphics/renderSVG.py 1.2 andy_robinson  2.1 compatible
	test/test_graphics_images.py 1.1 dinu_gherman  Initial check-in.
	graphics/shapes.py 1.74 dinu_gherman  Added Images shape class, currently only rendered in PDF.
	graphics/renderbase.py 1.11 dinu_gherman  Added Images shape class, currently only rendered in PDF.
	graphics/renderPDF.py 1.17 dinu_gherman  Added Images shape class, currently only rendered in PDF.
##### 2002/05/13 #####
	rl_addons/pyRXP/examples/doc_examples.py 1.3 rgbecker  Fixed stupid extra '
##### 2002/05/12 #####
	graphics/renderSVG.py 1.1 dinu_gherman  Initial checkin.
##### 2002/05/11 #####
	rl_addons/pyRXP/examples/doc_examples.py 1.2 rgbecker  Fix bad quote chars
##### 2002/05/10 #####
	pdfbase/pdfdoc.py 1.62 aaron_watters  backwards compatible name
##### 2002/05/08 #####
	tools/pythonpoint/pythonpoint.py 1.15 dinu_gherman  Reintroduced lost changes up to revision 1.13.
	tools/pythonpoint/stdparser.py 1.8 dinu_gherman  Bugfix, now also fills polygons.
	tools/pythonpoint/pythonpoint.py 1.14 dinu_gherman  Bugfix, now also fills polygons.
	lib/PyFontify.py 1.3 dinu_gherman  Added new Python keyword "as".
##### 2002/05/03 #####
	rl_addons/pyRXP/setup.py 1.6 rgbecker  Added linux2 to LIBS=[] case
##### 2002/04/30 #####
	graphics/charts/axes.py 1.54 rgbecker  Keep calculated max/min separate
##### 2002/04/29 #####
	docs/genAll.py 1.8 rgbecker  Allow for varying locations
	docs/genAll.py 1.7 rgbecker  Added pyRXP Documentation
	rl_addons/pyRXP/filelist.txt 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/xmlutils.py 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/tinydtd.dtd 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/sample4.xml 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/sample3.xml 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/sample2.xml 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/sample1.xml 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/rml_a.xml 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/rml_a.dtd 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/play.dtd 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/hamlet.xml 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/expattree.py 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/doc_examples.py 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/benchmarks.py 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/examples/00readme.txt 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/docs/replogo.gif 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/docs/PyRXP_Documentation.rml 1.1 rgbecker  Initial version after moving from users/john
	rl_addons/pyRXP/PROJECT_CVS_TAG 1.1 rgbecker  Initial version after moving from users/john
##### 2002/04/25 #####
	platypus/tables.py 1.57 andy_robinson  Jim Kraai's patch to preserve auto col width on subsequent pages when table split
##### 2002/04/18 #####
	rl_addons/pyRXP/pyRXP.c 1.7 rgbecker  Move to version 0.7
	rl_addons/pyRXP/rxp/input.c 1.3 rgbecker  Was wrong to delete entity with source
	rl_addons/pyRXP/pyRXP.c 1.6 rgbecker  Was wrong to delete entity with source
	rl_addons/pyRXP/test/leaktest.py 1.1 rgbecker  Initial version
	rl_addons/pyRXP/pyRXP.c 1.5 rgbecker  Changes made in pursuit of leaks
	rl_addons/pyRXP/rxp/system.h 1.3 rgbecker  Changes made in pursuit of leaks
	rl_addons/pyRXP/rxp/system.c 1.2 rgbecker  Changes made in pursuit of leaks
	rl_addons/pyRXP/rxp/input.c 1.2 rgbecker  Changes made in pursuit of leaks
	rl_addons/pyRXP/rxp/dtd.c 1.2 rgbecker  Changes made in pursuit of leaks
##### 2002/04/17 #####
	rl_addons/pyRXP/pyRXP.c 1.4 rgbecker  Made srcName a PyObject*, fixed parse attributes
	rl_addons/pyRXP/setup.py 1.5 rgbecker  I think DLLs is the proper place for pyds etc
	rl_addons/pyRXP/test/t.py 1.2 rgbecker  Added some more tests
	rl_addons/pyRXP/pyRXP.c 1.3 rgbecker  Added ReturnList attribute, parse keyword args and __call__==parse! pyRXP.c
##### 2002/04/16 #####
	graphics/renderPDF.py 1.16 rgbecker  Fix Dinu's empty ellipse buglet in renderPDF
##### 2002/04/13 #####
	lib/utils.py 1.33 rgbecker  This seems adequate if we avoid Dinuisms like writing to initialised StringIOs
	tools/docco/graphdocpy.py 1.16 rgbecker  Silly StringIO initialisation removed
	lib/utils.py 1.32 rgbecker  Ensure initialised cStringIO instances are rewound
	tools/docco/rl_doc_utils.py 1.3 rgbecker  Remove excess import
	pdfgen/canvas.py 1.102 rgbecker  Remove excess import
	tools/pythonpoint/pythonpoint.py 1.13 rgbecker  Use general StringIO instance interface
	tools/docco/graphdocpy.py 1.15 rgbecker  Use general StringIO instance interface
	pdfgen/pdfimages.py 1.15 rgbecker  Use general StringIO instance interface
	pdfbase/pdfutils.py 1.30 rgbecker  Use general StringIO instance interface
	graphics/renderPS.py 1.15 rgbecker  Use general StringIO instance interface
	graphics/renderPM.py 1.17 rgbecker  Use generalised StringIO instance interface
	lib/utils.py 1.31 rgbecker  use generalised StringIO instance interface
	graphics/shapes.py 1.73 rgbecker  Minor optimisations
	pdfbase/pdfdoc.py 1.61 rgbecker  Another go at Jerome's patch
##### 2002/04/12 #####
	pdfbase/pdfdoc.py 1.60 rgbecker  Jerome Alet's auto transparency patch
	pdfbase/pdfdoc.py 1.59 rgbecker  Use open_for_read with images
	lib/utils.py 1.30 rgbecker  Added open_for_read
	rl_addons/pyRXP/setup.py 1.4 rgbecker  Be friendly about LIBS
##### 2002/04/11 #####
	graphics/charts/lineplots.py 1.29 rgbecker  Ragged length fix from Joe Pallas
	graphics/charts/linecharts.py 1.22 rgbecker  Ragged length fix from Joe Pallas
##### 2002/04/09 #####
	test/test_pdfbase_fontembed.py 1.7 johnprecedo  Expanded so it does a 'makeWidthTestForAllGlyphs' for at least one embedded font - this makes sure that we're getting ascent/descent info for embedded fonts as well as the standard ones.
	test/test_pdfbase_pdfmetrics.py 1.8 johnprecedo  Now tests for presence of ascent/descent.
	pdfbase/pdfmetrics.py 1.52 johnprecedo  Hacked to use ascent and descent properly. (Patch from Jon Dyte [jon@totient.demon.co.uk])
##### 2002/04/06 #####
	tools/pythonpoint/stdparser.py 1.7 rgbecker  Attempt import from here and styles
	tools/pythonpoint/stdparser.py 1.6 rgbecker  Was correct before, error in imputils vs 2.2
	tools/pythonpoint/stdparser.py 1.5 rgbecker  No customshapes in styles
##### 2002/04/01 #####
	rl_addons/pyRXP/setup.py 1.3 rgbecker  Added darwini for Andy
##### 2002/03/29 #####
	pdfgen/canvas.py 1.101 rgbecker  Jerome's final correction
	pdfgen/canvas.py 1.100 rgbecker  Really fix digestion
##### 2002/03/28 #####
	pdfgen/canvas.py 1.99 rgbecker  Hexdigest fix for 1.5.2
#################################################################################
#################### RELEASE 1.13 at 15:00 GMT 27/March/2002    #################
#################################################################################
##### 2002/03/27 #####
	lib/utils.py 1.29 rgbecker  Add DebugMemo __g/setitem__
	pdfbase/pdfdoc.py 1.58 rgbecker  revert to older internal name for backward compatibility
	platypus/tableofcontents.py 1.6 rgbecker  Added __version__
	platypus/figures.py 1.2 rgbecker  Added __version__
	lib/yaml.py 1.3 rgbecker  Added __version__
	rl_config.py 1.31 rgbecker  Added __version__
	lib/validators.py 1.21 rgbecker  Added __version__
	lib/normalDate.py 1.5 rgbecker  Added __version__
	lib/attrmap.py 1.4 rgbecker  Added __version__
	lib/abag.py 1.6 rgbecker  Added __version__
##### 2002/03/26 #####
	graphics/widgets/signsandsymbols.py 1.20 rgbecker  Added __version__
	graphics/widgets/flags.py 1.19 rgbecker  Added __version__
	graphics/widgets/__init__.py 1.3 rgbecker  Added __version__
	graphics/widgetbase.py 1.30 rgbecker  Added __version__
	graphics/shapes.py 1.72 rgbecker  Added __version__
	graphics/charts/textlabels.py 1.24 rgbecker  Added __version__
	graphics/charts/piecharts.py 1.19 rgbecker  Added __version__
	graphics/charts/lineplots.py 1.28 rgbecker  Added __version__
	graphics/charts/linecharts.py 1.21 rgbecker  Added __version__
	graphics/charts/legends.py 1.19 rgbecker  Added __version__
	graphics/charts/barcharts.py 1.61 rgbecker  Added __version__
	graphics/charts/axes.py 1.53 rgbecker  Added __version__
	graphics/charts/__init__.py 1.3 rgbecker  Added __version__
	graphics/renderPDF.py 1.15 rgbecker  Added __version__
	graphics/__init__.py 1.3 rgbecker  Added __version__
	graphics/widgets/markers.py 1.9 rgbecker  Fix versioning again :(
	graphics/widgets/grids.py 1.22 rgbecker  Fix versioning again :(
	graphics/charts/utils.py 1.7 rgbecker  Fix versioning again :(
	graphics/charts/markers.py 1.7 rgbecker  Fix versioning again :(
	graphics/widgets/markers.py 1.8 rgbecker  Fix versioning
	graphics/widgets/grids.py 1.21 rgbecker  Fix versioning
	graphics/charts/utils.py 1.6 rgbecker  Fix versioning
	graphics/charts/markers.py 1.6 rgbecker  Fix versioning
	graphics/widgets/markers.py 1.7 rgbecker  Headers+versioning
	graphics/widgets/grids.py 1.20 rgbecker  Headers+versioning
	graphics/charts/utils.py 1.5 rgbecker  Headers+versioning
	graphics/charts/markers.py 1.5 rgbecker  Headers+versioning
##### 2002/03/25 #####
	tools/pythonpoint/pythonpoint.py 1.12 andy_robinson  modified to use drawImage throughout
	tools/py2pdf/demo.py 1.2 andy_robinson  modified to use drawImage throughout
	tools/docco/rltemplate.py 1.2 andy_robinson  modified to use drawImage throughout
	platypus/flowables.py 1.29 andy_robinson  modified to use drawImage throughout
	pdfbase/pdfdoc.py 1.57 andy_robinson  modified to use drawImage throughout
	demos/rlzope/rlzope.py 1.3 andy_robinson  modified to use drawImage throughout
	test/test_pdfgen_general.py 1.12 andy_robinson  Slimmed down to a single drawImage function
	pdfgen/canvas.py 1.98 andy_robinson  Slimmed down to a single drawImage function
	docs/userguide/ch2_graphics.py 1.7 andy_robinson  Slimmed down to a single drawImage function
##### 2002/03/23 #####
	pdfgen/canvas.py 1.97 andy_robinson  expanded docco and fixed 'natural size'
	pdfbase/pdfdoc.py 1.56 andy_robinson  expanded docco and fixed 'natural size'
	docs/userguide/ch2_graphics.py 1.6 andy_robinson  expanded docco and fixed 'natural size'
	test/test_pdfgen_general.py 1.11 andy_robinson  Image XObjects added at last!
	rl_addons/pyRXP/setup.py 1.2 rgbecker  Fix for Python 2.2 install location
	rl_addons/renderPM/setup.py 1.8 rgbecker  Fix for Python 2.2 install location
	lib/setup.py 1.11 rgbecker  Fixed to work with 2.2
	lib/attrmap.py 1.3 rgbecker  Fixed to work with 2.2
##### 2002/03/22 #####
	lib/formatters.py 1.5 rgbecker  Fixed up zero places case
	rl_addons/pyRXP/pyRXP.c 1.2 rgbecker  Fixed stupid buglet
	lib/formatters.py 1.4 rgbecker  Fixe broken carry for 5% of cases
	lib/utils.py 1.28 rgbecker  Changes to DebugMemo.__doc__
	rl_addons/pyRXP/test/tpyRXP.py 1.1 rgbecker  Working versions
	rl_addons/pyRXP/test/t.py 1.1 rgbecker  Working versions
	lib/utils.py 1.27 rgbecker  Slight formatting improvements & added payload method
	rl_addons/pyRXP/setup.py 1.1 rgbecker  Transferred to SF
	rl_addons/pyRXP/pyRXP.c 1.1 rgbecker  Transferred to SF
	rl_addons/pyRXP/patches/rl-1.2.5.patch 1.1 rgbecker  Transferred to SF
	rl_addons/pyRXP/patches/differ.bat 1.1 rgbecker  Transferred to SF
	rl_addons/pyRXP/README 1.1 rgbecker  Transferred to SF
	rl_addons/pyRXP/rxp/xmlparser.h 1.2 rgbecker  Changes needed to support pyRXP
	rl_addons/pyRXP/rxp/xmlparser.c 1.2 rgbecker  Changes needed to support pyRXP
	rl_addons/pyRXP/rxp/system.h 1.2 rgbecker  Changes needed to support pyRXP
	rl_addons/pyRXP/rxp/stdio16.c 1.2 rgbecker  Changes needed to support pyRXP
	rl_addons/pyRXP/rxp/rxp.1 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/rxp.1 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/Threads 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/Threads 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/Manual 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/Manual 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/RELNOTES 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/RELNOTES 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/COPYRIGHT 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/COPYRIGHT 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/COPYING 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/COPYING 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/version.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/version.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/system.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/system.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/stdio16.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/stdio16.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/rxputil.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/rxputil.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/namespaces.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/namespaces.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/input.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/input.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/infoset-print.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/infoset-print.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/http.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/http.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/hash.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/hash.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/Makefile 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/Makefile 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/xmlparser.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/xmlparser.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/url.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/url.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/string16.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/string16.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/infoset-print.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/infoset-print.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/dtd.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/dtd.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/ctype16.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/ctype16.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/charset.h 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/charset.h 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/version.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/version.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/namespaces.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/namespaces.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/http.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/http.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/hash.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/hash.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/system.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/system.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/stdio16.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/stdio16.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/input.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/input.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/dtd.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/dtd.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/ctype16.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/ctype16.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/url.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/url.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/string16.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/string16.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/charset.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/charset.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/xmlparser.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/xmlparser.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
	rl_addons/pyRXP/rxp/rxp.c 1.1 rgbecker  Initial revision
	rl_addons/pyRXP/rxp/rxp.c 1.1.1.1 rgbecker  Import of rxp-1.2.5
##### 2002/03/21 #####
	utils/headerlines.py 1.1 rgbecker  Initial version
	lib/utils.py 1.26 rgbecker  Added DebugMemo stuff
##### 2002/03/18 #####
	lib/utils.py 1.25 rgbecker  Small fp_str fixes
	lib/_rl_accel.c 1.27 rgbecker  Small fp_str fixes
	platypus/tables.py 1.56 rgbecker  Fix up styles vs data dimensions mismatching
##### 2002/03/15 #####
	platypus/tables.py 1.55 rgbecker  Fix AttributeError; thanks David Horkoff <dhorkoff@genusrmt.ca>
	lib/_rl_accel.c 1.26 rgbecker  Maybe fix for Jerome Alet's fp_str bug
	platypus/tables.py 1.54 rgbecker  Added emptyTableAction
	rl_config.py 1.30 rgbecker  Added emptyTableAction
	platypus/__init__.py 1.13 rgbecker  Add PageBegin to pkg exports
##### 2002/03/14 #####
	graphics/charts/axes.py 1.52 rgbecker  Attempt to fix overspecification problems
##### 2002/03/12 #####
	utils/daily.py 1.53 rgbecker  rl_config._verbose ==> verbose
	tools/pythonpoint/pythonpoint.py 1.11 rgbecker  rl_config._verbose ==> verbose
	tools/docco/graphdocpy.py 1.14 rgbecker  rl_config._verbose ==> verbose
	platypus/doctemplate.py 1.52 rgbecker  rl_config._verbose ==> verbose
	pdfbase/pdfutils.py 1.29 rgbecker  rl_config._verbose ==> verbose
	rl_config.py 1.29 rgbecker  rl_config._verbose ==> verbose
	graphics/shapes.py 1.71 rgbecker  rl_config._verbose ==> verbose
	rl_addons/renderPM/test_renderPM.py 1.4 rgbecker  Add new test
	rl_addons/renderPM/setup.py 1.7 rgbecker  Add aix4
	pdfgen/pdfimages.py 1.14 rgbecker  Remove excess whitespace
	lib/normalDate.py 1.4 rgbecker  Bauer's patch for 2.2 compat
##### 2002/03/10 #####
	tools/docco/inspect.py 1.3 rgbecker  Removed e acute as Dinu test doesn't like it
	tools/pythonpoint/stdparser.py 1.4 rgbecker  Removed 2.0 ism
##### 2002/03/05 #####
	README 1.9 rgbecker  Testing change only
##### 2002/03/02 #####
	tools/docco/graphdocpy.py 1.13 rgbecker  Slight clean up of option setting
	tools/docco/inspect.py 1.2 rgbecker  2.1 version
##### 2002/03/01 #####
	tools/docco/README 1.1 johnprecedo  Checked in a readme warning the users that some of these are obsolete.
	test/test_tools_pythonpoint.py 1.5 rgbecker  Fix up quoting for spaces in paths case on win32
#################################################################################
#################### RELEASE 1.12 at 17:00 GMT 28/February/2002 #################
#################################################################################
##### 2002/02/28 #####
	lib/units.py 1.4 rgbecker  Added picas/mm
##### 2002/02/27 #####
	tools/pythonpoint/pythonpoint.py 1.10 andy_robinson  Jerome Alet's patch checked in
	graphics/charts/lineplots.py 1.27 rgbecker  Fixed linelabels
	graphics/charts/linecharts.py 1.20 rgbecker  Fixed linelabels
##### 2002/02/21 #####
	lib/_rl_accel.c 1.25 rgbecker  SCAV's hp compiler fix
	pdfbase/pdfmetrics.py 1.51 rgbecker  MAC AFM files fix from Niki Spahiev
##### 2002/02/19 #####
	demos/rlzope/rlzope.py 1.2 andy_robinson  changed to comply with test suite - removed an é from a comment. Sorry, Jerome :-)
##### 2002/02/14 #####
	pdfbase/pdfdoc.py 1.55 rgbecker  Fix error messages for unsatisfied bookmarks
##### 2002/02/13 #####
	docs/userguide/ch1_intro.py 1.5 andy_robinson  Expanded acknowledgements
	README 1.8 andy_robinson  Expanded acknowledgements
	lib/normalDate.py 1.3 aaron_watters  added acknowledgement of authorship and Jeff's request.
	tools/pythonpoint/styles/__init__.py 1.2 rgbecker  Ensure non-zero length
	tools/pythonpoint/__init__.py 1.2 rgbecker  Ensure non-zero length
	tools/py2pdf/__init__.py 1.2 rgbecker  Ensure non-zero length
	tools/docco/__init__.py 1.2 rgbecker  Ensure non-zero length
	tools/__init__.py 1.2 rgbecker  Ensure non-zero length
	demos/rlzope/rlzope.py 1.1 rgbecker  Thanks Jerome Alet for this demo
	demos/rlzope/readme.txt 1.1 rgbecker  Thanks Jerome Alet for this demo
	platypus/doctemplate.py 1.51 rgbecker  Allow non-save builds
##### 2002/02/05 #####
	tools/docco/graphdocpy.py 1.12 rgbecker  Remove explicit dependence on renderPM
##### 2002/02/04 #####
	graphics/charts/linecharts.py 1.19 rgbecker  Fixed grid bugs found by <picodello@yahoo.it>
	graphics/charts/barcharts.py 1.60 rgbecker  Fixed grid bugs found by <picodello@yahoo.it>
	graphics/charts/axes.py 1.51 rgbecker  Fixed grid bugs found by <picodello@yahoo.it>
##### 2002/02/03 #####
	test/test_platypus_general.py 1.6 andy_robinson  Added callbacks throughout
	test/test_pdfgen_general.py 1.10 andy_robinson  Added callbacks throughout
	test/test_pdfgen_callback.py 1.1 andy_robinson  Added callbacks throughout
	platypus/doctemplate.py 1.50 andy_robinson  Added callbacks throughout
	pdfgen/canvas.py 1.96 andy_robinson  Added callbacks throughout
	tools/pythonpoint/pythonpoint.py 1.9 andy_robinson  The test suite is now totally silent
	test/test_tools_pythonpoint.py 1.4 andy_robinson  The test suite is now totally silent
	docs/genAll.py 1.6 andy_robinson  The test suite is now totally silent
##### 2002/01/28 #####
	graphics/widgetbase.py 1.29 rgbecker  Allow for group indeces
	platypus/tables.py 1.53 rgbecker  Seems userguide likes to play with split directly
##### 2002/01/24 #####
	platypus/tables.py 1.52 rgbecker  Copy alignments accross split (thanks Rüdiger Mähl <ruediger.maehl@web.de>
##### 2002/01/21 #####
	utils/cvslh.py 1.6 rgbecker  Minor formatting change
##### 2002/01/19 #####
	utils/cvslh.py 1.5 rgbecker  New enhanced cvslh
	utils/cvs_status.py 1.3 rgbecker  New enhanced cvslh
	utils/README 1.13 rgbecker  New enhanced cvslh
##### 2002/01/18 #####
	platypus/tables.py 1.51 rgbecker  Propagate font properties to Flowable cells
	platypus/flowables.py 1.28 rgbecker  Added _drawOn method
	platypus/tableofcontents.py 1.5 rgbecker  Propogate the canvas
	platypus/tables.py 1.50 rgbecker  Ensure canv is set on sub flowables
	platypus/flowables.py 1.27 rgbecker  Introduce wrapOn & splitOn
	platypus/flowables.py 1.26 rgbecker  Added api instructions
##### 2002/01/17 #####
	lib/utils.py 1.24 rgbecker  Added path functionality to Andy's recursive import thing
	platypus/tables.py 1.49 rgbecker  Don't need the canvas state save
	platypus/tables.py 1.48 rgbecker  Destructive rendering bug fixed
	platypus/flowables.py 1.25 rgbecker  Attempted fix of split before wrap
	graphics/charts/legends.py 1.18 rgbecker  Andy Amply saw this ascent scale bug
	graphics/charts/barcharts.py 1.59 rgbecker  Fixed chart strokeWidth buglet, allow for no background
	graphics/shapes.py 1.70 rgbecker  Skip None when adding/inserting nodes. Eases optimisation
	pdfbase/pdfmetrics.py 1.50 rgbecker  Improved AFM error handling
##### 2001/12/27 #####
	lib/colors.py 1.30 rgbecker  Added knockout CMYK support
##### 2001/12/24 #####
	README 1.7 andy_robinson  Made the text version-independent :-)
##### 2001/12/20 #####
	docs/userguide/genuserguide.py 1.10 rgbecker  Added --outdir=option
	tools/pythonpoint/pythonpoint.py 1.8 rgbecker  Added --outdir=option
##### 2001/12/19 #####
	platypus/flowables.py 1.24 rgbecker  Allow for various Image kinds
	pdfgen/canvas.py 1.95 aaron_watters  stack state optimization
##### 2001/12/18 #####
	graphics/charts/barcharts.py 1.58 rgbecker  Set rangeRound to standard default behaviour
	graphics/charts/axes.py 1.50 rgbecker  Set rangeRound to standard default behaviour
##### 2001/12/17 #####
	graphics/charts/axes.py 1.49 rgbecker  allow for range rounding
	lib/formatters.py 1.3 rgbecker  Allow for trailing junk removal
#################################################################################
#################### RELEASE 1.11 at 14:00 GMT 12/December/2001 #################
#################################################################################
##### 2001/12/12 #####
	utils/daily.py 1.52 rgbecker
		 Rely on existing files in the HTML area
##### 2001/12/11 #####
	docs/userguide/genuserguide.py 1.9 rgbecker
		 Fix misspelling
	docs/userguide/genuserguide.py 1.8 rgbecker
		 Added default page size to run
##### 2001/12/10 #####
	lib/PyFontify.py 1.2 dinu_gherman
		 Moved 2.0 string method to using 1.5.2-style string module.
	graphics/widgets/flags.py 1.18 dinu_gherman
		 Added new flag.
##### 2001/12/08 #####
	lib/pagesizes.py 1.8 andy_robinson
		 portrait/landscape functions fixed
##### 2001/12/07 #####
	utils/daily.py 1.51 rgbecker
		 After debugging on zelaza
	docs/genAll.py 1.5 rgbecker
		 better error reporting
	docs/genAll.py 1.4 rgbecker
		 Added missing sys import
	utils/daily.py 1.50 rgbecker
		 Move to fewer spawnings
	docs/genAll.py 1.3 rgbecker
		 Allow for use in daily.py
##### 2001/12/06 #####
	graphics/widgets/grids.py 1.19 rgbecker
		 Fix frange numerical problems
	graphics/charts/barcharts.py 1.57 rgbecker
		 Added in primitive gridding on Axes and bar charts
	graphics/charts/axes.py 1.48 rgbecker
		 Added in primitive gridding on Axes and bar charts
	graphics/charts/legends.py 1.17 rgbecker
		 Fixed legend to use ascent for vertical centring
	graphics/renderPS.py 1.14 rgbecker
		 made PS polyline fail same as PDF one
##### 2001/12/05 #####
	graphics/charts/textlabels.py 1.23 rgbecker
		 Changes needed for labeldecorator
	graphics/charts/barcharts.py 1.56 rgbecker
		 Changes needed for labeldecorator
##### 2001/12/04 #####
	graphics/charts/legends.py 1.16 rgbecker
		 Fixed up multiline legend text
##### 2001/11/30 #####
	tools/py2pdf/py2pdf.py 1.2 dinu_gherman
		 Fixed top-level function process() to work as expected. And added 'verbose' to list of allowed options.
##### 2001/11/29 #####
	test/test_tools_pythonpoint.py 1.3 rgbecker
		 allow for pythonpoint.exe
	docs/userguide/genuserguide.py 1.7 rgbecker
		 Generate directly to ../docs
	graphics/shapes.py 1.69 rgbecker
		 Added .ps Drawing.save support
##### 2001/11/28 #####
	platypus/tables.py 1.47 rgbecker
		 Fixed case when commands enetered as tuple
	pdfbase/pdfmetrics.py 1.49 rgbecker
		 Added Paul Winkler's extension case patch
	graphics/testshapes.py 1.15 rgbecker
		 Added Paul Winkler's font test
##### 2001/11/27 #####
	platypus/tableofcontents.py 1.4 andy_robinson
		 Missed a checkin
	test/test_platypus_xref.py 1.1 andy_robinson
		 whoops, stray print statement
##### 2001/11/26 #####
	pdfgen/canvas.py 1.94 andy_robinson
		 Better doc string for linkURL
	test/test_pdfgen_general.py 1.9 andy_robinson
		 Link borders now finished
	pdfgen/canvas.py 1.93 andy_robinson
		 Link borders now finished
	tools/docco/graphdocpy.py 1.11 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	tools/docco/docpy.py 1.3 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	test/test_platypus_toc.py 1.7 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	test/test_platypus_paragraphs.py 1.7 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	test/test_platypus_breaking.py 1.3 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	test/test_hello.py 1.1 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	test/test_docs_build.py 1.2 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	test/test_charts_textlabels.py 1.2 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	platypus/tableofcontents.py 1.3 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	platypus/doctemplate.py 1.49 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	lib/tocindex.py 1.8 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	lib/abag.py 1.5 andy_robinson
		 Removed 0 from multiBuild stuff prior to further changes; ensured test suite really does run silently when making manuals.
	test/test_pdfgen_general.py 1.8 andy_robinson
		 Hyperlink borders can be on or off
	pdfgen/canvas.py 1.92 andy_robinson
		 Hyperlink borders can be on or off
	tools/pythonpoint/stdparser.py 1.3 rgbecker
		 More changes to eliminate FS dependencies
	tools/pythonpoint/stdparser.py 1.2 rgbecker
		 Changes to support exe version
	tools/pythonpoint/pythonpoint.py 1.7 rgbecker
		 Changes to support exe version
##### 2001/11/24 #####
	graphics/charts/barcharts.py 1.55 andy_robinson
		 Got rid of += for 1.5.2 compatibility
##### 2001/11/23 #####
	platypus/tables.py 1.46 rgbecker
		 Added _opts to TableStyle for possible keepWithNext
##### 2001/11/22 #####
	tools/pythonpoint/demos/lj8100.jpg 1.1 dinu_gherman
		 Added mysteriously missing image file.
	tools/pythonpoint/demos/pythonpoint.xml 1.5 dinu_gherman
		 Changed presentation to new ReportLab vector logo and color.
	tools/pythonpoint/customshapes.py 1.3 dinu_gherman
		 Changed presentation to new ReportLab vector logo and color.
##### 2001/11/21 #####
	pdfbase/pdfmetrics.py 1.48 rgbecker
		 Changed to lower case glob for afm
	test/test_pdfgen_general.py 1.7 andy_robinson
		 Added linkURL method and test
	pdfgen/canvas.py 1.91 andy_robinson
		 Added linkURL method and test
##### 2001/11/19 #####
	pdfbase/pdfdoc.py 1.54 aaron_watters
		 support for getting form bounding boxes
	lib/colors.py 1.29 dinu_gherman
		 Added ReportLabLightBlue.
	platypus/doctemplate.py 1.48 rgbecker
		 Fixed up keepWithNext so it works
	test/test_platypus_breaking.py 1.2 rgbecker
		 Allowed for dubgging runs
	platypus/flowables.py 1.23 rgbecker
		 Add getKeepWithNext to Flowable
##### 2001/11/18 #####
	platypus/doctemplate.py 1.47 andy_robinson
		 Experiments with platypus
##### 2001/11/17 #####
	test/test_platypus_breaking.py 1.1 andy_robinson
		 KeepWithNext experiments
##### 2001/11/16 #####
	graphics/widgets/flags.py 1.17 rgbecker
		 Fix stray stroke line
##### 2001/11/13 #####
	tools/docco/rl_doc_utils.py 1.2 dinu_gherman
		 Removed platdemos.py (now platypus/figures.py), changed refs in rl_doc_utils.py.
	tools/docco/platdemos.py 1.3 dinu_gherman
		 Removed platdemos.py (now platypus/figures.py), changed refs in rl_doc_utils.py.
	pdfbase/pdfutils.py 1.28 aaron_watters
		 took python implementation of base85 encoding out of conditional
	platypus/figures.py 1.1 dinu_gherman
		 Initial checkin, copy of tools/docco/platdemos.py.
	rl_addons/renderPM/setup.py 1.6 rgbecker
		 Added linux2 following email from Niki Spahiev
	graphics/renderPM.py 1.16 rgbecker
		 Added useful method from Niki Spahiev
##### 2001/11/08 #####
	docs/userguide/ch1_intro.py 1.4 johnprecedo
		 Added a section ('Learning More About Python')
	docs/graphguide/ch1_intro.py 1.5 johnprecedo
		 Fixed a typo.
	docs/graphguide/ch1_intro.py 1.4 johnprecedo
		 Stripped out redundant stuff that was identical to the User Guide. Added some general description and introduction.
	docs/graphguide/ch2_concepts.py 1.3 johnprecedo
		 Small wording change.
	graphics/shapes.py 1.68 rgbecker
		 Moved PS_SEP to rlextra/graphics
##### 2001/11/07 #####
	graphics/shapes.py 1.67 rgbecker
		 Improved save(verbose=0) and .transform output in _repr
	graphics/shapes.py 1.66 rgbecker
		 Added .py save format for Drawings, seems to work
	docs/graphguide/ch1_intro.py 1.3 johnprecedo
		 Brought into line with USer Guide chapter 1 (various updates). Page 1 now calls it the 'Graphics Guide' rather than the 'User Guide'.
	docs/userguide/ch1_intro.py 1.3 johnprecedo
		 Modified installation iistructions - now refers to correct tests and Python 2.1 rather than 1.5.2. Mac install instructions updated with bits from EPSCharts Mac install docs.
	docs/images/fileExchange.gif 1.1 johnprecedo
		 New Mac images for the documentation.
	docs/images/Python_21_HINT.gif 1.1 johnprecedo
		 New Mac images for the documentation.
	docs/images/Python_21.gif 1.1 johnprecedo
		 New Mac images for the documentation.
	docs/images/Python_1.6a2_HINT.gif 1.2 johnprecedo
		 Outdated - removed ready for replacement by Python 2.1 versions.
	docs/images/Python_1.6a2.gif 1.2 johnprecedo
		 Outdated - removed ready for replacement by Python 2.1 versions.
	license.txt 1.3 rgbecker
		 BSD license: OWNER=ReportLab Inc. ORG=Company REGENTS=OFFICERS
#################################################################################
#################### RELEASE 1.10 at 14:00 GMT 06/November/2001 #################
#################################################################################
##### 2001/11/06 #####
	docs/userguide/ch2a_fonts.py 1.3 johnprecedo
		 Added more on creating custom encodings.
	docs/userguide/ch2a_fonts.py 1.2 johnprecedo
		 Andy's latest changes.
	docs/userguide/genuserguide.py 1.6 johnprecedo
		 Split section on fonts out into its own chapter. Added in some more stuff about Asian fonts. Some other small changes.
	docs/userguide/ch2a_fonts.py 1.1 johnprecedo
		 Split section on fonts out into its own chapter. Added in some more stuff about Asian fonts. Some other small changes.
	docs/userguide/ch2_graphics.py 1.5 johnprecedo
		 Split section on fonts out into its own chapter. Added in some more stuff about Asian fonts. Some other small changes.
	docs/images/jpn.gif 1.1 johnprecedo
		 Split section on fonts out into its own chapter. Added in some more stuff about Asian fonts. Some other small changes.
	test/test_multibyte_kor.py 1.3 andy_robinson
		 Full (?) set of widths added for Asian fonts by using Asian distiller on some huge Unicode test files
	test/test_multibyte_jpn.py 1.2 andy_robinson
		 Full (?) set of widths added for Asian fonts by using Asian distiller on some huge Unicode test files
	test/test_multibyte_cht.py 1.4 andy_robinson
		 Full (?) set of widths added for Asian fonts by using Asian distiller on some huge Unicode test files
	pdfbase/_cidfontdata.py 1.8 andy_robinson
		 Full (?) set of widths added for Asian fonts by using Asian distiller on some huge Unicode test files
##### 2001/11/05 #####
	platypus/paragraph.py 1.60 andy_robinson
		 Tidied up bullets further
##### 2001/11/04 #####
	tools/docco/platdemos.py 1.2 andy_robinson
		 Bullet text spacing and figure caption size made more flexible
	platypus/paragraph.py 1.59 andy_robinson
		 Bullet text spacing and figure caption size made more flexible
##### 2001/11/03 #####
	lib/utils.py 1.22 andy_robinson
		 Enhanced the error message from recursiveImport
	pdfgen/canvas.py 1.90 andy_robinson
		 canvas.hasForm now gives honest answers.
	pdfbase/pdfdoc.py 1.53 andy_robinson
		 canvas.hasForm now gives honest answers.
	test/utils.py 1.5 andy_robinson
		 Now lets you show or hide standard output from ScriptThatMakesFileTest
##### 2001/11/02 #####
	pdfbase/pdfmetrics.py 1.47 rgbecker
		 Fixed up font embedding
##### 2001/11/01 #####
	rl_config.py 1.28 johnprecedo
		 Now looks for acrobat 5 _before_ acrobat 4.
	lib/validators.py 1.20 rgbecker
		 Added a _isCallable + a couple of new vaildators
##### 2001/10/31 #####
	pdfgen/canvas.py 1.89 andy_robinson
		 Added hasForm method
	lib/utils.py 1.21 andy_robinson
		 added function recursiveImport('package1.package2.module') in r/lib/utils
##### 2001/10/30 #####
	graphics/shapes.py 1.65 rgbecker
		 Last gasp attempt to import renderPS_SEP
	lib/utils.py 1.20 rgbecker
		 Improved argv stuff
##### 2001/10/29 #####
	lib/PropertyList.dtd 1.2 rgbecker
		 Dinu says this was rubbish
	lib/validators.py 1.19 rgbecker
		 Fixed EitherOr
	lib/normalDate.py 1.2 rgbecker
		 Added getStdday/MonthNames methods and iso string date setting
	utils/daily.py 1.49 rgbecker
		 Fixed comments
	lib/corp2.py 1.5 dinu_gherman
		 Removed file.
##### 2001/10/28 #####
	test/test_docs_build.py 1.1 andy_robinson
		 New test generates all 4 manuals silently
	docs/userguide/genuserguide.py 1.5 andy_robinson
		 New test generates all 4 manuals silently
	docs/reference/genreference.py 1.3 andy_robinson
		 New test generates all 4 manuals silently
	docs/graphguide/gengraphguide.py 1.3 andy_robinson
		 New test generates all 4 manuals silently
	docs/genAll.py 1.2 andy_robinson
		 New test generates all 4 manuals silently
	docs/genAll.py 1.1 andy_robinson
		 Whoops, forgot it yesterday.
	utils/daily.py 1.48 rgbecker
		 Guard against genAll.py failure
	test/test_multibyte_kor.py 1.2 andy_robinson
		 Fixed font registry entries, tidied up stringWidth tests
	test/test_multibyte_cht.py 1.3 andy_robinson
		 Fixed font registry entries, tidied up stringWidth tests
	test/test_multibyte_chs.py 1.2 andy_robinson
		 Fixed font registry entries, tidied up stringWidth tests
	pdfbase/_cidfontdata.py 1.7 andy_robinson
		 Fixed font registry entries, tidied up stringWidth tests
	lib/codecharts.py 1.4 andy_robinson
		 Fixed font registry entries, tidied up stringWidth tests
##### 2001/10/27 #####
	README 1.6 andy_robinson
		 It was VERY out of date...
	tools/docco/yaml2pdf.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	tools/docco/yaml.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	tools/docco/t_parse.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	tools/docco/stylesheet.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	tools/docco/rltemplate.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	tools/docco/rl_doc_utils.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	tools/docco/platdemos.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	tools/docco/examples.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	tools/docco/codegrab.py 1.1 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	test/test_multibyte_cht.py 1.2 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	pdfbase/_cidfontdata.py 1.6 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	docs/userguide/genuserguide.py 1.4 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	docs/userguide/ch9_future.py 1.2 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	docs/userguide/ch7_custom.py 1.2 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	docs/userguide/ch6_tables.py 1.2 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	docs/userguide/ch5_paragraphs.py 1.2 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	docs/userguide/ch4_platypus_concepts.py 1.2 andy_robinson
		 Moved manual building tools to tools/docco in order to (a) remove a clearly surplus directory, and (b) allow me to refer to the nice illustration widget from a packagized location.
	docs/userguide/ch3_pdffeatures.py 1.2 andy_robinson
